Overview

TreeSize - Overview

Navigation: »No topics above this level«

TreeSize - Overview

TreeSize is a powerful and flexible hard disk space manager for Windows.

Why TreeSize:

·Manage and clean up disk space efficiently

·Visualize disk usage

·Analyze in detail, down to all directory levels

·Find and remove redundant files

·Numerous export and reporting possibilities

Manage disk space and scan your hard disks

Find out which folders are the largest on your drives and recover precious disk space. Use TreeSize as a hard disk cleanup tool: find space hogs and remove them. Graphical analyses provide a quick visualization of disk space usage. TreeSize shows you folder size and allocated disk space as well as owner and permissions, the last access date, the NTFS compression rate, and much more information for selected folders or drives.

Search for Redundant Files

The integrated versatile file search helps you find old, big, temporary, and duplicate files on drives, entire servers or the entire network. Search results can be moved, deleted or exported to a ZIP file.

Print or Export Results

You can print detailed reports or export the collected data to different formats (XML, XLS, TXT, CSV and many more). TreeSize also enables you to track disk space usage development over time via XML report comparison or snapshots.

The application has an intuitive Explorer-like user interface and supports drag-and-drop. It is fast, multi-threaded and supports Unicode- and NTFS-specific features. TreeSize can be started from the context menu of every folder or drive.

Take a visual tour or read our product data sheet to learn how to manage disk space with TreeSize.


Installation

Navigation: »No topics above this level«

Installation

To install TreeSize, execute the setup file and follow the instructions. TreeSize requires Windows 8.1, Server 2012, or upwards as well as .Net framework 4.8, which will be installed automatically when missing (Information regarding disk space management on other operating systems can be found on: https://www.diskspacemanagement.com/). The setup program will copy the necessary files to your hard disk and will create a new program group in the Start menu/screen. TreeSize can be uninstalled using the Software applet in the Windows Control Panel. You will find the installation key for the registered version on the license document (PDF) sent to you after the purchase. During your maintenance period the key will be provided in your customer area.

A portable installation on USB removable device can be created using the ribbon bar "Tools".

Unattended Installation

Starting the EXE-based installer with the command line parameters

/SILENT /SUPPRESSMSGBOXES /PASSWORD=YourInstallKey

will perform a silent and automatic installation with the default settings. Please replace YourInstallKey with the installation key that you received after your registration. Using /VERYSILENT instead of /SILENT will prevent any visual feedback. The option /DIR="x:\dirname" can be used to override the default install path.

Customer with 25 or more licenses are able to download a 64Bit MSI installer in out customer area. To perform a silent and unattended installation using the MSI-Installer, you need to use a command line like this for MsiExec:

msiexec /qn /i "TreeSize-x64-Full-EN.msi" INSTALLATION_KEY="XXXXXX-XXXXXX-XXXXXX-XXXXXX-XXXXXX-XXXXXX-XXXXXX"

Please prefix the MSI file with the path of the network share, in which the MSI file is stored, and adjust the installation key. You may also set the property INSTALLATION_KEY by modifying the MSI file using a tool like Orca.

Default settings

TreeSize stores its settings in the user profile by default. If there are no options stored yet, e.g. for the first start of the application, default settings will take effect. You can adjust these default settings system-wide by creating entries in the Windows registry for each setting at HKEY_LOCAL_MACHINE\Software\JAM Software\TreeSize.

To simplify this configuration, we provide administrative templates for the Group Policy Editor. You can download them here.


Quickstart

Navigation: »No topics above this level«

Quickstart

After the installation, TreeSize can be started using the Windows Start menu/screen or the context menu of a folder or drive. These are the important elements of the TreeSize main window:

1.

The Ribbon Bar provides access to all commands of TreeSize. It is divided into logical sections such as the "Home" tab containing commonly used functions and elements, or the "View" tab enabling you to customize the appearance of TreeSize. The colored tab to the right is a context-sensitive depending on the currently active view. Use the "Select directory for scan" to start the scanning process for a drive or folder.

2.

This section contains a drop-down list enabling you to select a drive or folder to be scanned. You can enter paths directly in the control field. Press enter or click the scan button on the right to start a scan for the entered path. TreeSize will remember recently used paths and add them to the list.

3.

The Directory Tree of the scanned folder or drive provides an immediate overview of the size of each folder.

4.

The Drive List provides an overview of all local and mapped network drives. Additional network drives can be added using the context menu. Double-click on a drive to start a scan in TreeSize.

5.

This section will provide additional information regarding the scanned path (e.g. its total size and the number of folders contained).

6.

The view section contains several different tabs, each of them providing a highly specialized data view of the currently selected drive or folder. As soon as a view is activated, the corresponding context tab will become active on which you will find useful commands for this view. These are the available views of TreeSize:

·The "Chart" view visualizes folder information either as a "Pie Chart, "Bar Chart" or as a "Treemap Chart".

·The "Details" view will provide you detailed information on all files and folders contained in the current selected item in the Directory Tree

·The "Extensions" view presents information on size grouped by file types. Thus, you'll gain an overview of the types of files that use up most of the disk space.

·The "Users" view shows information on size grouped by users. You will see at a glance which user uses how much space in which folder.

·The "Age of Files" view shows the distribution of the age of scanned files, based on a certain date attribute.

·The "Top Files" view lists the largest files in the scanned path along with several other details.

·The "History" view shows changes in for the scanned path in a line chart.

7.

The Quick Access Toolbar is a customizable shortcut to many useful functions of TreeSize.

8.

The "Find option"-searchbox (available with Windows 10 or later) allows to search for functions and settings with an ease and trigger them directly, or navigate to them.


What's new?

Navigation: »No topics above this level«

What's new?

See What's New online.


Knowledge Base

Navigation: »No topics above this level«

Knowledge Base

Haven't found what you are looking for? Try searching in our online Knowledge Base.
Press "search" to open the Knowledge Base in your default web browser.

Please note: An Internet connection is required, JavaScript needs to be enabled in your web browser.


Using TreeSize

Navigation: »No topics above this level«

Using TreeSize

After the installation, TreeSize can be started using the Windows Start menu/screen or the context menu of a folder or drive. These are the important elements of the TreeSize main window:

1.

The Ribbon Bar provides access to all commands of TreeSize. It is divided into logical sections such as the "Home" tab containing commonly used functions and elements, or the "View" tab enabling you to customize the appearance of TreeSize. The colored tab to the right is a context-sensitive depending on the currently active view. Use the "Select directory for scan" to start the scanning process for a drive or folder.

2.

This section contains a drop-down list enabling you to select a drive or folder to be scanned. You can enter paths directly in the control field. Press enter or click the scan button on the right to start a scan for the entered path. TreeSize will remember recently used paths and add them to the list.

3.

The Directory Tree of the scanned folder or drive provides an immediate overview of the size of each folder.

4.

The Drive List provides an overview of all local and mapped network drives. Additional network drives can be added using the context menu. Double-click on a drive to start a scan in TreeSize.

5.

This section will provide additional information regarding the scanned path (e.g. its total size and the number of folders contained).

6.

The view section contains several different tabs, each of them providing a highly specialized data view of the currently selected drive or folder. As soon as a view is activated, the corresponding context tab will become active on which you will find useful commands for this view. These are the available views of TreeSize:

·The "Chart" view visualizes folder information either as a "Pie Chart, "Bar Chart" or as a "Treemap Chart".

·The "Details" view will provide you detailed information on all files and folders contained in the current selected item in the Directory Tree

·The "Extensions" view presents information on size grouped by file types. Thus, you'll gain an overview of the types of files that use up most of the disk space.

·The "Users" view shows information on size grouped by users. You will see at a glance which user uses how much space in which folder.

·The "Age of Files" view shows the distribution of the age of scanned files, based on a certain date attribute.

·The "Top Files" view lists the largest files in the scanned path along with several other details.

·The "History" view shows changes in for the scanned path in a line chart.

7.

The Quick Access Toolbar is a customizable shortcut to many useful functions of TreeSize.

8.

The "Find option"-searchbox (available with Windows 10 or later) allows to search for functions and settings with an ease and trigger them directly, or navigate to them.


The Ribbon Bar

Navigation: Using TreeSize >

The Ribbon Bar

The Ribbon Bar provides access to all commands of TreeSize. It is divided into the following logical sections, called "Tabs":

· File | Allows you to select folders for scanning, to load, save, compare, export, and print collected data.
· Home | Contains the most commonly used actions and elements of TreeSize.
· Scan | Contains all actions and elements related to the current scan.
· Tools | Contains useful TreeSize and Windows-specific functions.
· View | Contains all actions and elements influencing the general appearance of the application.
· Help | Provides common help features, version information, and management functions for your product license.

In addition to these permanent tabs there are several so-called "context tabs" which depend on the currently active view of TreeSize. They are highlighted in different colors.


Application Menu

Navigation: Using TreeSize > The Ribbon Bar >

Application Menu

The Application Menu (or "File" menu) allows you to select folders for scanning, loading, saving, exporting, or comparing collected data. It also provides access to the application settings and allows you to exit TreeSize.

Recently Scanned

List of recently scanned paths and drives. Clicking a path will start a scan of this path.

Select directory for scan

Shows a dialog which lets you choose a target for scanning. When the selection has been confirmed, TreeSize starts scanning the selected path. You can also enter a path directly into the drive combo box in the toolbar.

Load scan from index file

Load a saved TreeSize scan from an index file. That way you can view earlier results without performing a whole scan again.

Save scan to index

Save the current scan to an index file. This file can be loaded in TreeSize again or can be used to perform a comparison at a later time. Please note that the information about single files is not saved to the XML since this would increase the size of the XML files too much. Only the information about folders is included in the file. If you need reporting on file level, please use the SQLite format or our software SpaceObServer may be useful for you.

Compare current scan

Compare the current scan against a previously saved scan (index file) or a Snapshot (only supported for local NTFS drives). After comparison, folders unchanged in size will show up with a size of 0 while folders that have grown will have values greater than 0 and will be displayed in red color. Folders that became smaller compared to the loaded report will have negative values and will be displayed in green color.

Send by Email

Send the Directory Tree (left pane) via email.

Export

Export the Directory Tree, chart or list content to a file. See chapter Export submenu.

Print report

Print the Directory Tree, chart or list content. See chapter Print submenu.

Options

Open the options dialog of TreeSize. The submenu also contains commands that allow you to import/export and reset the current options.

About

Show version number and contact information.

Exit

Closes TreeSize.


Export Submenu

Navigation: Using TreeSize > The Ribbon Bar > Application Menu >

Export Submenu

The menu items in the export submenu allow you to export the collected scan data in several different ways. You can customize the kind of data (columns) that will be exported as well as other export options using the options dialog of TreeSize. You can also choose whether only those folders currently visible (expanded) in the Directory Tree or all folders will be exported. Please use the Expand button on the Home or Scan tab (or in the context menu of the Directory Tree) to expand and collapse or expand folders to a certain level.

Plain text

Export the Directory Tree to a tab-separated text file. To configure the behavior for text exports, go to Options -> Text.

CSV file

Export the Directory Tree to a CSV file (comma separated values). To configure the behavior for CSV exports, go to Options -> CSV.

Excel file

Export the Directory Tree to a Microsoft Excel file. Supported formats are the conventional .XLSX file format (introduced with Excel 2007) as well as the former used .XLS (Excel 97-2003). Paths are exported as clickable hyperlinks. This allows you to quickly jump to the appropriate path in the Windows Explorer. To configure the behavior for Excel exports and the charts that should be included, go to Options -> Excel.

HTML file

Enables you to save a report as an HTML file which can be viewed with any HTML browser later. HTML files are easier to read than text files and don't require a special application like MS Excel. The HTML file will be UTF8-encoded and thus includes Unicode characters. To configure the behavior for HTML exports and the charts that should be included, go to Options -> HTML. There you can also define a custom CSS stylesheet that will be used for the HTML export.

PDF file

Enables you to save a report as an PDF file which can be viewed with any PDF Viewer later. PDF files are easier to read than text files and only require a free PDF viewer, which is included in Windows 8 and later. To configure the behavior for PDF exports and the charts that should be included, go to Options -> PDF.

Copy to clipboard

Copy the Directory Tree to clipboard in text format.

Copy list of files

Copy a list of all files in the current folder (and its sub-folders) to the clipboard. You can paste this list to your favorite spreadsheet or word processor. The settings for the text export in the options dialog determine which columns will be included in the list.

Set export title

Allows you to set a title, which will be included with the header of an export or print. The default title includes the path of the scanned folder and the volume name of the drive the folder resides in. The use of environment variables is allowed.


Print Submenu

Navigation: Using TreeSize > The Ribbon Bar > Application Menu >

Print Submenu

TreeSize offers a wide variety of flexible printing functions. You may, for example, print the content of the Directory Tree, the contents of a selected folder or any available chart (Charts view, History view, etc.).

The following commands are available in the "Printer" submenu:

Print report

Print report for the currently selected scan without preview.

Print with preview

Shows a print preview for the report of the currently selected scan.

Print right pane

Print the chart or list currently shown the right pane of the window.

Set export title

Allows you to set a title, which will be included with the header of an export or print. The default title includes the path of the scanned folder and the volume name of the drive the folder resides in. The use of environment variables is allowed.

Page setup

Change page layout settings.

Print setup

Change printer settings.

Customize report

Customize exported columns, included charts, etc.


Quick Access Toolbar

Navigation: Using TreeSize > The Ribbon Bar >

Quick Access Toolbar

The Quick Access Toolbar is a customizable toolbar containing a set of commands that are independent of the currently displayed tab. You can move the Quick Access Toolbar to one of the two possible locations, and you can add buttons representing commands to the Quick Access Toolbar.

Move the Quick Access Toolbar

The Quick Access Toolbar can be located in one of two places:

·Upper-left corner, next to the TreeSize icon.

·Below the Ribbon bar.

To switch the Quick Access Toolbar between those positions, click the small drop-down arrow and select "Show below the Ribbon" respectively "Show above the Ribbon".

Add a command to the Quick Access Toolbar

You can add any command displayed in TreeSize to the Quick Access Toolbar.

1.On the Ribbon, click on the appropriate tab or group to display the command that you want to add to the Quick Access Toolbar.

2.Right-click the command, and then click "Add to Quick Access Toolbar" on the shortcut menu.

Note

·You cannot split the Quick Access Toolbar to multiple lines.


Home Tab

Navigation: Using TreeSize > The Ribbon Bar >

Home Tab

The ribbon tab Home contains the most commonly used actions and elements of TreeSize.

Select directory for scan

Opens a dialog enabling you to select a target for scanning. This dialog allows to configure complex scan targets with just a few clicks. TreeSize will start scanning the selected path once the selection has been confirmed. You can also enter a path directly into the drive combo box in the toolbar.

Stop

Stops the currently selected scan. This will abort the current scan process but not remove it from the Directory Tree.

The Stop button also offers a drop-down menu with more options:

·Stop: Stops the currently selected scan, even if it is already paused.

·Pause: Pauses the currently selected scan, without aborting or stopping it. You can resume a paused scan later.

·Resume: Resumes the currently selected paused scan.

Refresh

Refreshes the currently selected scan. The Refresh button also offers a drop-down menu providing access to more specific options:

·Refresh all scans: Using this option will trigger a full refresh for all scans of TreeSize.

·Refresh selected folder: With this option, you can refresh the currently selected folder only.

·Watch for file system changes: If you enable this option, TreeSize will keep track of the Windows change notifications and update the size information as well as several other information automatically. If you don't want the size information to change after the scan has finished, you should turn off "Automatic Updates". This option can be enabled or disabled for individual scans.

Remove scan

Removes the currently selected scan from the TreeSize window.

Size

Shows the size of files and folders.

Allocated space

Shows occupied disk space on the hard disk.

Number of files

Shows the number of files in the selected folders.

Percent

Shows how much percent of the parent folder each folder occupies.

Auto

If this option is activated, TreeSize will automatically select the most appropriate size unit. Other units are available via the drop-down element (small arrow).

GB

Show size values in gigabyte (GB).

MB

Show size values in megabyte (MB).

KB

Show size values in kilobyte (KB).

Expand

Using the "Expand" button, you can expand or collapse the Directory Tree to a certain directory level. You can also use this menu to trigger a "Full expand" so that you will see any folder that is available in the current scan. More information on the "Expand" button can be found here.

Send by email

Sends the Directory Tree via email. This will create an email containing the contents of the directory tree using the current email settings. Emails can either be send using a MAPI client like Microsoft Outlook or via SMTP (recommended). Email settings can be configured in the options dialog of TreeSize.

Export

This button provides several different export options such as "Excel", "Plain text", or "HTML file". You can also copy the directory tree or the contents of the "Details" view to the clipboard. The drop-down menu enables you to customize any export type.

Open TreeSize File Search

Start the TreeSize File Search with all available types of file search (largest files, oldest files, etc.) for the currently selected branch. For more information on the TreeSize File Search, see chapter Using TreeSize File Search.

Start as administrator

Restart TreeSize with administrator privileges.

Please note: This button is available only if TreeSize was not started with administrator privileges.

Options

Opens the options dialog for TreeSize. The drop-down button also provides access to the menu allowing export/import and reset of the application settings.


Scan Tab

Navigation: Using TreeSize > The Ribbon Bar >

Scan Tab

The ribbon tab Scan contains all actions and elements related to the current scan.

Stop

Stops the currently selected scan. When a scan is stopped, TreeSize will abort the current scan process but not remove it from the Directory Tree.

Pause/Resume

Pauses or resumes the currently selected scan. A paused scan can be resumed without scanning the already processed directories again.

Refresh

Refreshes the currently selected scan. The Refresh button also offers a drop-down menu providing access to more specific options:

·Refresh all scans: Using this option will trigger a full refresh for all scans of TreeSize.

·Refresh selected folder: With this option, you can refresh the currently selected folder only.

·Watch for file system changes: If you enable this option, TreeSize will keep track of the Windows change notifications and update the size information as well as several other information automatically. If you don't want the size information to change after the scan has finished, you should turn off "Automatic Updates". This option can be enabled or disabled for individual scans.

Remove scan

Removes the currently selected scan from the TreeSize window.

Expand

Using the "Expand" button, you can expand or collapse the Directory Tree to a certain directory level. You can also use this menu to trigger a "Full expand" so that you will see any folder that is available in the current scan. You can also use this menu to show only folders exceeding a certain size value.

Find

Searches for a certain folder in the Directory Tree.

Export

Export the Directory Tree, chart or list content to a file. See chapter Export submenu.

Exclude

Allows to exclude selected files/folders from the scan. Elements can be excluded temporarily for the current scan only, or permanently.

Compare with saved scan

Loads a saved scan from an index file and compares it with the current scan. The differences in size will be displayed as positive and negative values in the user interface.

Compare with snapshot

Selects a Snapshot of a scanned drive to compare it with the current data. The differences in size will be displayed as positive and negative values in the user interface.

Compare with path

In rare cases it can be useful to compare the current scan with another path, e.g. in case that the other path is a copy or a backup of the currently displayed path. After choosing the other path using a directory picker dialog, the differences in size will be displayed as positive and negative values in the user interface.

Show size changes

Show size changes instead of current values in the Directory Tree. This view option can be toggled if the current scan was compared with an index file or snapshot.

Schedule this scan

Creates a scheduled Windows task for the currently active scan.
This is supported in the Professional edition only.


Tools Tab

Navigation: Using TreeSize > The Ribbon Bar >

Tools Tab

On the Tools tab, you will find several useful TreeSize- and Windows-specific functions.

Options

Opens the options dialog for TreeSize. The drop-down button also provides access to the menu items facilitating the export/import and reset of the application settings.

Open TreeSize File Search

Starts the TreeSize File Search with all available types of file search (largest files, oldest files, etc.) for the currently selected branch. For more information about the TreeSize File Search, please refer to chapter Using TreeSize File Search.

Manage scheduled scans

Shows all scheduled tasks of TreeSize. Tasks can be customized here.

Create snapshot

Creates a new Snapshot for this system. Snapshots can be used at a later time to analyze size development by comparing the data of the snapshot with that of a recent scan.

Create portable installation

Creates an installation of the Professional edition as a portable version, e.g. on a USB Stick. All of the settings will be saved to the specified installation directory.

Empty recycle bin

Deletes all items in the recycle bin to free up disk space.

Remove obsolete software

Opens the Windows Control Panel applet to uninstall software.

Configure Windows System Restore

Define how much space the Windows System Restore feature can use on your local hard drive.

Map network drive

Opens the Windows "Map Network Drive" dialog.


View Tab

Navigation: Using TreeSize > The Ribbon Bar >

View Tab

The ribbon tab View contains all actions and elements influencing the general appearance of the application.

Select active View

Selects the view that is shown in the right panel of the application

Size

Shows the size of files and folders.

Allocated space

Shows occupied disk space on the hard disk, aka "size on disk ".

Number of files

Show the number of files in folders.

Percent

Show how much percent of the parent folder each folder occupies.

Auto

If this option is activated, TreeSize will automatically select the most appropriate size unit.

TB

Show size values in terabyte (TB).

GB

Show size values in gigabyte (GB).

MB

Show size values in megabyte (MB).

KB

Show size values in kilobyte (KB).

B

Show size values in byte (B).

Decimals

Sets the number of decimals shown in displayed values.

Sort by size

Sort items by size (descending order).

Sort by name

Sort items in alphabetical order.

Group scans

Groups all scans in the Directory Tree to receive the total results for all scans. See also "Group scans in the Directory Tree".

Show size changes

Shows size changes instead of current values in the Directory Tree. This view option can only be toggled if the current scan was compared with an XML report or snapshot. See also "Size comparison".

Drive list

Show or hide Drive List.

Scan overview

Show or hide scan overview toolbar (provides information such as total size and number of files and folders for the currently selected scan). Right clicking on the overview allows you to define whether it should wrap around or truncate the shown information in case it does not fit.

Status bar

Show or hide status bar (provides information on active scan filters and or errors that occurred during scan process).

Hide empty folders

If activated, all folders with zero files will be hidden. This is particularly useful if there a lot of such folders because a filter is applied.

Hide elements smaller than

If activated elements smaller than the specified size will be hidden.


Help Tab

Navigation: Using TreeSize > The Ribbon Bar >

Help Tab

The ribbon tab Help provides common help features, version information, and management functions for your product license.

Show help

Open the product manual of TreeSize.

Show PDF manual

Open the product manual as PDF (optimized for printing).

Frequently Asked Questions

Shows the Frequently Asked Questions (FAQ).

Feature Voting

Open the Feature Voting Platform of TreeSize in the browser. You are missing a functionality? Then this is the place to go to propose your idea or vote for the ideas of other users.

About

Shows version number and contact information.

Check for update

Checks if a newer version of this software is available.

What is new?

Shows recent changes.

Change installation key

Changes the installation key of the software.

Extend maintenance

Extends the maintenance period. Updates and support are free within the selected maintenance period.

Please note: For the trial version of TreeSize, the Ribbon group "License" contains different controls:

Purchase full version

Navigates to the JAM Software website and shows a list of all available license models.

Change to full version...

Helps you switch to the full version after purchasing the software.


Scan Targets

Navigation: Using TreeSize >

Scan Targets

Originally TreeSize was designed to analyze file system paths. The current version enables users to scan targets not accessible via a file system path. Among them is every folder that appears in the left pane of the Windows Explorer. In this chapter we will describe all targets that can be scanned using TreeSize:

Local File System Paths

To scan a file system path, enter the path into the drive drop-down box on top of the directory tree or use the button "Select directory for scan" on the ribbon tab "Home".You can also double-click on the drive in the TreeSize drive list in the bottom left corner of the window to start a scan.

Remote File System Paths

If a remote path is mapped to a drive letter, scan it just like a local drive (as described above). Additionally TreeSize supports UNC paths like \\servername\share, which can be entered in the drop-down box above the directory tree. You can also select the remote path by using the button "Select directory for scan" on the ribbon tab "Home" and browse to the path in the "Network" folder. To search your entire network, choose the "Network" folder here or use the path \\*.
UNC paths can also be added to the drive list using the right-click menu.

Mobile Devices and Smartphones

Mobile devices like smartphones can be scanned with TreeSize if they support the MTP protocol or WebDAV. Those devices are typically listed under "This PC" in the Windows Explorer and in the dialog which appears when using the button "Select directory for scan" on the ribbon "Home". TreeSize also support entering paths to mobile devices like this: This PC\Galaxy Tab A in the drop-down box on top of the directory tree.

WebDAV Server

If the WebDAV server is listed under "This PC" in the Windows Explorer, you can use the button "Select directory for scan" on the ribbon "Home" to select this server for scanning. You can also enter the HTTP(S) server address into the dropdown box above the directory tree using this syntax: https://servername.com/path/.

Linux/Unix Server via SSH

With TreeSize you can scan Linux or Unix servers, even though they are not integrated into your Windows storage environment. This is possible by using the SSH network protocol. You can enter addresses of server shares to scan via SSH into the dropdown box above the directory tree using this syntax: ssh://servername/share.

Please note: TreeSize will request login information (user name and password) for the SSH connection. Alternatively, you can include these directly in the address: ssh://user:password@servername/share.

Amazon S3 Cloud Storage

You can scan an Amazon S3 cloud storage with TreeSize. To scan your entire S3 storage, simply type s3://* in the dropdown box on the top left and press enter. To scan a certain bucket, use: s3://Bucketname/

TreeSize will ask for an access token and the corresponding secret access token with the option to save it for future use. You may also supply this information as part of the URL: s3://Token:SecretToken@Bucketname/

In the column "Description", the storage class of a file (e.g. reduced redundancy oder standard) will be shown.

Azure Blob Storage

It is possible to use TreeSize to analyze an Azure Blob Storage. This requires the name of the container you want to scan, as well as the storage account name and the corresponding access key. Optionally, you can provide a path as well to scan a certain directory inside the container instead of the whole container. The access key and the storage account name can both be found in the Azure portal. Additionally, the access key can be renewed there.

It is possible to provide the credentials as part of the path: azureblob://Username:AccessKey@ContainerName/Path. Alternatively, you can use azureblob://ContainerName/Path and the program will ask you for credentials afterward.

SharePoint and SharePoint Online

With TreeSize you can scan local SharePoint servers (OnPremise) and SharePoint Online sites, either via WebDAV or using the SharePoint REST API. To scan a SharePoint site, simply enter the HTTP(S) server address into the dropdown box on top of the directory tree using this syntax: https://servername.com/path/.

To scan a complete SharePoint server with all associated site collections use the syntax sharepoint://servername.com/path/. TreeSize will then determine the actual protocol to use automatically (with a preference for HTTPS).

TreeSize will ask for the login information (user name and password) for a federated authentication or uses credentials contained with the URL, like https://user:password@servername.com/path/. TreeSize also supports multi-factor authentication if it is registered with the Azure AD.

Container-Files: ZIP, VHD(X), and ISO

TreeSize also supports scanning container files that are using the ZIP, VHD(X), or ISO file format. To start a scan of such a file, you may simply enter the path to it, including the file name, into the drop-down box above the directory tree.

Outlook mailboxes

It is possible to use TreeSize to analyze your local Outlook mailboxes. Outlook needs to be running to allow the program to access the mailboxes and it is important that both programs run in the same user context. This means, if you start TreeSize as administrator, you need to start Outlook as administrator as well. Only those Outlook files are scanned, of which there are also local copies on the computer on which TreeSize is running. Files outsourced to Exchange are not included in the analysis.

To scan an Outlook mailbox, you can either use the scan target dialog and select the target there or use the the dropdown box on the top left and insert: outlook://user@provider.com (your mail address) for example.


Select a scan target

Navigation: Using TreeSize >

Select a scan target

You can use this dialog to configure scan destinations. Even complex paths and URLs can be put together with just a few clicks.

All available scan targets are listed on the left-hand side of the dialog. To the right, the directory to be scanned in the currently selected scan target can be specified and, in the case of cloud/remote targets, the access data for the connection can also be entered there. The currently selected path is displayed in the input field at the bottom of the dialog. Paths (or URLs) can also be entered in this field to select the path to be analyzed as quickly as possible. Click on the button next to it to start the scan.

Available scan targets

You can select one of the supported scan types on the left-hand side of the dialog to start configuring a more complex scan target:

Drives

Scan of a local drive or a network drive.

Directory

Scan of a specific directory.

Outlook

Scan one or more Outlook mailboxes.

SharePoint

Scan of SharePoint sites.

Amazon S3

Scan of an Amazon S3 bucket.

Azure Blob Storage

Scan of an Azure Blob Storage container.

SSH

Scan of a Linux or Unix file system using SSH..

WebDav

Scan a target via the WebDav protocol.

Specifying the path to be scanned

The content displayed next to the scan targets results from the selected scan type and allows you to specify a specific path and, if necessary, authentication data.

Drives & Directory

For these two scan targets, the corresponding drive or directory can be selected in the list or in the directory tree. Double-click on a drive or folder to start the scan immediately.

Outlook: Mailbox

Here you can select the mailbox to be analyzed.

Outlook: Subpath (optional)

A path or folder within the mailbox can be selected for the scan here. This means that the entire mailbox is not scanned, but only the corresponding subpath.

SharePoint: Server name

The URL of the corresponding server to be scanned (e.g. for SharePoint: "https://testserver.sharepoint.com") is entered in this field.

SharePoint: Path (optional)

The subpath on the specified server (e.g. "sites/general" for SharePoint) can be entered in the path field in order to analyze only this path and other sub-paths of it.

SharePoint: Authentication type and fields dependent on this

Here you can specify how the connection to the SharePoint is to be established. You can choose between "User name", "Certificate" and "Windows account".

User name: Authentication via user name and password.

Certificate: Authentication via a saved certificate and a password.

Windows account: Authentication via the Windows account currently in use (only possible with Azure Active Directory set up as described here).

Amazon S3: Bucket name

The name of the Amazon S3 bucket you want to scan.

Amazon S3: Prefix (optional)

The prefix on the respective bucket that is to be analyzed. For example, if there is a folder called "folder" and another folder called "subfolder" exists in this folder and the latter is to be analyzed, you would use the prefix "folder/subfolder".

Amazon S3: Access key

The access-token of the user to perform the scan as.

Amazon S3: Secret access key

The secret access-token that fits to the used access key.

Azure Blob Storage: Container name

The name of the container to be analyzed.

Azure Blob Storage: Virtual directory prefix (optional)

Analogous to the prefix for Amazon S3.

Azure Blob Storage: Storage account name

A type of user name that is used to connect to the selected container.

Azure Blob Storage: Access key

A kind of password for the connection to the selected container.

SSH: Server name

Analogous to the server name for SharePoint.

SSH: Path (optional)

Analogous to the path for SharePoint.

SSH: User name

User name for authentication on the selected server.

SSH: Password

Password for authentication on the selected server.

WebDav: Server name

Analogous to the server name for SharePoint.

WebDav Path (optional)

Analogous to the path for SharePoint.


The Directory Tree

Navigation: Using TreeSize >

The Directory Tree

The Directory Tree of TreeSize is a powerful tool for visualizing the size of files and folders. The gradient bar in the background serves as a size indicator, providing a quick and intuitive overview: you will see at a glance which folders occupy the most space on your disk. The Directory Tree can be browsed just like a folder tree in the Windows Explorer.

Contents

· Notes

·Expand or collapse the Directory Tree

·Group scans in the Directory Tree

Notes

· If you place your mouse cursor on a folder, you'll be shown a tool tip with detailed information if the corresponding option is active.

·The Directory Tree supports an incremental search. To jump to a certain folder, simply type the initial characters of its name after clicking anywhere in the Directory Tree. The Search will then select the first matching folder.

·The Find dialog (Scan tab) provides a simple search function enabling you to search for certain folders in the Directory Tree.

·When you right-click on a folder or file in the tree to the left, TreeSize will display the Explorer context menu. Additionally, you will find the TreeSize submenu providing various additional options.

·Very large folders are marked in bold text. The threshold can be configured in the options dialog (Options > View > General).

·The color for the gradient bar can be configured in the options dialog (Options > View > Directory Tree).

Expand or collapse the Directory Tree

Using the Expand submenu (accessible via tabs Home and Scan) you can expand/collapse and hide certain folders in the tree, based on a certain directory level or an user-defined size value. For example, you can hide any file and folder occupying less than 500 MB (see screenshot below). This way, the most relevant elements will be shown in the tree while unimportant information is hidden.

Group scans in the Directory Tree

With the "Group scans" button (available on the View tab or via the context menu), you can merge multiple scans into a single "virtual root". The virtual root shows a summary of all scans that are part of this group. This way you will gain total sizes and values for arbitrary scans.


The TreeSize Views

Navigation: Using TreeSize >

The TreeSize Views

The following viewing options are available in TreeSize:

· Chart | Visualizes folder information in several different types of charts.
· Details | Provides an Explorer-like list of files and folders contained in the currently selected item in the Directory Tree.
· Extensions | Shows information on size grouped by file types.
· Users | Shows information on size grouped by users.
· Age of Files | Shows the distribution of the age of scanned files, based on a certain date attribute.
· Top Files | Lists the biggest files in the scanned branch in detailed view.
· History | Visualizes the size development of the selected root folder.


Chart

Navigation: Using TreeSize > The TreeSize Views >

Chart

TreeSize is able to visualize folder information in several different types of charts. The information is based on the currently active view mode of TreeSize. There are three basic types of charts, namely:

· Pie Chart

· Bar Chart

· Treemap Chart

Context tab: Chart

Please note: a context tab will be activated when the Chart view is selected. It allows you to manipulate the charts in several ways, for example zooming, turning on or off the grid lines, switching between 2D and 3D mode, changing colors, etc. Using the tab, you can also copy the current chart to the clipboard or save it as a file.

More options to individualize the Charts are available with the Options Dialog.

Some elements are available exclusively for certain types of charts (e.g. "Level of Details" for "treemap " charts only).

For all directory charts the following commands are commonly available:

Pie Chart

Switches to pie chart view.

Bar Chart

Switches to bar chart view.

Treemap Chart

Switches to hierarchical chart view.

Export chart

Saves the current chart as a graphic file.

Email

Export the current chart and send it via email. You can configure your email settings in options dialog.

Copy Chart to Clipboard

Copies the current chart to the clipboard (can be pasted in other applications).

Print right pane

Prints the current chart.

Color

Use the color picker to choose a color for the chart below: select a color, then click on the part of the pie the color should be applied to.

Show chart in 3D

View chart in 3D or 2D.

Zoom in

Zooms in on the chart.

Zoom out

Zooms out of the chart.

Zoom 100%

Resets zoom to 100%.

Dependent on the displayed chart type, there are additional options available:

For pie charts:

Show Free Space

Show the free space of a drive as additional slice.

For bar charts:

Show Grid

Show or hide grid lines for this chart.

For the treemap chart:

Level of detail

Change the detail level of the treemap chart.

Show Free Space

Show the free space of a drive as a separate tile.

Included Elements

The treemap chart allows you to specify which elements should be included with the chart. The size of each tile represents the size of the according element (usually the summarized size of the contained files), just as for folders.

Activating more than one type of elements to be included, a hierarchical structure will be implied: Each file belongs to an extension, each extension belongs to a file type group, and each group belongs to a folder.

The legend of the chart will adapt to the selected elements.

There are several options available:

Show single files

Include a separate tile for each file.

Show extensions

Include a separate tile for each extension contained within a folder.

Show file type groups

Include a separate tile for each file type group contained within a folder.

Context Menu

Right-clicking on any chart shows a popup menu offering additional features, such as opening the corresponding item in the Windows Explorer.

Pie Chart

The Pie Chart shows the relative portions of each subfolder of the currently selected item in the Directory Tree.

The diagram contains the name of each folder, its size (or allocated space, or number of files; for more information please see view modes), and its percentage value. Small folders may be summarized in a slice named "Other".

If a root of any drive is displayed in a pie chart and you have switched to the "Allocated Space" mode, the free space of this drive will also be displayed as one slice of the pie. This behaviour can be switched on or off in the options menu. The pie chart shows the free space as one slice among the others and calculates the percentage appropriately (relatively to the others), so the percent value might differ from the "% Free" value of the drive if TreeSize didn't see all files.

Hovering over a slice will show detailed information about the corresponding folder, double clicking will change into the selected folder.

Double-clicking on a slice will show the pie chart view for the selected folder. In case the clicked slice represents a file, it would be executed. Right click a slice in order to perform file operations like delete, copy, paste, properties etc. To manage several folders at once hold the shift key while selecting the desired segments in chart.

Please note that the Pie Chart not only visualizes the sizes of each subfolder of the currently selected item in the Directory Tree, but also the distribution of file extensions and even the file and directory owners (user statistics). To change the type of the Pie Chart, please click on the drop-down arrow right beside the caption of the Ribbon button (see image below).

Bar Chart

The Bar Chart visualizes folder sizes in form of horizontal bars. Grid lines in the background of the chart allow for easy determination of folder sizes and comparison of each folder in relation to other folders on the same directory level. As with the pie chart, hovering over a bar will call up more detailed information about the corresponding folder. Double-clicking on a bar will show the bar chart view for the selected folder.

Treemap Chart

The treemap chart is a hierarchical chart that is able to visualize the sizes of each subfolder (not only direct child folders) of a selected directory branch.

Each folder is shown as a rectangle. The area of the rectangle represents the size of the corresponding folder. The rectangles of subfolders are located inside the rectangle of their parent folder. If a folder has no subfolders and the file extensions statistics was activated during the scan, the file types are now shown as subitems.

The color of the rectangle face indicates the directory level. The colors range from a darker blue (top level directories) to a lighter blue (directories with a deep file system level). These colors can be adjusted using the color picker in the context tab. The context menu of the treemap chart also allows you to apply a predefined color scheme. The shown rectangles must have a minimum size to be displayed. You can customize this minimum value using the Level of Detail track bar in the context tab. If this value is small, the chart might look very complex and confusing.

If you place the mouse cursor over the chart, you will see a tooltip containing information about the directory the cursor hovers over. Double-clicking on one of the rectangles will navigate to the corresponding directory in the Directory Tree. Drag and drop operations are supported in the treemap chart.


Details

Navigation: Using TreeSize > The TreeSize Views >

Details

The Details provides an Explorer-like list of files and folders that are contained in the current selected item in the Directory Tree.

More Columns

Detailed information on each file or folder can be shown by selecting the desired attribute in the column list, available by right-clicking the header of the list or via the Details page in the options dialog of TreeSize. Individual file types, users or Age of files intervals can be added as columns as well. To do so, right click on the extensions, user, or interval and select "Add column ... to Details". These columns will be exported as well, if in the Options the checkbox "Use same columns as in Details view" is checked.

Context tab: Details

Like every view in TreeSize, the Details view comes with a Ribbon tab that is activated when the the list is clicked. The Ribbon tab provides commonly used list functions such as select operations or export features.

The following commands are available on the "Details" tab:

Delete

Deletes the selected items. Hold the "Shift" key to remove the item(s) from the disk permanently (Please note: You cannot recover files that have been removed permanently!).

Properties

Shows the properties for the selected item.

Move/Copy

Opens a dialog for the execution of file operations. The dialog allows to move the selected items to another location. It also provides functionalities to archive, copy, or delete them, using a variety of additional options, such as the creation of a log file of the operation.

Bulk Rename

Opens a dialog that allows to rename multiple files at the same time.

Export Details

Exports the contents of the "Details" view to a file. If two or more items are selected, only the selected items will be exported. Available file formats are "Text Files (.txt)", "HTML Files (.htm)", "Rich Text Format (.rtf)", "Microsoft Excel (.xlsx)", and "Comma Separated Values (.csv)".

Email

Sends the content of the "Details" view via email.

Copy to Clipboard

Exports the contents of the "Details" view to the clipboard. If two or more items are selected, only the selected items will be exported.

Print right pane

Prints the selected items of the "Details" list.

Select all

Selects all items in the list.

Select none

Unselects the list items.

Invert selection

Inverts the selection.

Open command prompt

Opens command prompt at the current directory of the "Details" view.

Open in Windows Explorer

Opens Windows Explorer and shows the parent folder of the currently selected items in the "Details" view.

Compress

Compresses this file or folder using NTFS compression.

Decompress

Turns off NTFS compression for this file or folder.

Copy path

Copies the path of the selected items to the clipboard.

Preview pane

Enables or disables the preview pane, which shows the content of the selected file in the "Details" list.

Context Menu on the Details view

The list on the Details view shows the Windows Explorer context menu when you right-click on an item. An additional submenu labeled TreeSize is included which shows all information that is available about the selected item including the columns that are currently not activated. This submenu may also be used to activate or deactivate columns (for a description of available columns, see here).


Available Columns

Navigation: Using TreeSize > The TreeSize Views > Details >

Available Columns

These are the available columns that can be configured individually for the Details view and any export type (Excel, HTML, etc.) using the Options dialog of TreeSize.

Column name

Description

Name

The name of the file or folder.

Path

The path, including the object's name.

Size

The size of the object.

Allocated

The space that the object currently occupies on disk (see also: NTFS Compression).

Files

The number of files in a directory branch.

Folders

The number of sub-folders in a directory branch.

Growth

The absolute size difference (e.g. in MB) of this element. Only available if the scan was compared with a saved scan or snapshot. The value in this column depends on the selected view mode and unit.

% Growth

The relative size difference of this element

% of Parent

The amount of space in percent that a folder or file occupies relative to its parent folder.

Last Modified

The last modification date of the object. TreeSize calculates the last modified and last access date more precisely than the Windows Explorer, because it takes all files in all sub-folders into account. This behavior can be changed in the options dialog.

Last Access

The last access date of the object.

Compr.

The size in percent by which an object has been compressed using the built in compression of the file system (see also: Notes on NTFS).

Owner

The name of the user that is assigned as owner of the folder or file in the filesystem.

Optical media size

The amount of space that an object would occupy on an optical medium such as a CD or DVD with ISO file system.

Current Date

The current date. This column can be useful if you want to process the collected data, e.g. in a database.

Attributes

The file attributes Readonly (R), Hidden (H), System (S), Directory (D), Archive (A), Compressed (C), Sparse (Q since Windows 10, P on older Windows versions), Temporary (T), Offline (O), Reparse Point (L) Encrypted (E), Pinned (P - only available on Windows 10 or later), Unpinned (U), Recall on data access (M), and Alternate Data Streams (Z).

Type

The file type, e.g. "Text file".

Dir Level

The level of an object in the file system.

Dir Level (Relative)

The level of an object in the file system in relation to the path that was used as starting point for the scan.

Creation Date

The date at which the object has been created.

Containing Path

The full path to the current object, not containing the object's name.

Cost (Allocated)

You can define costs for the occupied space in the options dialog. The costs for the files and directories, based on their allocated space, are shown in this column.

Avg. File Size

The average size of a file in a folder.

Permissions

The access permissions of the object in the UNIX-like format: Username1: +/-R +/-W +/-X Username2: ... where "+" means the right is granted and "-" means that the right is denied. "R" stands for read access and "W" for write access. For files "X" means the right to execute, for directories the right to list the directory content.
TreeSize maps the actual permissions to a very compact presentation: Multiple access control elements for one user are merged to one, and most special permission are not displayed.

Inherited Permissions

These are the permissions inherited from the parent directories.

Own Permissions

These are the own permissions defined specifically for this file system object.

File Version

The version number that is included in EXE, DLL OCX and similar binary files.

Author

This column shows the author information that is extracted from the meta data of the file, taken from MS Office and compatible files.

Last Save Date

This column shows the date on which the file was saved the last time, taken from MS Office and compatible files. This information is extracted from the meta data of the file.

Hardlinks

The number of hardlinks to a file. Empty in case of folders.

Error

In case a folders could not be scanned, this column will contain the message of the error that occurred.

Full User Name

Shows the full user name of the owner of that file or folder.

Link Target

Shows the target path of a link.

MD5 Checksum

Shows a string representation of the MD5 checksum for this file's content.

SHA256 Checksum

Shows a string representation of the SHA256 checksum for this file's content.

Extension

The extension of the file, e.g. ".txt" for a text file.

Path Length

Shows the number of characters included in the full path of this file or folder.

Alternate Data Streams

Shows the size hold by "Alternate Data Streams" for this file (not available for directories).

Space Free

Shows the amount of space that is available on the current drive.

Description

For folders and shares this column shows the comment associated with them. For office files and pictures their embedded title is shown. In case non of this data is available, but the folder's of file's name is an SID (like in the "\$Recycle.Bin" folder), this SID is resolved to a username in this column.

More Columns:

In addition to the predefined columns that are mentioned above, TreeSize supports all columns that can be selected in Windows Explorer. The selection dialog provides a large number of additional meta data, such as the number of pages in an office document, the width and height of image files, or the artist for MP3 files.


Extensions

Navigation: Using TreeSize > The TreeSize Views >

Extensions

The Extensions view shows information on size grouped by file types, thus granting an overview of the types of files that use up most of the disk space. Statistics on file extensions can be activated and deactivated in the Options dialog.

Context tab: Extensions

Use the Extensions tab in order to select specific information for viewing and sorting the data. In addition to these filtering options, the tab also provides commands to export the list contents.

The following commands are available on the "Extensions" tab:

Show files of this extension

Show a list of all files of the selected file type.

Filter by this ...

Show only files with the selected file extension or files that belong to the selected file type group.

Clear filter

Remove the filter from the tree and show size information for all file types.

Add column for this [...] to the Details list

Adds a new column to the Details list, which shows how many files of the selected extensions exist within the current directory.

Export Extensions

Save the contents of this list to a file. If multiple items are selected, only the selected items will be saved. Available file formats are "Text Files (.txt)", "HTML Files (.html)", "Rich Text Format (.rtf)", "Microsoft Excel (.xlsx)", and "Comma Separated Values (.csv)".

Email

Send the content of the "Extensions" view via email.

Copy to Clipboard

Copy the content of this list to the clipboard. If multiple Items are selected, only the selected items will be copied.

Print right pane

Print the contents of this list.

Select all

Select all items in the list.

Select none

Unselect the list items.

Invert selection

Invert the selection.

Show chart

Turn on or off a chart that shows the distribution of file extensions.

Group file types

Group similar file types in one group (e.g. "Audio Files", "Video Files", or "System Files"). You can configure the file groups in the Options dialog (See: "Options > View > File Groups").


Users

Navigation: Using TreeSize > The TreeSize Views >

Users

The Users view shows information on size grouped by users. At a glance you can see which user uses how much space in which folder. User statistics may be enabled/disabled in the options dialog (Options > Scan > General).

Context tab: Users

Use the "Users" tab in order to select specific information for viewing sorting the data. In addition to these filtering options, the tab also provides commands to export the list contents.

The following commands are available on the "Users" tab:

Show files of this user

Show a list of all files that are owned by the selected user(s).

Limit to this user

Show only the files owned by the selected user.

Clear filter

Remove the user filter and show the complete file and folder information of the currently selected branch.

Add column for this user to the Details list

Adds a new column to the Details list, which shows how many files of the selected user exist within the current directory.

Export Users

Save the contents of this list to a file. If multiple items are selected, only the selected items will be saved.

Email

Send the content of the "Users" view via email.

Copy to Clipboard

Copy the content of this list to the clipboard. If multiple Items are selected, only the selected items will be copied.

Print right pane

Print the contents of this list.

Select all

Select all items in the list.

Select none

Unselect the list items.

Invert selection

Invert the selection.

Show chart

Turn on or off a chart that shows the distribution of file ownership.

Additional columns

By right-clicking on the column header you can enable the following additional columns:

Full User Name

The full name of the user, queried from Windows or Active Directory.

User Comment

The user comment from Active Directory.

Quota Usage

The usage queried from Windows quota management. To see values in the quota columns, you must run TreeSize as administrator and quota must be enabled on the local drive that you were scanning.

Quota Limit

The size limit that is set for the user in the Windows quota manager.


Age of Files

Navigation: Using TreeSize > The TreeSize Views >

Age of Files

The Ages of Files view shows the distribution of the age of scanned files, based on one of the following date attributes:

·Last Access Date

·Last Change Date

·Creation Date

Values for the specified period do not include the other, younger periods.

Context tab: Age of Files

The Ribbon tab for the "Age of Files" view offers export features equal to the Charts tab and enables you to customize the intervals. The boundaries of the intervals are always rounded to full days, i.e. to 00:00 a.m.

The following commands are available on the "Age of Files" tab:

Export Chart

Save the current chart as graphic file.

Email

Export the current chart and send it via email. You can configure your email settings in options dialog.

Copy Chart to Clipboard

Copy the current chart to the clipboard, to paste it in other applications.

Print right pane

Print the current chart.

Customize file age intervals

Customize file age intervals (requires a scan refresh).

Add Age of Files to Details View

Adds a new column to the Details list, which shows how many files of the selected file age exist within the current directory.

Show chart in 3D

View chart in 3D or 2D.

Color gradient as background

Toggle the gradient in the background of the chart.

Colorize bars

Uses different colors for each of the displayed intervals.

Show grid

Show or hide grid lines for this chart.

Zoom in

Zoom in on the chart

Zoom out

Zoom out on the chart

Zoom 100%

Reset zoom to 100%


Top Files

Navigation: Using TreeSize > The TreeSize Views >

Top Files

The Top Files view lists the largest files in the scanned branch. Similar to the Details view, you can configure the information shown here using the column header of the list. Please note that files of the system directory "System Volume Information" and the "Recycle Bin" will not be listed in this view. In the Options dialog you may adjust the number of files shown in the list, and whether they will be chosen based on their plain file size or the space they actually allocate on the disk.

Context tab: Top Files

The Ribbon tab for the "Top Files" list provides several file-related operations as well as common export features.

The following commands are available on the "Top Files" tab:

Delete

Delete all selected files.

Properties

Show the properties for the currently selected file.

Export Top Files

Save the contents of this list to a file. If multiple items are selected, only the selected items will be saved.

Email

Send the content of the "Top Files" view via email.

Copy to Clipboard

Copy the content of this list to the clipboard. Copy the content of this list to the clipboard. If multiple Items are selected, only the selected items will be copied.

Print right pane

Print the contents of this list.

Select all

Select all items in the list.

Select none

Unselect all list items.

Invert selection

Invert the selection.

Open in Windows Explorer

Open Windows Explorer to show the folder containing the selected file.

Copy as path

Copy the path of the selected items to the clipboard.


History

In the History view you can see line charts visualizing the size development of the selected root folder. After each scan the size, allocated space, and number of files of the root folder are stored automatically in an XML file in the users profile of the currently logged-in user. These sizes are used to create this view. As a result the shown interval and frequency depends on the scans you have performed for this root before.

Please note:

·By default, only scans of the same path and the same exclude filters will be displayed in the history, since a common base is needed to compare scans. Using the Ignore scan filter option allows to include scans of the same path, but with differing exclude filters.

·If you are interested in the size development of subfolders in the scanned file system tree, we recommend using our disk space manager SpaceObServer, which archives file system information in a database and is able to track size development down to file level.

Context tab: History

Use the "History" tab to customize the appearance of the chart, to export the chart to a file, and to manage history data.

The following commands are available on the "History" tab:

Export chart

Save the current chart as graphic file.

Email

Export the current chart and send it via email. You can configure your email settings in options dialog.

Copy Chart to Clipboard

Copy the current chart to the clipboard, to paste it into other applications.

Print right pane

Print the current chart.

Manage history data

Provides actions for the export/import and purge of history data. Additionally allows choosing a new storage location for the data.

Show zero point

Show zero point as minimum value in the chart.

Show "Size/Allocated" series

Do not only show the currently selected value (size/allocated), but also the respective other one

Ignore scan filter

If activated, all scans of the current path will be included with the chart, regardless of the filters used for each of the scans.

Show average series

Show or hide a line indicating the average trend for this chart.

Show labels

Show info boxes (size values/number of files) in the chart.

Show total diskspace

Show or hide a horizontal line showing the total diskspace.

Equalize chart

defines wether the chart is displayed interpolated or exact.

Color gradient as background

Toggle the gradient in the background of the chart.

Show data points

Show or hide points on line chart.

Zoom in

Zoom in on the chart

Zoom out

Zoom out on the chart

Zoom 100%

Reset zoom to 100%

Remove data point

Using the context menu of the History view, you can remove single data points. Please note that this requires the "Show data points" option to be enabled (see above).


Drive List

Navigation: Using TreeSize >

Drive List

The Drive List shows the local drives as well as the connected network drives. You can see the size of the drive as well as the free disk space. The S.M.A.R.T. column offers a quick info about the health and hardware status of supported devices.

Double-clicking starts a scan of the selected drive.

Notes

·S.M.A.R.T. is available only for local drives supporting the S.M.A.R.T. standard (Self-Monitoring, Analysis and Reporting Technology). Windows grants access to these values only to processes that have been started "as administrator" and if the installed driver supports this.

·Additionally to the listed drive UNC paths can be added using the right click menu.

·You can use wildcards when defining the paths to be scanned. This way, you can even scan paths like "S:\Users\R*" or "R:\*\MyVideos".

·You can scan all shared drives in your network by entering \\* in the drive combo box.

·The drive list can be automatically exported into an Excel, Text, or CSV file by using the command line option "/EXPORTDRIVESLIST".

Context tab: Drive List

The Drive List has its own Ribbon context tab providing several additional actions for the Drive List.

The following commands are available on the "Drive List" tab:

Properties

Shows the properties for the selected drive.

Open in Windows Explorer

Opens the currently selected drive(s) in the Windows Explorer.

Remove from list permanently

Removes the selected path or drive permanently from the list.

Map network drive

Opens the Windows "Map Network Drive" dialog.

Add drive or UNC path

Enables you to select or enter a path or drive and add it to the drive list.

Add all shares of a server

Adds all shares of a server to this list as UNC paths.

Export

Exports drive list information (path, size, free space, etc.) to an Excel or text file.

Copy list to clipboard

Copies drive list information (path, size, free space, etc.) to the clipboard.

Import from clipboard

Imports all paths currently contained in the clipboard into the drive list.

Print

Prints drive list information (path, size, free space, etc.).

Show drive names

Activate this option to show the names assigned to the drives in Windows, additionally to the drive letters.


Snapshots

Navigation: Using TreeSize >

Snapshots

The Snapshot feature of TreeSize provides a quick overview on the development of disk space usage for the selected path. A snapshot can be described as "photography" of the disk space status at a certain point in time. It is created within seconds and Windows will automatically delete it if the space it occupies is needed. The amount of disk space reserved for snapshots can easily be configured via TreeSize or the Windows System Configuration (Tools > Configure Windows System Restore).

Creating a snapshot

Creating snapshots from within TreeSize is only supported for local drives, not for network drives. You need to run TreeSize as administrator in order to be able to create snapshots.

To create a new Snapshot, please click the "Create snapshot" button on the "Tools" Ribbon tab. Creating the snapshot may take a moment.

If the feature is disabled on the system, no snapshot can be created for any local partition. Check the settings in your Windows environment via Control Panel > System and Security > Computer Protection : it must be switched to ON for the system partition and for every partition you want to use with the snapshot feature.

This feature is not supported on Windows XP.

Comparison with a snapshot

You can compare a current scan with a previous scan using the comparison feature. This gives you an in-depth overview of each folder and file and its size development since the creation of the given snapshot. Not only remote Windows systems are supported, but also non-Windows systems like storage system from NetApp and EMC.


Disk Usage Comparison

Navigation: Using TreeSize >

Disk Usage Comparison

For a detailed analysis of your disk space usage it may be helpful not only to see the current usage, but also its development over time.

TreeSize provides a powerful comparison mode enabling you to analyze size development over a period of time. For that purpose, TreeSize compares data of the current scan with historical data. There are two different data sources available for the comparison:

·Previously saved TreeSize scans (XML report).

·Snapshots of the file system (available only for local NTFS drives).

To enable the comparison mode, please follow these steps:

1.Scan the path you want to view the size development for to get current reuslts.

2.Go to Scan > Compare with saved scan or Compare with snapshot.

oIf you selected "Compare with saved scan", you may now choose the XML file of the previously saved scan.

oIf you selected "Compare with snapshot", a dialog will open enabling you to choose a snapshot.

3.Select if you want to view size changes in the Directory Tree, in Views, or both.

By comparing a scan result with a previous scan, you can easily see which filers and folders were added and removed and analyze the space development in that time period. This can help to identify files and folders that grow in size regularly and could eat up your space quickly if not handled at an early stage.

Comparison with a snapshot

TreeSize provides several different ways to compare your scans with each other. The easiest way to do this is the snapshot feature. A snapshot could be described as a "photography" of the disk space status at a certain point in time. Major benefits of this mechanism are, that it can be created within seconds and Windows will automatically delete it if the disk space that it occupies is needed.

To compare a disk space scan with a snapshot, simply select a scan in the Directory Tree. Now click the "Compare with snapshot" button on the "Scan" Ribbon tab. You can also use the Application Menu ("File" > "Compare current scan" > "Compare with snapshot").

The following dialog shows a list of the available Snapshots sorted according to their time-stamp. It also shows the free space of each Snapshot, making it easy to spot exactly when the disk space on the hard drive where the current scan path resides on has increased or decreased. After selecting a Snapshot, click the "Compare" button to start the size comparison process.

Please note: if this list is empty or an error message "No snapshots available for this scan" appears, there are two possible reasons for that: either no snapshots are existing or not all necessary services are running on the destination system. You can verify this by doing a right-click on the destination directory, open properties and select the "Previous Versions" tab. If no snapshots are listed there, the program itself can also not list any entries. If you see entries there then not all required services have been running. These services have now been started implicitly by opening the dialog and if you now execute "Compare with snapshot" again , you should see the correct results.

Comparison with saved scan

Scans results can be written into XML files at any given time, which provides a history of your disk usage. These files can be stored away and reused in a later step for detailed analysis. You can use this information to compare your current scan results with the situation at any given time in the past.

To compare a disk space scan with a saved scan, select a scan in the Directory Tree and click the "Compare with saved scan" button on the "Scan" Ribbon tab. You can also use the Application Menu ("File" > "Compare current scan" > "Compare with saved scan"). The subsequent dialog allows you to select a previous scan that has been saved into an XML file.

Displaying the comparison

The result of the size comparison can be viewed in the "Directory Tree", in the "Details" view, or in both at the same time.

Elements that are highlighted in red have increased the disk space usage compared to the saved scan or snapshot, while a green element indicates that the disk space usage is now lower than in the saved state used for comparison. You can choose whether you want to compare the size, the allocated space, or the number of files between the two scans by clicking the corresponding button in the "Home" Ribbon tab.


Azure AD Configuration

Navigation: Using TreeSize >

Azure AD Configuration

If a SharePoint Online site is configured to require a multi-factor authentication, TreeSize will perform a browser based authentication (as known from other Azure AD apps).

To enable TreeSize to get authentication tokens from your Azure AD tenant, you have to register it in your Azure portal first and grant it permission to access Office 365 SharePoint Online:

Register TreeSize with your tenant

Please note that the following steps have to be done out of the scope of TreeSize. They may change with the ongoing development from Microsoft.

1.Sign in to the Azure portal.

2.Select on All services in the left-hand navigation, and choose App registrations (or use the search field in the top bar)

3.Select New application registration and create a registration with values like:
AzureADNewRegistration

·Name: An application name of your choice to identify the registration in the Azure AD. We would propose to use TreeSize.

·Redirect URI: Sometimes reffered to as reply URL. Please select 'Public client/nativ' here. Because TreeSize uses MSAL for authentication, please either use the redirect URI provided for this purpose, or define your own according to the scheme "My URI"://auth, e.g. treesize://auth

4.Once the registration is completed, AAD will assign a unique Application ID to the app. Copy this value from the right pane, as it will be required for the next steps.

5.If you are using a user-based login, select API Permissions in the left navigation list and click Add Permission. For authentication by certificate, please see point 7.

·Select SharePoint as the API

·Under Delegated Permissions, configure the permissions you want the user to delegate to TreeSize, and confirm the changes using the Done button.

oIf a permission has not been granted here, the user may not use TreeSize to perform the affiliated action, even though he would be allowed to do so with the web interface.

oIf a permission has been granted here, but not to the actual user, an affiliated action would still fail (the user won't become any more privileges).

oTo access SharePoint pages, the allSites.Manage permission is required.

oIf you want to restrict the access to document libraries only, the AllSites.Read permission is sufficient.

oTo scan all site collections connected to a site, the privilege 'Run search queries as a user' is required.

oTo allow the user to upload files, the privileges 'Read and write user files' and 'Read and write items and lists in all site collections' may be required.

·Click on Grant permissions to apply the changed permissions to your account.

·Depending on which permissions you selected, the changes need to be approved by an administrator (grant admin consent)

6.In order to use the SSO for domain-joined Windows (Windows Integrated Auth Flow) or the user credentials entered via TreeSize, the option Allow public client flows under Authentication -> Advanced settings needs to be enabled.

7.If you want to use a certificate to allow TreeSize to identify itself to the authentication service, instead of using user-related login information you will first need to create a self-signed certificate. To do so, please read here. You need to add the *.cer file created in the process to your app registration under Certificates & Secrets.You can then use the *.pfx file to log in via TreeSize. Now add the Sites.Selected permission under API Permissions > Add Permission > SharePoint > Application Permissions. The shared site collections must be configured on your SharePoint beforehand. Please contact your SharePoint administrator for this purpose

Provide TreeSize with the configuration information

In order to use the app registration made above, the information has to be provided to TreeSize. There are three options available how to achieve this:

·If you want to configure these settings for a single user/computer only, e.g. to evaluate and test the settings, you can do so in the options dialog or you can pass the values to TreeSize via the command line.

oTo configure the registration in the options:

1.Ensure the View -> Display -> Application Mode is set to Expert

2.Set the values at General -> SharePoint Online - Multi factor authentication

oTo configure the values from the command line, run TreeSize with the following parameters. TreeSize will remember these values, so you would have to configure them only once.

§/AADApplicationID followed by the Application ID assigned by the Azure Portal, e.g. /AADApplicationID xxxxxxxx-yyyy-xxxx-yyyy-xxxxxxxxxxxx, and

§/AADRedirectURI followed by the Redirect URI specified during the registration assigned, e.g. /AADRedirectURI TreeSize://auth

·If you are an administrator and want to configure these settings for a group within your company, you can define an define a group policy object to roll them out:

1.Download and install the administrative templates for TreeSize.

2.Open the Group Policy Management Console, and navigate to the GPO you want to contain the configuration or create a new one.

3.Configure the entries at Administrative Templates > JAM Software > TreeSize > Defaults

User permissions and permission levels in SharePoint Server
In order for a user to be able to scan SharePoint pages using TreeSize , the user must be granted certain permissions in SharePoint.

·A user needs a permission level on the pages he is allowed to scan, which contains the website permission "Browse directories".

·If the standard permission levels are to be used, the user needs at least the permission level "Contribute" on these pages.

Please note that the "SharePoint admin" role does not automatically grant a user access to all websites. If a SharePoint admin should be able to use TreeSize to scan SharePoint sites, please check the assigned permission levels here as well.

Problems with authentication

·If a user is not able to connect to SharePoint via TreeSize despite the assigned permissions, please check if this user has a valid Office 365 license with access to the Microsoft Graph-API (e.g. Office 365 E3).


Options Dialog

Navigation: Using TreeSize >

Options Dialog

The options dialog of TreeSize enables you to modify scan, appearance, and startup settings of the application as well as customize any supported export format (Text, Excel, etc).

These are the available options pages:

Scan

General

General settings influencing the scan behaviour of TreeSize.

Filter

Define filtering options for TreeSize.

View

Display

General settings influencing the appearance of TreeSize.

Details

Configure the columns shown in the Details view of TreeSize.

Directory Tree

Customize the appearance of the Directory Tree of TreeSize.

File Groups

Define which file extensions will be grouped together in the Extensions view of TreeSize.

Age of Files

Configure the intervals used to generate the charts of the Age of Files view.

Charts

Configure the amount of information that is shown in the chart related views of TreeSize and the way that they are displayed.

Top Files

Configure any options that apply to the Top files view, like the number of files to include.

Export

Printer

Configure printer settings for TreeSize.

PDF

Configure the PDF file report of TreeSize.

Excel

Configure the Microsoft Excel file report of TreeSize.

HTML

Configure the HTML file report of TreeSize.

CSV

Configure the CSV (comma-separated-values) file report of TreeSize.

XML

Configure the XML file report of TreeSize.

Text

Configure the plain text file report of TreeSize.

Email

Configure email settings for TreeSize.

System

Start

Modify startup settings for TreeSize.

Context Menu

Configure the Windows Explorer context menu integration of TreeSize.


Display

Navigation: Using TreeSize > Options Dialog > View >

Display

General settings that influence the appearance of TreeSize.

Appearance

Use dark theme / light theme / detect automatically

With this option the appearance of the application can be changed. You can switch between light and dark mode. The option for automatic detection is based on your current Windows setting and automatically adapts the appearance of TreeSize to it.

Visual Effects

Show compressed elements in blue

If this option is selected, compressed files on an NTFS volume are shown in a blue color. Folders that are partially compressed will have a dark blue color, files and folders that are entirely compressed will show up in a light blue color. For more information on file-based compression see Notes on NTFS.

Show elements containing paths >260 chars in red

Select this option, if folders containing long paths should appear in a red color. This is useful for finding file system structures that exceed the Windows MAX_PATH constant. Many tools and the .NET framework have problems with these long paths. Using the advanced search of the TreeSize File Search you also can search for such files.

Show elements in bold that are larger than ...

Use this option to define a threshold at which folders in TreeSize will be shown bold. You can either define a percentage value [% of the scanned folder] or a size value [Megabytes (allocated space). Folders will be shown bold in the Directory Tree and in the Details view of TreeSize.

Language

Use language

Select the language that is used for TreeSize's user interface.

Date/Time Format

Use the following date/time format, e.g. for "Last Access":

The date/time format that is used by TreeSize in related columns like "Last Access", "Last Change", or "Creation Date" can be defined here. Available formats are date, date+time (without seconds), and date+time (with seconds).

Usernames format

Offers various choices how usernames should be displayed.

Costs

Configure the cost value (per GB) and unit for the cost of calculated for the allocated space of files and folder.
The cost can be displayed in an own column "Cost" in the "Details" list and in your exports.

Expert Options

Number of paths in the "Recently scanned" list:

Here you can adjust the maximum number of entries shown in the "File -> Recently scanned" list. The maximum value for stored paths is 20.

Automatically update right pane during scan

If this option is selected, the right pane of the window will be updated from time to time. This allows you, for example, to watch the bars of a chart growing while scanning large drives. Use the drag bar to set the interval of the updates.

Determine icons based on file extension only

If this option is selected, the default icon for files based on the file extension is used. This is much faster, especially on network drives.

Enable Drag & Drop

Allows to deactivate the drag and drop features of TreeSize. Turning off drag and drop should prevent unwanted changes on critical systems.


Details

Navigation: Using TreeSize > Options Dialog > View >

Details

This options page can be used to configure the columns shown in the Details view of TreeSize. For a description of the available columns please refer to "Available columns".

Notes

·You can change the ordering of columns using the arrows on the left. Click the desired column first, then click an arrow to move the column up/down.

·The column that should be visible in the Details view can also be configured by right-clicking the column header (see screenshot below).


Directory Tree

Navigation: Using TreeSize > Options Dialog > View >

Directory Tree

Use these options to customize the appearance of the Directory Tree of TreeSize.

Grouping of Scans

Group all scans in a virtual root

Group scans under a virtual root folder showing summarized values for all scans that are part of this group.

Files in Directory Tree

Do not show single files in the Directory Tree

If this options is activated, files will grouped into a special node with the name "[Files]". This improves browsing of the directory tree, since you won't have to bother with individual files on each folder level.

Show single files in directory tree

If this option is activated, the directory tree will list single files.

Gradient Bars

Show gradient bars as size indicators in directory tree

If this option is active, a gradient bar is shown in the background of every folder in the directory tree that indicates the size of the folder in relation to the entire scanned file system tree. Use the color picker below to define a custom color gradient.

Tooltip

Only for cut off labels

Typically no tooltip is shown. In case the text does not entirely fit into a label, the full test will be shown as tooltip.

Show long tooltips in directory tree

If this option is active, a tooltip window with detailed information will be shown if the mouse cursor hovers over a folder for a while. This is useful if you want to take a look at detailed information of a folder without switching to the "Details" view,

Show a preview of the hovered folder's contents

Allows you to peek into a folder without actually expanding the folder in the directory tree.


File Groups

Navigation: Using TreeSize > Options Dialog > View >

File Groups

This page allows you to define which file extensions will be grouped together in the Extensions view of TreeSize.

The options for defining the file groups offer the possibility of customizing, deleting or creating new individual file groups.

Add a new file group

1. Specify the name of the new file group (for example, 'text files') in the 'File group definitions' text box.

2. Click 'Add Group.

3. Click in the text box in the 'Associated file extensions' section and define the desired file extensions that should belong to this file group (for example, '*.txt').

4. Click on 'Add Pattern'.

5. Repeat steps 3 and 4 until all desired file extensions have been added.

6. Click on 'OK' to save the changes.

Add/remove/edit a file extension of an existing file group

1. Click on the desired file group in the upper list.

2. Add a new file extension by following steps 3 and 4 as described above
or
use the 'Remove' button to remove an existing file extension from the list
or
right-click on an existing file extension and select 'Edit Pattern' to edit the definition of a file extension.

3. Click 'OK' to save the changes.

Change the title or description of an existing file group

Right-click on the desired file group and select either 'Edit Caption' or 'Edit Description'

Export/Import a list of file extensions

You can export the file extensions defined for a file group to a text, CSV, or XML file by right-clicking in the lower list and clicking the Export button. An existing definition can be imported in the same way.


Age of Files

Navigation: Using TreeSize > Options Dialog > View >

Age of Files

This options page allows you to configure the intervals used to generate the charts of the Age of Files view.

You may change the limit of each interval, add additional intervals using the '+' button, or remove intervals using the '-' button. You can turn off the creation of the "Age of Files" statistics using the check box on top of the list. This will slightly reduce the memory usage of TreeSize. Furthermore, you can select whether the file ages should be determined based on the "Last Access Date", the "Last Change Date" (default) or the file "Creation Date".


Charts

Navigation: Using TreeSize > Options Dialog > View >

Charts

This section contains options that change the amount of information that is shown in the chart related views of TreeSize and the way that they are displayed.

General Options

Show long tooltips

Activate this option to include additional tooltip information to the charts about the data that is currently being displayed.

Show background

Adds a color gradient to the background of the charts tab.

Show legend

Provides a description of the different segments that are included in a chart. The legend is shown below the chart.

Show free space

Includes a separate segment to the chart that indicates the amount of free space that is available on the drive that is currently being displayed.

Bar chart

Show grid

Adds a grid to the chart that corresponds to the current segmentation on the x-axis on the chart.

Show labels

Additional labels for each segment that contain name and size information.

Pie chart

Show legend

Provides a description of the different segments that are included in a chart. The legend is shown below the chart.

Treemap Chart

Show full hierarchy

If activated, TreeSize will show the full directory structure when displaying the treemap chart. If deactivated, it will only show the deepest nesting of the hierarchy, which means that only files and folders without subfolders will be shown.

Show labels

These labels describe which file, or folder is currently being displayed in the different tiles of the treemap chart.

Show legend

Provides a description of the different segments that are included in a chart.

Colorize items of the treemap chart

This option allows to change how items are colorized in the treemap chart. You can either select to use different colors for different file types, or to highlight the level of a file within the file system with a corresponding color.


Top Files

Navigation: Using TreeSize > Options Dialog > View >

Top Files

This options page allows you to configure any options that apply to the Top Files view.

Top Files

By default, TreeSize will identify the 100 largest files within a scan and show them in a separate view. To adjust this number, or the way that these files are determined, change the appropriate option in this section.

Visible Columns

All columns that are checked in this list will be shown in the top files list. By using the arrow buttons, you can also modify the order of columns that are displayed. You can also change them in the user interface directly, by right clicking the column header of the top files list and selecting the desired columns from the context menu.


General

Navigation: Using TreeSize > Options Dialog > Scan >

General

General settings influencing the scan behaviour of TreeSize.

Please note

·Changes applied here usually require a rescan of the currently scanned drives and folders to take effect.

Scan Accuracy

Track NTFS hardlinks and alternate data streams, when calculating allocated space.

With this option you can control whether TreeSize should check each file if it is just a hardlink to another file, or if contains alternate data streams (ADS). This will result in more accurate results for the allocated space, but will also slow down the speed of a scan.

Follow mount points and external symbolic links to directories

You can decide if TreeSize should follow symbolic links and mount points (see Notes on NTFS for additional information) that point to other drives or folders on other drives. Links that point within the scanned directory will never be followed in order to prevent circular references and folders from being counted twice.

Consider SharePoint file versions, when calculating allocated space

This option will check for each file that is located on a sharepoint server, if one or multiple previous versions of this file exist. These previous versions use up additional space on the sharepoint server, which by default is not visible. If you enable this option, TreeSize will add up the size values of the previous versions of a file and include it into the "allocated space" value.

Statistics

Create statistics for age of files

If this checkbox is activated, TreeSize will generate statistics for the age of files in each sub tree. The results can be viewed on the Age of Files view of the main window. The creation of these statistics will increase the memory consumption of the application.

Create statistics on file extensions

If this check box is activated, TreeSize will generate statistics for the file extensions in each sub tree. The results can be viewed on the Extensions view of the main window. The creation of these statistics will increase the memory consumption of the application.

Create statistics on file owners

If this check box is activated, TreeSize will generate statistics for the file owners in each sub tree. The results can be viewed on the Users view of the main window. Since it is necessary to query the owner of each file, this option will slow down the scanning process if activated.

Notifications

Show error messages during scan

Use this option to decide whether TreeSize should show error messages during scanning. If you, for example, scan a network drive on a Windows server and don't have reading access to all folders, Windows will pop up an error message for every unreadable folder. If you don't want the scanning process interrupted by these message boxes, uncheck this check box.

Notify when the scan is finished

Shows a message in the Windows system tray, once a longer running scan is finished.

Thread Options (expert option)

Thread Priority

Enables you to define the priority with which the threads scanning the hard disk are running. "Idle" means that the CPU will be used only if no other threads are using it. "Idle" is a good setting if you want to make sure that a scan with TreeSize has no impact on the performance of the PC or server. The default and recommended value is "lower priority". Choosing a higher priority will result in the scan threads having a higher priority than the thread of the user interface, which can make the user interface unresponsive during a scan. This setting is also used for the threads of the TreeSize File Search.

Maximum number of threads per scan

TreeSize automatically adjusts the number of threads to the CPU usage. This option lets you define the maximum number of threads that will be started for a scan. If the system load is high, fewer than the maximum number of threads may be started.


Filter

Navigation: Using TreeSize > Options Dialog > Scan >

Filter

Define filtering options for TreeSize. If you need information about e.g. certain file types only, you can specify a filter using this options page. Please note that changes on this options page usually require a rescan of the currently scanned drives and folders to take effect.

How to define a filter (exclude or include)

A full description of this topic can be found here.

Include or exclude files and folders

You can either include or exclude files or folders, depending on how you define your filters. A positively formulated filter such as "File group equals image files" ensures that only certain files and folders are included. In this example, the scan will only include size values of image files. A negatively formulated filter such as "Full path does not start with C:\Windows" will exclude certain files or folders from a scan. In this case, all files within the Windows directory will be excluded.


Printer

Navigation: Using TreeSize > Options Dialog > Export >

Printer

Configure printer settings for TreeSize.

Charts and lists to include

Configure the charts and lists that are added to the export

Check all the different chart types and list types that shall be included in the report that will be printed.

Export Depth

Elements that are currently visible in the user interface

Only the expanded/visible parts of the Directory Tree will be printed.

Full directory tree

If this option is selected, the complete Directory Tree will be printed.

Elements up to directory level

Allows to restrict the amount of data that is printed to a certain level.

Elements larger than

Only elements that have a certain minimum size will be printed.

Exported Elements

Folders only

If this option is selected, only folders will be printed.

Folders and [Files] item

If this option is selected, single files will not be printed. Instead, their values such as "Size" and "Allocated" will be aggregated into a special node "[Files]".

Folders and single files

If activated, single files will be printed as well. This may result in very large reports compared to exporting the files in a grouped view (see option above).

Exported Columns

Use the column list to specify which information shall be included in printed reports. A list of all available columns with their descriptions can be found here.

Use same columns as in details view

Activate this option if you want to use the same columns that are currently used in the details view.

Use custom column settings

This option allows for a fully customizable selection of columns for this particular export. You can change the size for each column individually.

Formatting

Use bold text and colors for printed reports too

Turn this option on to apply the settings for bold folder names for printed reports.

Setup

Print Setup...

Opens a dialog that allows to select the default printer, as well as the size and orientation of the printed report.

Page Setup

Margin Left/Top/Right/Bottom

Change these margins to increase or decrease the spacing that is left near the edges of the report.

Page orientation

Use "Portrait" for a vertically aligned report, or "Landscape" for horizontal alignment.


PDF

Configure the PDF file report of TreeSize.

Charts and lists to include

Configure the charts and lists that are added to the export

Check all the different chart types and list types that shall be included in the report of this export type.

Export Depth

Elements that are currently visible in the user interface

Only the expanded/visible parts of the Directory Tree will be exported.

Full directory tree

If this option is selected, the complete Directory Tree will be exported.

Elements up to directory level

Allows to restrict the amount of data that is exported to a certain level.

Elements larger than

Only elements that have a certain minimum size will be exported.

Exported Elements

Folders only

If this option is selected, only folders will be exported.

Folders and [Files] item

If this option is selected, single files will not be exported. Instead, their values such as "Size" and "Allocated" will be aggregated into a special node "[Files]".

Folders and single files

If activated, single files will be exported as well. This may result in very large reports compared to exporting the files in a grouped view (see option above).

Exported Columns

Use the column list to specify which information shall be included in reports. A list of all available columns with their descriptions can be found here.

Use same columns as in details view

Activate this option if you want to use the same columns that are currently used in the details view.

Use custom column settings

This option allows for a fully customizable selection of columns for this particular export. You can change the size for each column individually.

Page Setup

Margin Left/Top/Right/Bottom

Change these margins to increase or decrease the spacing that is left near the edges of the report.

Page orientation

Use "Portrait" for a vertically aligned report, or "Landscape" for horizontal alignment.


Excel

Navigation: Using TreeSize > Options Dialog > Export >

Excel

Configure the Microsoft Excel file report of TreeSize.

Charts and lists to include

Configure the charts and lists that are added to the export

Check all the different chart types and list types that shall be included in the report of this export type.

Export Depth

Elements that are currently visible in the user interface

Only the expanded/visible parts of the Directory Tree will be exported.

Full directory tree

If this option is selected, the complete Directory Tree will be exported.

Elements up to directory level

Allows to restrict the amount of data that is exported to a certain level.

Elements larger than

Only elements that have a certain minimum size will be exported.

Exported Elements

Folders only

If this option is selected, only folders will be exported.

Folders and [Files] item

If this option is selected, single files will not be exported. Instead, their values such as "Size" and "Allocated" will be aggregated into a special node "[Files]".

Folders and single files

If activated, single files will be exported as well. This may result in very large reports compared to exporting the files in a grouped view (see option above).

Exported Columns

Use the column list to specify which information shall be included in reports. A list of all available columns with their descriptions can be found here.

Use same columns as in details view

Activate this option if you want to use the same columns that are currently used in the details view.

Use custom column settings

This option allows for a fully customizable selection of columns for this particular export. You can change the size for each column individually.

Default Target File

Path of the default target file

Specify a file to which exported data should be written by default.

Formatting (Expert mode)

Use bold text and colors for reports too

Applies color and formatting options, such as bold text for larger folders, to generated reports as well.

Generate expandable/collapsible Excel report

A dynamic Excel report will be created in which items such as folders can be expanded/collapsed just like in the Directory Tree.

Format file and folder paths as

Chose in which way the paths of files and folders should be formatted in the Excel report. Paths can be formatted either as plain text or as hyperlinks.


HTML

Configure the HTML file report of TreeSize.

Charts and lists to include

Configure the charts and lists that are added to the HTML export

Check all the different chart types and list types that shall be included in the report of this export type.

Export Depth

Elements that are currently visible in the user interface

Only the expanded/visible parts of the Directory Tree will be exported.

Full directory tree

If this option is selected, the complete Directory Tree will be exported.

Elements up to directory level

Allows to restrict the amount of data that is exported to a certain level.

Elements larger than

Only elements that have a certain minimum size will be exported.

Exported Elements

Folders only

If this option is selected, only folders will be exported.

Folders and [Files] item

If this option is selected, single files will not be exported. Instead, their values such as "Size" and "Allocated" will be aggregated into a special node "[Files]".

Folders and single files

If activated, single files will be exported as well. This may result in very large reports compared to exporting the files in a grouped view (see option above).

Exported Columns

Use the column list to specify which information shall be included in reports. A list of all available columns with their descriptions can be found here.

Use same columns as in details view

Activate this option if you want to use the same columns that are currently used in the details view.

Use custom column settings

This option allows for a fully customizable selection of columns for this particular export. You can change the size for each column individually.

Included information

Include summary information

Use this option to specify whether a short summary information, such as the title and date of the report, should be added to the exported file.

Include units in export

If this options is activated, units like "KB", "MB", or "%" will be included in the exported data. Uncheck this option, if you want to export plain values.

Size unit

The size unit that will be used for the export of Excel files. You can either select a specific unit from Byte to Terabyte, let TreeSize automatically determine the optimal unit, or use the same unit that was last used in the user interface.

Style Sheet

Path of the optional style sheet

Define an optional style sheet which will be used to customize the created report.

Formatting (Expert mode)

Use bold text and colors for reports too

Applies color and formatting options, such as bold text for larger folders, to generated reports as well.

Format file and folder paths as

Chose in which way the paths of files and folders should be formatted in the Excel report. Paths can be formatted either as plain text or as hyperlinks.


CSV

Navigation: Using TreeSize > Options Dialog > Export >

CSV

Configure the CSV file report of TreeSize.

Export Depth

Elements that are currently visible in the user interface

Only the expanded/visible parts of the Directory Tree will be exported.

Full directory tree

If this option is selected, the complete Directory Tree will be exported.

Elements up to directory level

Allows to restrict the amount of data that is exported to a certain level.

Elements larger than

Only elements that have a certain minimum size will be exported.

Exported Elements

Folders only

If this option is selected, only folders will be exported.

Folders and [Files] item

If this option is selected, single files will not be exported. Instead, their values such as "Size" and "Allocated" will be aggregated into a special node "[Files]".

Folders and single files

If activated, single files will be exported as well. This may result in very large reports compared to exporting the files in a grouped view (see option above).

Exported Columns

Use the column list to specify which information shall be included in reports. A list of all available columns with their descriptions can be found here.

Use same columns as in details view

Activate this option if you want to use the same columns that are currently used in the details view.

Use custom column settings

This option allows for a fully customizable selection of columns for this particular export. You can change the size for each column individually.

Included information

Include summary information

Use this option to specify whether a short summary information, such as the title and date of the report, should be added to the exported file. For CSV exports, this will also define whether or not the name of the columns is included in the export.

Include units in export

If this options is activated, units like "KB", "MB", or "%" will be included in the exported data. Uncheck this option, if you want to export plain values.

Used size unit

The size unit that will be used for the export of CSV files. You can either select a specific unit from Byte to Terabyte, let TreeSize automatically determine the optimal unit, or use the same unit that was last used in the user interface.

List separator

Separate list columns using:

This options allows you to select which separator should be used for the export of CSV files. By default, the regional settings of the system will be used.


XML

Navigation: Using TreeSize > Options Dialog > Export >

XML

Configure the XML file report of TreeSize.

Please note:

·Certain columns cannot be configured for XML reports as these represent required data for the "Load XML report" or "Compare with XML report" features of TreeSize.

Export Depth

Elements that are currently visible in the user interface

Only the expanded/visible parts of the Directory Tree will be exported.

Full directory tree

If this option is selected, the complete Directory Tree will be exported.

Elements up to directory level

Allows to restrict the amount of data that is exported to a certain level.

Elements larger than

Only elements that have a certain minimum size will be exported.

Exported Columns

Use the column list to specify which information shall be included in XML exports. A list of all available columns with their descriptions can be found here.


SQLite

Navigation: Using TreeSize > Options Dialog > Export >

SQLite

Configure the SQLite file report of TreeSize.

Please note:

·Certain columns cannot be configured for SQLite reports as these represent required data for the "Load scan from inde file" or "Compare with saved scan" features of TreeSize.

Exported Columns

Use the column list to specify which information shall be included in SQLite exports. A list of all available columns with their descriptions can be found here.


Text

Navigation: Using TreeSize > Options Dialog > Export >

Text

Configure the plain text file report of TreeSize.

Please note:

·The "column" settings of the text export also affect the export to clipboard!

Export Depth

Elements that are currently visible in the user interface

Only the expanded/visible parts of the Directory Tree will be exported.

Full directory tree

If this option is selected, the complete Directory Tree will be exported.

Elements up to directory level

Allows to restrict the amount of data that is exported to a certain level.

Elements larger than

Only elements that have a certain minimum size will be exported.

Exported Elements

Folders only

If this option is selected, only folders will be exported.

Folders and [Files] item

If this option is selected, single files will not be exported. Instead, their values such as "Size" and "Allocated" will be aggregated into a special node "[Files]".

Folders and single files

If activated, single files will be exported as well. This may result in very large reports compared to exporting the files in a grouped view (see option above).

Exported Columns

Use the column list to specify which information shall be included in reports. A list of all available columns with their descriptions can be found here.

Use same columns as in details view

Activate this option if you want to use the same columns that are currently used in the details view.

Use custom column settings

This option allows for a fully customizable selection of columns for this particular export. You can change the size for each column individually.

Included information

Include summary information

Use this option to specify whether a short summary information, such as the title and date of the report, should be added to the exported file.

Include units in export

If this options is activated, units like "KB", "MB", or "%" will be included in the exported data. Uncheck this option, if you want to export plain values.

Used size unit

The size unit that will be used for the export of text files. You can either select a specific unit from Byte to Terabyte, let TreeSize automatically determine the optimal unit, or use the same unit that was last used in the user interface.

List separator

Separate list columns using:

This options allows you to select which separator should be used for the export of CSV files. By default, the regional settings of the system will be used.


Email

Navigation: Using TreeSize > Options Dialog > Export >

Email

Configure email settings for TreeSize.

Email content

To

The email address the report will be sent to.

Subject

The subject of the email. Supports environment variables such as %DATE%, %TIME% or %USERNAME%.

Format

Choose an email format here.

Transport

Use MAPI client

If this setting is checked, TreeSize will use the local MAPI client (for example Microsoft Outlook) for sending mails.

Use SMTP server

TreeSize will use the specified SMTP server to send email reports. Please make sure to test the connection settings before applying the current options.

Please note that you will have to enter valid SMTP settings in order to make use of email reports in scheduled scan or search tasks or all other kinds of automated starts (e.g. batch programs or command line calls) (Professional Edition only).

From

The email address that will be shown as the sender of the report.

Server

The name (DNS) or IP address of the machine hosting the SMTP service through which messages are to be sent.

Port

The port on which the SMTP service specified in the "Server" field is listening for connections.

Use secure (SSL) connection

Indicates that Secure Sockets Layer (SSL) should be used when sending messages via SMTP.

This server requires authentication

Select this option if SMTP service specified by the Server field requires authentication. Passwords will be encrypted before storing them in the TreeSize settings file.

Test Connection

Test the SMTP connection settings. This will send a test email to the email address specified in the "To" field.

Email body

Include results in mail body

Results will be added to the body of the email. NOTE: For very bigger reports, this can lead to very large mails, which can take a very long time to open in mail clients, or even exceed mail server limitations.

Attach a report with the results

Adds the result report as attachment to the email. This fixes the problem of very large emails that can occur with the other option.

Charts and lists to include

Configure the charts and lists that are added to the email export

Check all the different chart types and list types that shall be included in the report that is send via email.

Export Depth

Elements that are currently visible in the user interface

Only the expanded/visible parts of the Directory Tree will be exported.

Full directory tree

If this option is selected, the complete Directory Tree will be exported.

Elements up to directory level

Allows to restrict the amount of data that is exported to a certain level.

Elements larger than

Only elements that have a certain minimum size will be exported.

Exported Elements

Folders only

If this option is selected, only folders will be exported.

Folders and [Files] item

If this option is selected, single files will not be exported. Instead, their values such as "Size" and "Allocated" will be aggregated into a special node "[Files]".

Folders and single files

If activated, single files will be exported as well. This may result in very large reports compared to exporting the files in a grouped view (see option above).

Exported Columns

Use the column list to specify which information shall be included in reports. A list of all available columns with their descriptions can be found here.

Use same columns as in details view

Activate this option if you want to use the same columns that are currently used in the details view.

Use custom column settings

This option allows for a fully customizable selection of columns for this particular export. You can change the size for each column individually.

Included information

Include summary information

Use this option to specify whether a short summary information, such as the title and date of the report, should be added to the exported file.

Include units in export

If this options is activated, units like "KB", "MB", or "%" will be included in the exported data. Uncheck this option, if you want to export plain values.

Size unit

The size unit that will be used for the export of Excel files. You can either select a specific unit from Byte to Terabyte, let TreeSize automatically determine the optimal unit, or use the same unit that was last used in the user interface.

Formatting (Expert mode)

Use bold text and colors for reports too

Applies color and formatting options, such as bold text for larger folders, to generated reports as well.

Format file and folder paths as

Chose in which way the paths of files and folders should be formatted in the Excel report. Paths can be formatted either as plain text or as hyperlinks.


Start

Navigation: Using TreeSize > Options Dialog > System >

Start

Modify startup settings for TreeSize.

Start As Administrator

Always start this application as administrator

When activated, TreeSize will always start with administrator privileges. This will trigger the UAC (User Access Control) prompt, if UAC is enabled.

Action at Application Start

Do nothing

The application will start with an empty window. A scan can be started using the path selection drop-down list or via the corresponding button on the Home tab.

Scan the same path(s) as last time

All paths shown in the directory tree the last time TreeSize was closed will be re-scanned once the application is started again.

Always scan these paths

Enter up to five paths to be scanned when the application starts.


Context Menu

Navigation: Using TreeSize > Options Dialog > System >

Context Menu

Configure the integration of the Windows Explorer context menu in TreeSize.

Explorer Context Menu

Show TreeSize in Windows Explorer context menu of current user

Select whether TreeSize should appear in the context menu of folders in the Windows Explorer. Click on the corresponding menu item to start TreeSize and scan the selected folder immediately.

Show TreeSize File Search in Windows Explorer context menu of current user

Select whether the TreeSize File Search should appear in the context menu of folders in the Windows Explorer.


Using the TreeSize File Search

Navigation: »No topics above this level«

Using the TreeSize File Search

The TreeSize File Search offers the ability to search for obsolete files or perform a highly customizable search. You can open the File Search via the Windows "Start" menu or the "Tools" ribbon tab in the main application.

Below, you can find the most important elements of the TreeSize File Search window:

1.

The Ribbon Bar provides access to all commands of the TreeSize File Search. It is divided into logical sections containing commonly used functions and elements (e.g. the "Home" tab), or the tabs enabling you to customize the appearance of the search results (e.g. the "View" tab ). Press the "Start" button to start searching with the currently selected search options in the selected drives and paths.

2.

TreeSize offers the following file search types:

· Basic Search

· Duplicate Files

· Advanced Search

Use the check box to activate a certain search type. When a new search is started, all activated searches will be executed, after which the number of results will be displayed. After the search has been completed, select a search type (click on the caption) to show the search results of this search (See 3.).

3.

In the center of the window, the result list of the search type you selected at 2. is shown. Files and folders that have been found, can be selected, or checkmarked here.

You can customize the amount of information shown by right-clicking the header of the list. This opens a context menu that provides a selection of predefined columns. Additional columns are available through a selection dialog ("More columns"). TreeSize supports all columns that are available in Windows Explorer.

A detailed description of the different columns can be found here.

4.

The status bar sums up information regarding the currently shown search results. Potential errors during the search, such as missing permissions, will be shown in this panel as well.

5.

The drive list panel shows the currently selected drives and paths that will be used as starting point for the search. By clicking the dropdown button, or the panel itself, you can open the full drive list and select or deselect additional search paths.

6.

The "Find option"-searchbox (available with Windows 10 or later) allows to search for functions and settings with an ease and trigger them directly, or navigate to them.


The Ribbon Bar

Navigation: Using the TreeSize File Search >

The Ribbon Bar

The Ribbon Bar provides access to all commands of the TreeSize File Search. It is divided into the following logical sections, called "Tabs":

File | Enables you to select folders to search in and load or save your search results and search options.
Home | Contains the most commonly used actions and elements of the TreeSize File Search.
View | Contains all actions and elements influencing the general appearance of the search results.
Tools | Contains useful functions and settings of the file search.
Help | Provides common help features, version information, and management functions for your product license

File

Browse and add path

Shows a dialog which lets you select a directory. The directory will be added to the list of drives and paths TreeSize will search in.

Please note: Use "Home > Search paths" to see the complete list of searched drives and paths.

Search settings

Allows to Save the current search options to an XML file, load a previously exported options file, or to reset the current settings to their factory default.

Export

Saves the results of the latest search to a configurable file format.

Available file formats are "Text files (.txt)", "CSV files (.csv)", "Microsoft Excel (.xlsx)", "Rich Text Format (.rtf)", "HTML (.html)", "PDF (.pdf), and email.

List of paths

Exports a list of the full paths of your current search results ("Export path list") or import a list ("Import path list") in the format Text or CSV (mandatory).

Print list

Prints the currently visible result list or configure printer settings.

Options

Opens the options dialog, which allows to change the current search settings.

About

Shows version number and contact information.

Exit

Exits the TreeSize File Search.

Home

Search

Start

Starts the file search.

Stop

Stops the file search.

Export

Export

Saves the results of the latest search to a configurable file format.

Available file formats are "Text files (.txt)", "CSV files (.csv)", "Microsoft Excel (.xlsx)", "Rich Text Format (.rtf)", and "HTML (.html)", and "PDF (.pdf)".

You can also export a list of paths for the current search results. This list can be imported back into the file search at a later point in time, without having to perform a potentially long running search again. This also works for duplicate search, which will be exported including their group structure, if the option "General > Export > Export path list > Include duplicate groups" is enabled.

Email

Sends an email that contains the current search results.

Organize

Delete

Deletes all checked search results.

See "File operations".

Move/Copy

Moves all checked search results to a destination of your choice.

See "File operations".

Bulk rename

Opens the renamer dialog, which allows to rename all checked items simultaneously, using different rulesets which determine the new name of the files and folders.

Search Options

Options

Opens the options dialog, which allows to change the current search settings.

Customize filter

Allows to customize the set of filters that can be applied globally, to any of the search types.

Operations

Export

Export

Saves the results of the latest search to a configurable file format.

Available file formats are "Text files (.txt)", "CSV files (.csv)", "Microsoft Excel (.xlsx)", "Rich Text Format (.rtf)", and "HTML (.html)", and "PDF (.pdf)".

You can also export a list of paths for the current search results. This list can be imported back into the file search at a later point in time, without having to perform a potentially long running search again. This also works for duplicate search, which will be exported including their group structure, if the option "General > Export > Export path list > Include duplicate groups" is enabled.

Email

Sends an email that contains the current search results.

Organize

Delete

Deletes all checked search results.

See "File operations".

Move/Copy

Moves all checked search results to a destination of your choice.

See "File operations".

Deduplicate*

Use this button to replace all but one checked duplicate files by NTFS hardlinks. You can find further details about deduplicating files in this chapter.

Bulk rename

Opens the renamer dialog, which allows to rename all checked items simultaneously, using different rulesets which determine the new name of the files and folders.

Archive

Archives all checked search results in a ZIP file.

See "File operations".

Pass to executable

Passes the full path of all checked search results via command line to an executable of your choice.

See "File operations".

Change File Owner

Allows to change the owner of all checkmarked elements at once.

List Actions

Check

Contains actions that allow to check multiple items in the active result list at once.

Uncheck

Contains actions that allow to uncheck multiple items in the active result list at once.

Lock

Prevents search results from being checked. This means, they will be excluded when using the checkbox that checks all files and can't be checked manually either.

Sort by checkstates

Sorts all elements according to their current checkstate, so that all checked elements will be displayed next to each other, in the result list.

Remove

Contains a selection of options, which allow to remove specific files or folders from the list of search results again.

Ensure one unchecked file per group*

Activate this option, if you want to ensure that one file per duplicate group remains unchecked. This can be useful when using a custom selection mechanism, such as "Check if", to ensure that at least one of the duplicate files will not be included in a move or delete operation.

Edit

Cut

Removes the selected items and copies them to the clipboard.

Copy

Copies the selected files and folders to the clipboard. To insert them in a new location, use the "Paste" command.

Select all

Selects all items in the list.

A drop-down menu provides access to the additional button "Invert selection", which will invert the selection state of all search results.

*This action is only available if the duplicates search is currently selected on the left side of the main window.

View

Unit

Select the size unit, in which file sizes will be displayed:

Auto

Automatically selects the optimal unit.

TB

File sizes are displayed in Terabytes.

GB

File sizes are displayed in Gigabytes.

MB

File sizes are displayed in Megabytes.

KB

File sizes are displayed in Kilobytes.

B

File sizes are displayed in Bytes.

Formatting

Decimals

Determines the number of displayed decimals places.

Date and time

Chose the date format that is used in the TreeSize file search for columns like "Last Access", "Last Change", or "Creation Date" here. Available formats are date, date+time (without seconds), and date+time (with seconds).

Visible columns

Configure columns

Set the visible columns in the search result list.

This menu provides a large set of columns that can be enabled or disabled, as well as the option to activate one of the "additional columns" that are also available in Windows Explorer, such as "number of pages", for MS Word documents, width and height of pictures, and many more.

Please note: Before exporting scan results we recommend deactivating all columns you do not necessarily need in your export. This will increase the performance of the export and reduce the size of the export files.

Show or hide

Show tooltips

Enables long tool tips in the search result lists, showing detailed information about the file or directory your mouse cursor hovers over.

Preview pane

Toggles a panel to the right of the result list, showing a preview of the first currently selected file or directory.

Tools

Tools

Options

Opens the options dialog, which allows to change the current search settings.

Schedule current search

Opens a dialog enabling you to create a scheduled Windows task for the current search options.

The drop-down menu provides access to the additional button "Manage scheduled tasks", which allows you to edit previously created TreeSize tasks.

See "Schedule Dialog".

Start as Administrator

Restarts the TreeSize File Search and requests admin privileges.

Please note: This button is available only if TreeSize was started without administrator privileges.

Create portable installation

Creates a portable instance of TreeSize on a removable device

Empty recycle bin

Deletes all items in the recycle bin to free up disk space.

Help

Help

Show help

Opens the "File Search"-specific help file.

Show PDF manual

Open the product manual as PDF (optimized for printing).

File Search F.A.Q.

Opens the "File Search"-specific F.A.Q. section in the help file.

Version

About

Provides information about TreeSize.

Check for Update

Checks for a newer version of TreeSize.

What is new?

Shows the changes that were introduced with each new version of TreeSize.

License

Extend maintenance

Extends the maintenance period. Updates and support are free within the selected maintenance period.

Please Note: For the trial version of TreeSize, the Ribbon group "License" contains different controls:

Purchase full version

Navigates to the JAM Software website and shows a list of all available license models.

Change to full version

Helps you switch to the full version after purchasing the software.


Defining search paths

Navigation: Using the TreeSize File Search >

Defining search paths

Drives and Paths to search

The expandable drive overview enables you to define the drives and paths to search in. In its non-expanded state, it shows all searchable drives and paths that are selected for the current search. Additional paths can be browsed for, by using the plus symbol.

When expanded, the panel shows a list of all available drives, as well as the previously selected search paths, in a drop-down menu. Use the check boxes in front of each drive to select which file system branches should be searched by the file search. You can add additional paths and network drives using the buttons below the list. The first button will enable you to type in a path, the second one will open a folder browser dialog.

The file search supports the same scan targets as the main module of TreeSize, including WebDAV, Amazon S3, and SSH.

Hint: You can search entire servers or PCs by using their UNC name like \\SERVER. You can even search you entire network by choosing the network neighborhood of Windows in the directory browser appearing after pressing Browse and Add Path. TreeSize automatically browses for PCs and all shares on them (including hidden shares) and performs the search on all shares it finds.


Basic Search

Navigation: Using the TreeSize File Search >

Basic Search

The basic search provides a quick and simple entry to the file search. It is mainly aimed towards the more simple use cases, but offers a lot more functionality than what you can see at first glance. It is easy to use, since you can simply enter what you are looking for into the search box, similar to Windows Explorer's search. By default, the search will look for file names that match the user's input into the search box.

For power users:

The search box offers functionality that goes beyond the simple textual input of file names. You can customize your search even further by using our advanced search syntax. This allows power users to combine multiple search parameters by simply typing their configuration into the search box, without having to navigate the user interface.

Context tab: Basic Search

Search

Start

Starts the file search.

Stop

Stops the file search.

Options

Customize File Type Groups

Opens the options dialog and navigates to the "File Groups" options page. Here, you can modify the different file groups and which file types they should contain.

Exclude filter

Allows to activate, deactivate or customize the global exclude filters for this search.

Include files/folders

Determines whether the current search should search for files, folders, or both.


Search Syntax

Navigation: Using the TreeSize File Search > Basic Search >

Search Syntax

TreeSize provides a syntax that allows you to quickly and flexibly customize your search.

Below are some examples for a simple search:

Search for photos from 2022: Images 2022

TreeSize will then list all image files, whether jpg, png, bmp or similar, with the modification date in 2022.

Search for large Office files: Office > 10MB

TreeSize lists all Excel, Word, PDF, etc. files that are larger than 10 megabytes.

Certain keywords also offer the opportunity to formulate the search more precisely. In addition to file names, you can also search for file extensions, size, date, file contents and much more. Search terms can be combined via 'AND' or 'OR' and file names can be excluded from the search using the syntax. It is also possible to use wildcards and regular expressions. Below you will find a description of the permitted keywords and some use cases. For most keywords, there is a abbreviated form for faster search entry.

The search syntax is structured as follows:

<Property> <Operator> <Value>

for example

name: = readme

finds all files whose name (property) matches (operator) the word readme (value).

Several search terms can be combined:

name:=readme, name:=movie

or

name:=readme OR name:=movie

finds all files with 'readme' OR 'movie' in their name.

The following table shows all available properties, operators and conjunctions that you can use in TreeSize.

Information: When searching for file names, name: can be omitted. Regardless of this, the = character can generally be omitted as an operator, as well as AND as conjunction between two search terms. These are the default property, operator, and connection values used in the search. There are different spellings for individual properties, which can be found in the table below.

Important: If you want to use reserved characters of the search syntax such as brackets, commas or spaces in the search term, the search term must be enclosed in double quotes. Examples are in the table below.

Property: | Description: | Example: | Alternative form: | Explanation:
name: | Search by file name. This is the default property that is used when no property is explicitly specified. | readme | name:readme | Search for all files whose file name contains the word 'readme'.
path: | Search by folder path. | path:Windows | - | Search for all files and folders in the Windows folder.
extension: | Search by file extension. | ext:txt | extension:txt | Search for all files with the file extension 'txt'.
group: | Search by file group. | group:Video-Dateien | - | Search for all video files. Information: The available file groups can be adjusted under 'Options > Configure file groups.
content: | Search by file content. | cont:license | content:license | Full text search for all files, in whose file content the word 'license' occurs. Information: The full text search is time consuming. It is therefore recommended to use additional search criteria.
size: | Search by file size. | size: <500MB size:>5MB | - | Search all files smaller than 500 MB. Search all files bigger than 5 MB. Information: The search only refers to file sizes, folder sizes are not taken into account.
accessed: | Search by access date. | accessed:<=01.11.2021 accessed:>01.11.2021 accessed:15.03.2020-15.11.2021 | - | Search for files with access date in the specified time interval. Instead of an explicit time interval, the maximum or minimum date can also be specified.
created: | Search by creation date. | created:<=01.11.2021 created:>01.11.2021 created:15.03.2020-15.11.2021 | - | Search for files with creation date in the specified time interval. Instead of an explicit time interval, the maximum or minimum date can also be specified.
modified: | Search by modification date. | modified:<=01.11.2021 modified:>01.11.2021 modified:15.03.2020-15.11.2021 | - | Search for files with modification date in the specified time interval. Instead of an explicit time interval, the maximum or minimum date can also be specified.
datetaken: | Search by date taken. | datetaken:03.03.2023 | - | Search for files, in most cases photos, taken on March 3, 2023.
attribute: | Search by file attributes | attribute: HS | - | Search for files with the file attributes H (Hidden) and S (System).
keyword: | Search by keywords in files | keyword: my_keyword | - | Search for files (like docx files) which are marked with the keyword "my_keyword".
owner: | Search by file owner | owner: John | - | Search for files whose file owner is named "John".

Operator:

Description:

Example:

Alternative form:

Explanation:

=

The property must apply.
This is the default operator that is used if no operator is explicitly specified.

readme

name:=readme

Search for all files whose file name contains the word 'readme'.

!=

The property must not apply.

!=readme

name:!=readme

Search for all files that do not contain the word 'readme'.

~

Can be used in conjunction with the name:property. The following value is a Regular Expression (Regex) and must apply the property.

Note: The regular expression must be enclosed in quotation marks if search syntax characters such as brackets, commas or spaces are used.

~[0-9]

name:~[0-9]

Search for all files that have at least one digit in their name.

!~

Can be used in conjunction with the name:property. The following value is a Regular Expression (Regex) and must not apply to the property.

!~[0-9]

name:!~[0-9]

Search for all files that have no digits in their names.

> or >=

Operator for size or date comparisons:

The property must be greater than (greater than or equal to) the specified value.

size:>= 5MB

-

Search for all files that are bigger than or equal to 5 MB.
Information: The search only refers to file sizes, folder sizes are not taken into account.

< or <=

Operator for size or date comparisons:

The property must be smaller than (smaller than or equal to) the specified value.

size:<= 500MB

-

Search for all files that are less than or equal to 500 MB.
Information: The search only refers to file sizes, folder sizes are not taken into account.

( and )

Parentheses can be used to group parts of the search input.

(readme, license)*.txt

(name:=readme OR name:=license) AND *.txt

Search for all text files that have the word "readme" or "license" in their filename.

Conjunction: | Description: | Example: | Alternative form: | Explanation:
Space character or AND | The conjunct search patterns must all match. This is the default connection that is used if no connection is explicitly specified. | readme ext:txt | name:=readme AND extension:=txt | Search for all files whose file name contains the word 'readme' and which have the file extension 'txt'.
Commar or OR | At least one of the related search patterns must match. | readme, movie | name:=readme OR name:=movie | Search for all files whose file name contains the word 'readme' or 'movie'.

When specifying values, more previsely the actual search pattern, there are various reserved characters such as wildcards or quotation marks for exact searches. The following table lists these characters and explains them using some examples.

Example value: | Description: | Example: | Alternative form: | Results:
*readme* | Search for readme, where any number of characters can be placed before and after the word. The word contains 'readme'. | *readme* | name:=*readme* | Finds: '123readme.txt', '123readme.docx' but NOT: 'read_me.txt', 'reading.docx'
readme | Corresponds *readme*. The two wildcards before and after the word can be omitted for simplicity. | readme | name:=readme | Finds:: '123readme.txt', '123readme.docx' but NOT: 'read_me.txt', 'reading.docx'
readme* | Search for readme, where any number of characters can be placed after the word, but no characters are allowed before the word. The word begins with 'readme'. | readme* | name:=readme* | Finds: 'readme.txt', 'readme_c.docx' but NOT: '123readme.txt', 'read_me.txt'
*readme | Search for readme, where any number of characters can be placed before the word, but no characters are allowed after that. The word ends with 'readme'. | *readme | name:=*readme | Finds: '123readme', 'c_readme' but NOT: 'readme.txt', 'readme_c'
"readme" | Word search for the exact occurrence of the word "readme". It searches for the exact occurrence of the word without taking parts or variations of the word into account. This means that the searched word must be present in the text as an independent and complete word in order to be recognized as a hit. | "readme" | name:="readme" | Finds: 'readme' or 'readme.txt' but NOT: 'readmes.txt', '123readme'
rea?me | Search for file names beginning with 'rea' and ending with 'me' and containing exactly one character in between. |  | name:=rea?me | Finds: 'readme', 'reasme', 'rea1me' but NOT: 'rea123me', 'readme.txt'
\*readme* | Search for files that contain the term "readme" anywhere in their path. | \*readme* | name:=\*readme* | Finds: "readme.txt" in any folder, "abc.doc" in "C:\temp\readme\local". but NOT: "abc.doc" in "C:\temp\local".

xt ein.


Duplicate search

Navigation: Using the TreeSize File Search >

Duplicate search

Searches for duplicate files on the selected drives or shares.
In this context, duplicate files are files which seem to exist more than once. Such redundant files increase the allocated space of your disks unnecessarily.

A detailed step by step example of how to use the duplicate search can be found here.

Context tab: Duplicate Search

Search Mode:

Select one of three modes of the duplicates search. You can search for duplicate files, duplicate folders, or files that do not have any duplicates.

Duplicate Files

Searches for files that are duplicates of each other, using the selected comparison method.

Duplicate Folders

Searches for folders that are duplicates of each other. Two folders are considered duplicates, if they contain the same amount of subfolders and files. These subfolders and files also have to be equal to each other, in regards to the selected comparison method.

Unique Files

This setting searches for files that do not have any duplicates across the selected search paths.

Comparison method:

Defines which criteria should be used to identify files as duplicates. Here is a list of the available strategies:

File Content

This option uses MD5 checksums for comparison by default.

When using this method, a so called hash value is calculated based on the contents of each file. Files with the same content will have the same hash value, files with different content will almost certainly have different values. Empty files are ignored, since there is no content to compare.

This is more accurate than comparing files by their name, size and date but it is also much slower.

Within the file search options, it is possible to adjust this method to use SHA256 hashes instead. The SHA256 algorithm further reduces the statistical risk of hash collisions compared to MD5 but it is also significantly slower. This option is only visible when using the expert application mode.

Size, Name and Date

Select this option to identify duplicate files by looking for equal names, sizes and last change dates.

This is much faster than using check sums to indicate duplicates, but it is also less accurate.

Name and Size

Select this option to identify duplicate files by looking for equal names and sizes.

Equal to the very first compare criteria, but without regarding the "last modified" time stamp of the files.
This is helpful in case files had been moved from one location to another, which might modify this time stamp.

Name

Select this option to find all files with equal file names.

This compare type can be helpful when you are searching for undesired copies (e.g. documents which have been copied and modified locally).

Name without Extension

Select this option to detect files with equal names, without regarding the file extension.

This can be interesting in case you are searching for duplicated backup files or e.g. row-data and compact image or video files ("MyPhoto.bmp" - "MyPhoto.png").

Size and Date

Compares files according to their size and date values. This allows for a faster, but therefore less accurate search for duplicate files with different names. Accidental copies with names such as "Copy of ..." can be identified quickly, using this method.

Size only

Select this option to find all files with equal size.

Search Filters:

Additional options to customize the duplicate file search:

Exclude filter

Allows to activate, deactivate or customize the global exclude filters for this search.

By restricting the duplicate search to a specific preselection of files, you can prevent listing files of certain directories (e.g. your local system directories) as duplicates. Additionally, this option will reduce the number of files to compare, which improves the speed of the search.

Ignore NTFS hardlinks

If this option is activated, hardlinks are not regarded as file duplicates. Note: NTFS hardlinks do not allocate memory. Therefore, deleting them does not make additional memory available. In addition, TreeSize uses hard links for deduplication.

Deduplicate:

Use the "Operations > deduplicate" button to replace all but one checked duplicate files by NTFS hardlinks. You can find further details about deduplicating files in this chapter.

In the configuration window you can select a log file to log the performed replacements to. You can also define how TreeSize will handle files located on different hard disks. You can either replace files located on the same hard disk with hardlinks separately or simply select a reference drive and replace all files located on other hard disks with symbolic links. Please note that in case the permission to create symbolic links can not be granted, a Windows shortcut (.LNK file) will be created instead as fallback.

The context menu of the duplicate files list offers a feature named "Replace duplicates by hardlinks". This function works just like the "Deduplicate" function, but will handle all selected files instead of checked files.


How to set up a duplicate search

Navigation: Using the TreeSize File Search > Duplicate search >

How to set up a duplicate search

The duplicate search is part of the TreeSize File Search, which can be started from the "Home" tab within the main module, or via the separate shortcut in your Windows Start menu.

Step 1: Activate the duplicate search and select a search path:

To set up a duplicates search, first enable the checkbox "Duplicate Files" on the left side. Use the panel above the search result list, to select the drive or path that you want to search. You can find additional information about how to set up a search path in this chapter. It is also possible to search for duplicates across multiple drives or paths.

Step 2: Select a comparison method and minimum file size:

The next step is to select the mechanism that should be used to compare files with each other. You can compare the files by their Name only, or a combination of Name, Size and Date. The most accurate method, however, is the checksum. A duplicate search that uses file checksums is slower, but will be much more accurate, since the actual content of the files is used for the calculation. To do this, select the "File Content" option from the ribbon menu, under "Duplicate Files > Comparison Method".

It is also recommended to define a minimum size for the search, so that small files can be skipped quickly. Smaller files do not contribute much to the total size on the drive, so their removal would not gain much space. You can also define other filters, such as "File Type" which can help speed up the duplicate search by running only on a specific subset of files. For more information, see the chapter "How do I define search filters".

Step 3: Run the search:

Once you have configured all necessary parameters, you can run the search and analyze the results. Each occurrence of a duplicate is arranged under a group in the result list.

The following screenshot shows an example configuration as mentioned above and shows the results of the search:

Step 4: Analyze the results and perform the cleanup operation:

Deduplicate:

The easiest way to gain disk space with the duplicate search is the deduplication feature. Just check the files that you want to deduplicate and select "Deduplicate" from the ribbon menu. TreeSize will replace all but the newest file with NTFS hardlinks. After the deduplication, the copies will no longer allocate space on the drive.

Delete/Archive:

Another way to free up space is to delete the duplicate files from the disk. In contrast to the deduplication, the duplicate files will be removed from disk completely, there will be no leftover link to the original data. This also requires you to manually select the files that should be removed. However, TreeSize offers a variety of functions that helps you select only the duplicate files, so that one "original" file will always remain.

In the ribbon menu for the duplicate search, you can find the category "List actions", which provides functionality for checking "All but the ..." newest, oldest, first or last file of each duplicate group. This allows you to select all files of a duplicate group but leave one file unchecked (the one file that will not be deleted). If you want to make a more customized selection, such as "only files from drive G:\", you can use the "Check if" dialog to create a custom selection pattern. To this end, it may also be useful to select "Ensure one unchecked file per group". If this option is enabled, TreeSize will ensure that one file per duplicate group remains unchecked under all circumstances. This prevents cases, where all files of a group were checked accidentally, so that no original file would be left over, after the delete operation.

After checking the files that should be deleted, click "Delete items" in the ribbon menu to trigger the deletion dialog, where you can select what operation should be performed. You can either delete the files, or move them to a different location. In both cases, you can create a log file of the operation, which provides a summary of the operation and allows you to verify the results.

Finally, click "Execute" to start the operation.


How does the deduplication work?

Navigation: Using the TreeSize File Search > Duplicate search >

How does the deduplication work?

Deduplicate:

The process of removing redundant files and replacing them by NTFS hardlinks with TreeSize is called "deduplication". This will reduce the disk space that is blocked by your duplicate files.

Instead of having each of the files take up individual space on your hard disk, TreeSize removes all duplicate files and keeps only one of them. The files that were removed will be replaced by hardlinks, which will then point to the remaining data (See: NTFS hardlinks). The data is now shared shared by all the hardlinks for this file, as shown in the image below.

These hardlinks can be used like any normal file. You will not notice any difference, except that the data is now shared between the other links. In fact, they are not different to any normal file, except that they do not occupy their own space.

Which of the duplicate files will be replaced, and which files will be kept as "master"?

If you checkmark all files of a duplicates group, TreeSize will pick the file with the newest "Last modified" date and use it as "master" for this group. All other files will be removed and replaced by hardlinks, which point towards the master file. If you want to manually select a master file, you can leave one of the files in a duplicates group unchecked. This file will then not be replaced, but used as master instead.

Please note:

·Unfortunately, Windows Explorer does not show the size difference for a deduplicated file, or the folder that it is located in. You can find further information about this topic and how to see the size difference in our knowledge base.

·You cannot use hardlinks to replace files located on different hard drives.

·To use deduplication with hardlinks you need these NTFS permissions in all affected folders: Read permissions, write permissions, create files, delete files.

·TreeSize does not offer the functionality to "undo" a deduplication.

·All hardlinks pointing to the same file share the same "Security Description" (access permissions). Deduplication will apply a unified set of permissions to the one physical remaining file.


Advanced search

Navigation: Using the TreeSize File Search >

Advanced search

The advanced search is more customizable than any of the predefined searches. It can combine different filter patterns with date, size, or even attribute filters.

You can add multiple advanced searches and assign different search criteria to each of them. You can, for instance, create a custom search for audio files that were are larger than a certain threshold, and another custom search for files with paths that exceed a length of 255 characters. Each of these searches can be activated and deactivated separately, so you can store a set of custom searches where each serves a different purpose. The ribbon menu can be used to create, rename, or delete custom searches, or to set up the general parameters of the current search.

Select Template

This button on the left hand side of the application allows to select from a range of predefined search definitions. This list serves as an entry point for many different user cases, from which your search definition can be fully customized or extended.

Using the advanced search

A search configuration for the advanced search consists of one, or multiple search filters, which can be combined freely. You can, for instance, select whether a file has to match all filters (combine via "And"), or if only at least one of them (combine via "Or") has to match. A detailed description about how to create filter definitions can be found here.

Analyze and process search results

Like in all searches, you can export checked files in the result list to a variety of formats, or you can copy or move them to a position in the file system that you can specify by using the file operation dialog. You can find a detailed description about how to analyze and process your search results in this chapter.

Context tab: Advanced Search

Search

Start

Starts the file search.

Stop

Stops the file search.

Manage

New advanced search

Creates a new, empty advanced search.

Rename current search

Allows to set a new name for the current advanced search.

Delete current search

Deletes the current search and all its filters.

Save current filters as template

Creates a new template from the current search filters and adds it to the list of available templates. All of the current filters and settings, such as "Include files/folders", are used, if the template is selected.

Options

Customize File Type Groups

Opens the options dialog and navigates to the "File Groups" options page. Here, you can modify the different file groups and which file types they should contain.

Exclude filter

Allows to activate, deactivate or customize the global exclude filters for this search.

Include files/folders

Determines whether the current search should search for files, folders, or both.

Topmost matches only

If this option is activated, TreeSize will only show the highest possible level of files and folders as results for a search. This means, that if a file is found as a search result, but the parent folder is already contained in the list of results, then the file will not be listed. The same applies for subfolders where one of their parent folders is already contained in the list of search results. NOTE: Activating this option will also activate the option to include folders.


How do I define search filters?

Navigation: Using the TreeSize File Search > Advanced search >

How do I define search filters?

Defining a filter

In order to create a new filter, follow these steps:

1.Click "+"

2.In the first selection box, select what you want to search for:

§Are you searching for files with a specific name? Select "Name"

§Should a filter for file size be created? Select "Size"

§Are you looking for files of a specific type? Select "File Type"

§etc. (A variety of values to compare against are available. See also "Which filters are there?")

3.In the second field, select how the elements should be compared. A search for file names, for instance, can look for characters that are contained in the name, or whether it starts or ends with it. More complex comparisons can be performed with the option "matches pattern", or "matches regular expression". Examples for this are simple wildcard patterns such as "*.exe", or regular expression patterns such as ".+\.exe$". The opposite of a filter is also possible. You can search for files that do not contain a certain string. This can be used to exclude certain files from your search results.

4.Define the value of the filter. This value will be compared against the file name, size, etc.

Combining multiple filters with each other

Multiple filters can be combined with each other as well. You can define multiple filters that will be applied one after the other, using the method that you have selected. You can fully customize whether filters will be combined via "Or" conjunction, or via "And" conjunction. The former means that at least one of the filters has to apply, the latter means that all of them must match. A filter definition is always located below either an "And" or an "Or" node of the tree structure. This node defines how the underlying filters should be combined.

Tips for Powerusers: When combining multiple different filters, where part of them is to be combined via "Or", while others are to be combined via "And", it might seem a bit challenging to keep the overview, upon first use, since the arrangement in a tree structure does not match our usual reading direction. However, thanks to this compact and clearly structured representation, elements can be nested as deeply as desired, making complex combinations possible that can cover almost any use case.

Since elements that belong together share the same higher-level node in the tree, it is often advisable to read the structure from the inside out, i.e. first look at the leaf elements of the tree, and then the respective higher-level elements. The "Exclude system files" template shows an example of such a complex combination and is intended to provide an introduction to help you find your way around the definition of more complex filter definitions.

Using Wildcards

If you select the option "matches pattern" for a filter type, you can create a more complex filter, where certain parts of the search term are replaced by a placeholder.

* | Replaces none or arbitrarily many alphanumeric characters.
? | Replaces exactly one alphanumeric character.

Regular expressions can also be used as patterns by selecting the comparison method "matches Regular Expression". The following table shows an example of possible patterns:

Name | matches pattern | *.doc | Searches for all files with the extension ".doc".
Name | matches Regular Expression | [^\x00-\x7F] | Find all files/folders with invalid ASCII characters.
Full Path | matches pattern | *\Windows\System32\*.exe | Searches for all applications in the path "Windows\System32".
Name | matches Regular Expression | (?=.*a)(?=.*b) | Find all files/folders containing at least one "a" character and one "b" character.
Owner | matches pattern | admin* | Searches for all files with a file owner starting with "admin..." (e.g. "Administrator" or "Administrators")


What types of filters are available?

Navigation: Using the TreeSize File Search > Advanced search >

What types of filters are available?

The TreeSize file search supports all kinds of filter variants for files and folders. In addition to standard filters, such as "Name" or "Size", there are many predefined filter options, some of which are described in this chapter.

File Type

This option allows you to search for groups of files. TreeSize offers predefined groups for all file types, such as "Audio Files", "System Files", or "Office Files and Documents". You can edit existing groups or create your own. You can find this option under "Start > Options > General > Filegroups.

File Content

In addition to file name, fullpath, or owner, you can also search for files that have a specific content. The TreeSize File Search can analyze the textual content of a file and look for a given set of search terms. If TreeSize finds this text inside of a file, the file is returned by the custom search. This is possible for non-plain text file formats as well, such as PDF, Microsoft Excel or Microsoft Word.

Select "File content" as the target for the comparison, or the corresponding variant which is case-insensitive.

Plain text and IFilter

TreeSize is able to search plain text files very quickly, by traversing them directly on file system level and matching their content to the given search term. All commonly used file encodings, such as ASCII, Unicode, or UTF-8 are supported.

For more complex file types, such as Microsoft Word, Excel or PowerPoint, TreeSize uses the IFilter interface, which is provided by the operating system. Any application can register their own filter handler for a specific file type. Some handlers are already shipped alongside with Windows. An example for such a filter handler is the one that handles document types and allows to read the content of files that are saved in the .docx format.

Other file types, such as PDF, can be read by filter handlers that are installed by PDF reader applications. They are registered during the installation of the PDF reader application and available for TreeSize automatically.

Path Length

You can use this option to search for files with paths of a certain length, which can help find long paths, for example. Many applications are limited to file paths with a maximum of 260 characters. This option can be used to find such problematic files.

Hardlinks

This option allows you to identify files that have already been deduplicated. A file with more than one hardlink indicates that a deduplication has already been performed. To include only files that have not yet been deduplicated, filter for files with exactly one hardlink. To include deduplicated files, select a filter with at least 2 hardlinks.

Files

Filters by the number of files in a directory

Folders

Filters by the number of sub folders in a directory

Dir Level

TreeSize will only search for files that are located within the specified minimum or maximum directory level.

Select "Dir Level (Relative)", if the directory level should be evaluated relative to the current search path, rather than as absolute level within the file system.

For example:

Search path: "C:\Windows".

Using "Dir Level (relative)":

·Level 1: Items that are direct children of the current search path (e.g. C:\Windows\System32).

·Level 2: Items that are located inside of first level items (e.g. C:\Windows\System32\chkdsk.exe)

·etc.

Using "Dir Level":

·Level 1: Direct children of the current drive (e.g. "C:\file.txt").

·Level 2: Items that have one parent folder (e.g. "C:\Users\anotherfile.txt".

·etc.

In most cases, you will want to use "Dir Level (relative)". In order to skip subfolders and only search the current folder, select "Dir Level (relative)" = 1

Last Modified / Creation Date / Last Accessed

With this option, you can customize a search for files and folders by looking for their last change, last access, or creation date timestamps. Defining a time period can be done by:

Selecting a time interval (relative to the current date):

·Predefined interval: The most commonly used intervals, such as "Last week", "This month", "Last year", etc. are available as predefined options. They are evaluated in relation to the current date when the search is executed.

·Since X days/weeks/months/years: Select a custom time interval that must have passed since the file/folder was (not) changed / (not) accessed / (not) created.

Selecting a specific date manually:

·entering only a start date: the filters will only find files/folders with a matching date past the selected date. The selection menu provides checkboxes, which allow to enable, or disable the start and end date of an interval for the search.

·entering only an end date: the filters will only find files/folders with a matching date before the selected date.

·entering a full interval: the filters will find only files/folders with a matching date within these boundaries.

Attributes

Searches for file attributes. You can decide whether they have to be set, or not set.

Is invalid shortcut

Allows you to search for links without a valid destination. Important: Please note that a link with its destination being a currently unreachable network drive can also be identified as invalid.

Meta data (More filter types... )

In addition to the predefined set options, TreeSize allows using all available meta data, such as "Last saved by" for office documents, or "tags" for JPEG and Office files. Select "More filter types... " to open a selection dialog with all available meta data .


Templates

Navigation: Using the TreeSize File Search >

Templates

Templates are a perfect starting point for creating a new advanced Search.

Defining a new search configuration should always start with the selection of a suitable template. Once a template that matches your use case is found and selected, TreeSize will add a new advanced Search with the name of the template and load a predefined configuration for this scenario into the user interface. From there, your definition can be adjusted to fit your requirements. You can add new filters, existing ones can be modified or removed. Selecting a template shall also help you find the correct filter types for your specific use case.

Create your own templates

To create your own templates, adjust the filter settings as you want them to be saved later in the template, and then select the "Save current filters as template" function in the "Advanced Search" tab. The new template is added to the list so that the previously selected search filters can be recalled at any time.

You can also edit the list of templates by removing existing templates or rearranging them as you like. Under "Personalize > Templates", in the options dialog, the list of existing templates can be customized as desired.


How do I exclude files from the search?

Navigation: Using the TreeSize File Search >

How do I exclude files from the search?

In some cases, it may be useful to exclude certain files, or a certain type of files, from your search results. An exclusion filter can help speed up the search for large amounts of data. If, for instance, certain subpaths are not relevant to a search, TreeSize can simply skip them. It is also possible to prevent certain data from appearing in the result set at all. An example of this is system files that should not be deleted or moved in most cases. In order not to display such files in the first place, a corresponding exclusion filter can be defined. There are two ways to create an exclude filter:

1. Using global search filters

The easiest way to exclude files from searching is to add them to the list of global search filters.

Global search filters, as the name suggests, can be defined for the entire application. Unlike the individual search definitions, they are valid for all searches, but can be turned on or off for each search separately. <%TITLE% automatically excludes all files and folders that correspond to the global search filters.

Global search filters can be activated and adjusted in the options dialog under "Exclude filter".

2. As part of the filter definition

You can also exclude certain files within the advanced search directly, using another filter. Suppose you already have an existing filter, for example, a minimum file size. This can be combined via the "And" conjunction with another filter, which excludes certain files (e.g. "System Files") from the search. The exclude filter in this example is defined as follows:

·Select "File Type" in the first selection box

·Select "does not equal" in the second selection box

·Select "System Files" in the third selection box

Make sure that the original filter and the exclusion filter are combined via "And", meaning that the two have a common parent that contains the "And" selection.

Using this method, even more complex combinations can be created. For example, multiple inclusion filters might already be combined via "Or" (e.g. file name = "one file" OR file name = "another file"). To connect this existing combination with an exclusion filter, the complete "Or" group must be combined with the new exclusion filter with "And". The Exclude System Files template shows such an example, which searches for different file names but excludes system files at the same time.


What do I do with my search results?

Navigation: Using the TreeSize File Search >

What do I do with my search results?

After running a search, you might want to select a subset of your results and mark them for deletion/deduplication/etc.

Delete/Move/Deduplicate

Your search results can be processed in several different ways. Old files that are not needed anymore can be moved or deleted, duplicate files can be deduplicated, and files with invalid file names can be renamed. In order to do so, you need to use the checkboxes to select which files should be included in the operation. You can either select each file individually, or use one of the available options for selecting multiple files simultaneously.

Checking multiple files at once

TreeSize offers a variety of operations that allow to select a certain subset of your search results. Rather than having to scroll through very large lists with your results manually, you can use these functions to mark them automatically, using a set of predefined conditions, or by creating a custom one. The following list shows the different options that are available. They can be found in the under "Operations > Check/Uncheck".

All files and folders

The simplest of all options. Selects and checkmarks all of your search results.

Files and folders that match a custom filter

This option shows a custom filter dialog that offers the full range of filter options. You can select files by their name, path, size, or any other filter type that is available. You can find a full description about how to define custom filters in this chapter.

Files and folders in

An option to quickly check all files that are located within the same folder as the currently selected file.

Files of type

Checks all files that have the same type as the currently selected one. This can be useful if you want to select all .pdf files, for instance.

NOTE: The same options are available as "Uncheck" operation, which removes checkstates from files that are checked.

Checking results in the Duplicates search

In addition to the options above, the duplicates search additionally offers a set of functions that are specific to selecting specific files from a group of duplicates.

In some cases you might want to mark duplicate files for a deletion. Therefore, you want to check all files of a duplicates group, except a specific one that should not be deleted. The following options allow you to do this in an easy and comprehensible way.

Duplicates, if a copy exists in folder:

With this function, you can select all files which have a corresponding duplicate that is located in the selected folder. If a group of duplicates contains a file that is located in the selected folder, this option will check all of its copies which are located in the other folders.

This function can be useful if you have files that were copied from one location to another, and you want to ensure that the file exists in location A, before it is deleted from location B.

Example:

A group of duplicates contains the following files:

D:\Files\Document.pdf

D:\temp\Copy_of_Document.pdf

C:\Archive\Document.pdf

If you select "Check duplicates of files in folder C:\" The following files will be checked;

✔ D:\Files\Document.pdf

✔ D:\temp\Copy_of_Document.pdf

C:\Archive\Document.pdf

If this group did not contain a file from drive C:\, nothing would be checked.

All but newest

All files except the newest one of a duplicates group will be checked. This can be useful if you want to delete all of the duplicates, except for the newest one.

All but oldest

All files except the oldest one of a duplicates group will be checked. This can be useful if you want to delete all of the duplicates, except for the oldest one.

All but first

All files except the first one of a duplicates group will be checked. This can be useful if you have sorted your duplicates in a certain way, so that the first item of each group should be kept.

All but last

All files except the first one of a duplicates group will be checked. This can be useful if you have sorted your duplicates in a certain way, so that the last item of each group should be kept.

NOTE: The "Uncheck" options allow you to achieve the same results, but for groups that already have all files checked. By using "Uncheck newest/oldest/first/last", you can uncheck one of the files per group, usually the one that is not supposed to be deleted.


File operations

Navigation: Using the TreeSize File Search >

File operations

This function enables you to move all checked files and folders in the search result lists to a destination of your choice, archive them in a ZIP file, delete them, or process the files. This function is accessible at "Home > Move items".

Additional options allow you to customize the file operations to your needs.

Explanations for the individual functions are given in the table below:

File operation:

Delete items

Deletes all selected files after a security prompt. If the option 'Move to the Recycle Bin' is activated, the files are moved to the Recycle Bin. Otherwise they will be deleted from the hard disk.
Information: Deleting without setting the function described above cannot be undone easily.

Move items

Moves selected files to the specified path. Optionally, a shortcut or link can be created at the original location, each pointing to the new position of the moved object. If desired, the security attributes can also be copied. If this is not done, the moved files inherit their security attributes (as usual) from their parent elements.

Copy items

Copies selected files to the specified path. If desired, the security attributes are also copied. If this is not done, the moved files inherit their security attributes (as usual) from their parent elements.

Zip items

Moves selected files to the specified ZIP archive.

Pass items to executable as parameters

Calls a freely selectable executable file for each marked file and passes the absolute path of the file as first parameter to the command line. The executable files can also be batch files, a PowerShell script, a VBScript or similar. The Windows Scripting FileSystemObject provides powerful and easy-to-use file system and path operations.

Options:

Move to Recycle Bin (if available)

Here you can specify whether the selected items should be moved to the Recycle Bin or deleted directly from the hard disk.

Note: This option is only available for the 'delete' operation.

Skip/Rename/Replace/Replace only older existing files

Here you can decide what should happen if name collisions occur during a file operation, i.e. a file with the same name already exists at the destination. You can keep the existing file, replace it with the new file, or rename the existing file.

Note: This option is only available for the 'Zip', 'Move' and 'Copy' operations. Not supported when burning to optical media.

Delete empty folders after the operation

Automatically removes all folders that no longer contain files or other folders due to this move operation.

Keep original items after zipping

Enable this option to ensure that the original files are not deleted after copying them to a Zip file.

Note: This option is only available for the 'Zip' operation.

Preserve permissions of the original items

When this option is enabled, the access permissions of the original files are applied to each of the moved files in the target.

Note: This option is only available for 'Move' and 'Copy' operations. Not supported when burning to optical media.

Preserve directory structure, starting from level

This option allows you to specify at what level the directory structure of the files should be retained. The first x levels of the directory structure are not reconstructed at the destination location.

For example, if you move the file 'C:\User\Mayer\My Document.doc' to the target folder 'D:\Old Files\', you will get the following results depending on the value you choose for x:
x = 0 > 'D:\Old Files\C\User\Mayer\My Document.doc'
x = 1 > 'D:\old files\user\Mayer\My document.doc'
x = 2 > 'D:\old files\Mayer\My Document.doc'

Note: This option is only available for the 'Move' and 'Copy' operations.

Preserve timestamps of the original items

When this option is enabled, the timestamps of the original files are applied to each of the moved files in the target.

Note: This option is only available for 'Move' and 'Copy' operations. Not supported when burning to optical media.

Leave shortcutlLink at the original location pointing to new location

If this option is enabled, a shortcut or link is created in the original location pointing to the new location to which the file was moved. If 'Link' is selected and the files are on the same partition, hard links are created. If it is not possible to create a hard link, a symbolic link is created. If this is also not possible, a Windows shortcut is created.

Note: This option is only available for the 'Move' operation.

Logging:

Log performed operations to:

Creates a log with a name of your choice in a directory of your choice. Environment variables like %DATE% or %TIME% can be used in the file name.

Create undo script:

Creates a batch file that you can execute after the move operation to undo the changes made by this operation on your file system.

Note: This option is only available for the 'Move' and 'Copy' operations. Not supported when burning to optical media.

Logging

Tip: We recommend that you log all move, delete, and archive operations. Such a procedure increases the security and clarity of your system.

The generated log file lists all the details you need to keep track of the file operations you have performed. The log is saved in text format and looks like this

25.06.2020 11:39:50: Start file operation.

25.06.2020 11:39:50: Copying the following objects to "D:\MyDocs":

25.06.2020 11:39:50: "F:\Docs\movielist.docx" => "D:\MyDocs\movielist.docx"

2020-06-25 11:39:50: "F:\Docs\log.txt" => "D:\MyDocs\log.txt"

25.06.2020 11:39:50: "F:\Docs\Screenshot.jpg" => "D:\MyDocs\Screenshot.jpg"

25.06.2020 11:39:50: File operation finished.

25.06.2020 11:39:50: Affected objects: 3 (125,90 KB) | Failed objects: 0

PowerShell Scripts using the example of SharePoint

We would like to show you in a practical example the use of a PowerShell script with the TreeSize File Search. The task is to prepare thousands of documents for uploading them to a SharePoint server. The problem is that certain characters are not allowed in filenames on SharePoint, that are valid in the normal file system and that are commonly used. Using a regular expression, which you can find in the chapter Regular Expressions, it is easy to find all files that violate the SharePoint naming rules. When the search is finished, please choose in the dialog to move the checked files to pass them to an executable. As executable please choose this PowerShell script, which you have previously save e.g. as "SharePointRename.ps1":

Param([string]$filepath="")

[char[]]$illegal = "~", "#", "%", "&", "*", "{", "}", "\", ":", "<", ">", "?", "/", "|"

$replacement = "-"

$filepathNew = [io.path]::GetFileName($filepath)

foreach($char in $illegal){$filepathNew = $filepathNew.Replace($char, $replacement)}

Rename-Item $filepath $filepathNew

The script can be easily adapted or extended for further use cases.


Unicode Zip files

Navigation: Using the TreeSize File Search > File operations >

Unicode Zip files

TreeSize is able to zip files with file names including characters which are not part of your activated code page (Unicode file names). To restore this Unicode-decoded Zip files you will need an Zip tool able to handle Unicode encoding.

Here is a list of tools we have tested for Unicode compatibility:

· WinRAR (V3.8 or higher)

· WinZip (V11.2 or higher)

· 7-Zip (V4.6 or higher)

· PeaZip (V5.1 or higher)

· BitZipper (V2013.13.4.16 or higher)

· IZArc (V4.1.8.2988 or higher)

·Windows integrated Zip tool (Windows 8 / Server 2012 or later)

Please note that the integrated Zip tools of Windows Vista, Windows 7, Windows Server 2003, and Windows Server 2008 are NOT Unicode compatible.


Bulk rename

Navigation: Using the TreeSize File Search >

Bulk rename

This dialog allows renaming multiple files at once, using one of several types of rules.

To define a new renaming rule, click the "+" Icon and select one of the available rule types. The section "Available Rules" shows all rules that have previously been created. Each rule can be activated or deactivated individually and will be applied in the order that they are displayed in. You can reorder existing rulesets by using the icons on top of the list, or by simply dragging and dropping them within the list of available rules. Existing rules can be modified by selecting them. Changes to their configuration will be applied to the preview section immediately.

The right hand side show a preview of the current ruleset. It shows the file names before and after the rename operation and provides a quick overview of whether or not the filename will change or remain the same after the operation.

Available Rules

This list shows all previously created renaming rules. The rename operation will be applied in the order of this list. To change the order that the rules are applied in, simply drag and drop the rules to their designated position within the renaming chain. You can also use the right click menu to move the current selection up, or down in the list.

Existing rules can be temporarily disabled via the left hand checkboxes. Only active rules will be regarded in the actual renaming operation

Replace

A simple search and replace operation for file names. Under "Configuration", you can enter the search term to search and what to replace it with. Activate the option "Use Regular Expression", if the input term should be interpreted as a regular expression, instead of an exact match. Further information about regular expressions can be found here.

Insert

Inserts the given text to the file name at the position that is defined under "Configuration". The text can be appended as prefix, as suffix, or at a specific position.

Serialize

Adds a number to the files, starting with the value that is defined under "Configuration". The number can be added as prefix, as suffix, or at a specific position. It is also possible to unify the numbering to a minimum length. Check the option "Pad to length", in order fill up numbers with leading "0"s and ensure a unified length.

Delete

The delete rule has two options: Search and removes a certain text, or delete text at a certain position within the target file names. "Delete text" will remove all occurrences of a given search term. "Delete from position" will remove text at a given position within the target file names. Use "Length" to define how many characters should be removed.

The selection "Filename", "Extension only", "Full Name" determines which part of the file name should be affected by the rename operation. This selection can be configured for each rule individually.

Preview

This panel shows a preview of the rename operation with the current selection of active renaming rules. The column "Name" shows the original file name, while "New Name" shows a preview of the names as they would be after the rename operation. The "Change" column shows at one glance which names will change and which will remain the same. The column "Last operation status" will show whether or not the last renaming of a file was successful, after the operation has finished. If a file could not be renamed successfully, e.g. due to missing permissions, it will be shown in this column.

Execute

Starts the actual rename operation. All active rules will be applied to the files on the right hand side, one after another. Once the operation has finished, the status is shown in the column "Last operation status" of the preview list.

Undo

Reverts the last renaming operation back to its previous state. This effectively means that another rename operation is triggered that renames the files back to their original name.


Options Dialog

Navigation: Using the TreeSize File Search >

Options Dialog

Using the Options dialog you can adjust various settings which affect the appearance, the search behavior, the export and the start of the TreeSize File Search.

These are the available options pages:

General

Search Engine

General settings influencing the search behaviour of TreeSize File Search.

Exclude Filter

Define filtering options for TreeSize File Search.

View

General settings influencing the appearance for the search results of TreeSize File Search.

Export

Configure options for export generation of TreeSize File Search.

Email

Customize email settings for TreeSize File Search.

Start

Define start parameters for TreeSize File Search.

File Groups

Defines the available file groups and which file types should be assigned to which group.


General

Navigation: Using the TreeSize File Search > Options Dialog >

General

·Search Engine

·Exclude Filter

·Export

·Email


Search Engine

Navigation: Using the TreeSize File Search > Options Dialog > General >

Search Engine

Follow mount points and external symbolic links to directories

You can decide if TreeSize should follow symbolic links and mount points (see Notes on NTFS for additional information) that point to other drives or folders on other drives. Links that point within the scanned directory will never be followed in order to prevent circular references and folders from being counted twice.

Skip offline files

Certain search types, such as the duplicates search via MD5-checksum, or the custom search for file content, accesses the content of a file. This would trigger the download of offline files, which is not intended in most cases. Activate this option, to prevent this.


Exclude Filter

Navigation: Using the TreeSize File Search > Options Dialog > General >

Exclude Filter

The file search was designed to identify obsolete or very large files in order to clean up a system. Certain files like system files, however, should not be deleted because they are needed by the operating system or other software. Files known to be important for a system can be added to the exclude list here and will then not be shown in the results any more.

Apply global search filter to

Select which of your searches should use the exclude filter. You can select for each of your searches individually, whether or not it should use the filters, or not.

Exclude the following files

This option allows you to define exclude filters which will be used when searching for files . Each file/ folder will be compared against the filters and will not listed in the result list, if it matches. This can be used, for instance, to prevent system files from showing up in the result list. It can also be used to hide certain elements that are not relevant for your search.

Please note: These filters will only be applied to the searches that are checked above. You can also enable and disable the filters by activating the corresponding option ("Use exclude filter") in the ribbon menu.

How to define an exclude filter

To define a new filter, please follow these steps:

1.Click the "+" button. An entry will be created in the filters list for the new filter.

2.Define the filter:

·The most common type of filter is a simple "Full Path" filter. Select "Full Path" in the first selection box and "starts with" in the second one. Enter a path such as "C:\Program Files" to filter all files and folders within that path.

·To exclude a groups of files, such as "System files", select "File type" in the first selection box and the look for the corresponding group in the third.

· You can also use Wildcard patterns such as "*.exe", or Regular Expression patterns such as ".+\.exe$". Please make sure that you select "matches pattern" / "matches regular expression" in the second selector of the filter definition.

Further information about how to define search filters can be found here.

Hint: New files or folders can also be easily added to this list using the right-click menu of the result lists ("Permanently exclude from search results").


Export

Navigation: Using the TreeSize File Search > Options Dialog > General >

Export

Additional information

You can specify the amount of additional header information that is included in exports of the file search.

Add summary information

Activate this option to include a short summary of the search into the export. This summary contains the path(s) that were processed, the date/time of the search, and the number and size of files and folders that were found.

Add column headers

If this option is set, TreeSize will include a row that displays the names of the columns, in addition to the actual search results.

Include units in export

If this options is activated, units like "KB", "MB", or "%" will be included in the exported data. Uncheck this option, if you want to export plain values.

Excel

Expandable/&collapsible report

A dynamic Excel report will be created in which items with subitems, such as duplicate groups, can be expanded/collapsed just like in the result list.

Export path list

Include duplicate groups

This option allows the export of duplicate search results via "File > List of paths > Export path list". If this option is enabled, TreeSize will include the group structure of the duplicate search, when generating a list of files. This allows importing a previously performed duplicate search, without the need to perform the search again.


Email

Navigation: Using the TreeSize File Search > Options Dialog > General >

Email

Configure email settings for TreeSize File Search.

Email content

To

The email address the report will be sent to.

Subject

The subject of the email. Supports environment variables such as %DATE%, %TIME% or %USERNAME%.

Format

Choose an email format here.

Transport

Use MAPI client

If this setting is checked, TreeSize will use the local MAPI client (for example Microsoft Outlook) for sending mails.

Use SMTP server

TreeSize will use the specified SMTP server to send email reports. Please make sure to test the connection settings before applying the current options.
Please note that you will have to enter valid SMTP settings in order to make use of email reports in scheduled scan or search tasks or all other kinds of automated starts (e.g. batch programs or command line calls) (Professional Edition only).

From

The email address that will be shown as the sender of the report.

Server

The name (DNS) or IP address of the machine hosting the SMTP service through which messages are to be sent.

Port

The port on which the SMTP service specified in the "Server" field is listening for connections.

Use secure (SSL) connection

Indicates that Secure Sockets Layer (SSL) should be used when sending messages via SMTP.

This server requires authentication

Select this option if SMTP service specified by the Server field requires authentication. Passwords will be encrypted before storing them in the TreeSize settings file.

Test Connection

Test the SMTP connection settings. This will send a test email to the email address specified in the "To" field.

Email body

Include results in mail body

Results will be added to the body of the email. NOTE: For very bigger reports, this can lead to very large mails, which can take a very long time to open in mail clients, or even exceed mail server limitations.

Attach a report with the results

Adds the result report as attachment to the email. This fixes the problem of very large emails that can occur with the other option.

Exported lists

Active list / all lists

Select which search result lists shall be included in the email : only the currently active search types or all search types.

Exported elements

Checked items / all items in the list

Select here, if you want to have just the checked/marked result list entries or all entries from the result list included in the email report.


Personalize

Navigation: Using the TreeSize File Search > Options Dialog >

Personalize

·View

·File Groups

·Templates


View

Navigation: Using the TreeSize File Search > Options Dialog > Personalize >

View

Appearance

Use dark theme / light theme / detect automatically

With this option the appearance of the application can be changed. You can switch between light and dark mode. The option for automatic detection is based on your current Windows setting and automatically adapts the appearance of TreeSize to it.

Language

Use language

Select the language that is used for TreeSize's user interface.

File and Folder Options

Determine icons based on file extension

If this option is set , you will see the default icon for a file of this extension type in the search result list.

Show compress files/folder in blue

If this option is set, NTFS compressed files/folder will appear in blue color in the search result list.

Check results by default

If this boxed is checked, all results in the list will be automatically checked so processing additional steps (like Export, Move items,etc) can be performed with one click.

Show long tooltips

If this option is active, a tooltip window with detailed information will be shown if the mouse cursor hovers over a file or folder for a while.

Date/Time Format

Use the following date/time format, e.g. for "Last Access":

The date/time format that is used by TreeSize in related columns like "Last Access", "Last Change", or "Creation Date" can be defined here. Available formats are date, date+time (without seconds), and date+time (with seconds).

Username Format

Format for the username appearance if displayed in search result list or export files.

Either just the username is displayed or user name including the related Active Directory domain where user belongs to.

Notifications

Notify, when the search has finished

If this option is enabled, TreeSize will play a notification sound, when the search has finished. If TreeSize is minimized, when the search finishes, it will also show a notification in the Windows notification center, which includes a summary of the search that was just performed and the results that were found (Only supported in Windows 8 and higher).


File Groups

Navigation: Using the TreeSize File Search > Options Dialog > Personalize >

File Groups

This page allows to modify the different file type groups that are available in the file search and which file extensions should be assigned to which of the different groups. Each of these groups can be used as a search pattern in the custom search. The input field "Pattern" can be used as a dropdown, to select one of the available file type groups.

More information, about how to customize these groups, can be found in the chapter "File Groups" for the main module of TreeSize. Both the file search and the main module share the same file type groups, so any information that you may have gathered with the help of the Extensions view can be further analyzed with the appropriate file search filter.


Templates

Navigation: Using the TreeSize File Search > Options Dialog > Personalize >

Templates

This page allows to modify the list of existing templates. You can change their order, or delete templates that you don't need.

Select one or more templates from the list and use the buttons "Up", "Down", or "Delete" to customize the list to your liking.


Other

Navigation: Using the TreeSize File Search > Options Dialog >

Other

·Start


Start

Navigation: Using the TreeSize File Search > Options Dialog > Other >

Start

Modify startup settings for TreeSize File Search

Start As Administrator

Always start this application as administrator

When activated, TreeSize will always start with administrator privileges. This will trigger the UAC (User Access Control) prompt, if UAC is enabled.

Action at Application Start

Load last search settings.

Open file search with the last used settings. Does not start a search automatically.

Run a search using the last load search settings.

Open file search with the last used settings and automatically start a search with these settings.

Run a search using the the following saved search settings.

Start File Search and directly run a search based on previously saved search settings. The XML file containing these settings must be specified here, either by typing the path into the edit field or via browsing in Windows Explorer after clicking the folder button.

Explorer Context Menu

Show TreeSize File Search in Windows Explorer context menu of current user

Select whether the TreeSize File Search should appear in the context menu of folders in the Windows Explorer.


Using Scheduled TreeSize Tasks

Navigation: »No topics above this level«

Using Scheduled TreeSize Tasks

This section is related to the Professional Edition of TreeSize only, since the Personal Edition does not offer scheduling or command line options!

Keeping your storage in a "clean" state is an ongoing task and requires a consistent overview of the usage. In a real world scenario it is important to find space hogs that use up large portions of the disk as soon as possible. Therefore you might want to use TreeSize to scan your storages regularly after a certain period of usage. Rather than having to do this manually every time, TreeSize offers a functionality to create tasks that automatically run according to a predefined schedule. This allows you to perform scans, send reports or perform any customized action that you can define freely at any time of the day. Defining a new task can be done by using the Schedule Dialog.

The dialog allows you to choose one ore multiple paths to scan and allows a variety of ways to export the results of the scan.

All settings that are defined here will be applied to the scan task automatically. TreeSize will assign the corresponding Command Line Options to the new task and reapply them to the user interface when you want to edit an existing task at a later point in time.


Schedule Dialog

Navigation: Using Scheduled TreeSize Tasks >

Schedule Dialog

It is possible to schedule tasks using the "scheduled tasks" folder of Windows. This dialog will help you create a scheduled TreeSize Professional task with the corresponding command line options.

Please note: This feature is only available in the Professional Edition.

Open the dialog by clicking on "Scan > Schedule this scan" from within the TreeSize Professional main application or on "Tools > Schedule current search" from the TreeSize Professional File Search.
The TreeSize tasks can be configured, viewed, and edited using the following tabs:

Current Task

Options

Contains general options, such as the scan path, sorting, or filter that you want to apply to your scan results.

Export

Allows to define which in which formats you want to export your reports in this task.

File operation

(TreeSize File Search only)

Search results can be moved, copied, deleted, or archived automatically by this task. These options can be enabled and configured here.

Advanced

Provides advanced customization possibilities, such as a custom title for the export, or a different list separator.

Command Line

A preview of the command line parameters that will be used for this task. In this page, you can test the current settings, copy the parameters to the clipboard, or save them to a batch file.

Schedule

Here you can set up a date and time when the task should be executed.

All Tasks

List of Tasks

Shows a list of all TreeSize tasks that were created in the past.

Use the "Save Task" button to save your configurations in a new Windows scheduled task.


Options

Navigation: Using Scheduled TreeSize Tasks > Schedule Dialog >

Options

You can specify further options for the scan and the exported results here.

Path(s) to scan

Enter the path or multiple paths to be scanned here.
Please note: Multiple paths have to be quoted using double quotes (") and have to be separated by a blank.

Options file

Use this option to apply previously exported user settings to the current operation. User settings of the main application can be exported using "File > Options > Export"; settings of the TreeSize File Search can be exported through "File > Save search options".

Export Options

Sort By

Choose a column to sort the export reports by. Select "Last used in user interface" to use the sort column that was configured when TreeSize was used the last time.

In addition to the list of columns that are selectable, you can also manually enter the name of any other column, such as "Owner", by using the free text input.

Size Unit

Specify the unit size values will be displayed in. Select "Last used in user interface" to use the size unit configured when TreeSize was used the last time.

Include units in export

If this option is check-marked, units of measurement like "KB", "MB", or "%" will be included in the exported data. Uncheck this option if you would like plain number values to be exported. Without units, the thousands separators will also be omitted, thus simplifying further processing of the exported data.

Expand

Specify how many levels in the directory tree will be expanded after scanning. If you select "Full", all folders will be expanded. Select a specific directory level to limit a report to the most relevant information only and thereby also limit the size of the report.

Filter

Include single files

Activate this option to ensure that single files are included in exports of this scheduled scan.

Hide elements smaller than

Defines a minimum size for small files and folders. Only elements that exceed this value will be shown in the export.

Exclude following file types

Specify patterns for files and folders to be excluded from a scan.

Include only following file types

Enter a file pattern filter here. Only files matching certain patterns (e.g. *.MP3 or *.DOC) will be included in the scan.

Include only files with archive attribute set

This option will include only files in the scans for which the Windows archive bit was set. This option can be very useful if you want to calculate the size of a backup based on the Windows archive bit for a certain directory.


Export

Navigation: Using Scheduled TreeSize Tasks > Schedule Dialog >

Export

Here you can select which of the export options supported by TreeSize Professional will be used for the scan.

General Options

Overwrite existing files

If this option is active, TreeSize will overwrite files that already exist during the export. This means, that older reports with the same file name will be replaced with a newer one.

Append to existing files

Activate this option to append to existing files. This allows to add new content to your reports, while keeping the information of a previous export intact.

Add date and time to file names

If you want to make sure that each report has a unique file name, you can use this option to add the current date and time to all exported file names.

Directory Tree Export

Excel file

Exports the collected data to Excel and saves it under the selected file name.

Generate expandable/collapsible Excel report

Activate this option to create an interactive Excel report, where each directory can be expanded and collapsed separately.

Automatically generated sheet name (including date and time)

The new Excel sheet will be automatically named in an informative way, including date and time information in the sheet name.

Sheet name

Enter a sheet name here.

Please note: If the sheet name is not unique in the selected Excel file and you check-marked "Append to existing file", the new export will be appended to the existing sheet. If "Append to existing file" is unchecked, a suffix will be added to the sheet name to make it unique."

HTML file

Saves the collected data to a HTML file which can be viewed with any HTML browser.

Text file

Saves the results to a text or CSV file after the scan or search operation is finished.

XML file

Saves the results to a XML file. The file may be loaded at a later date and can be used for comparisons (See: "Compare with saved scan").

PDF file

Saves the results to a PDF file after the scan or search operation is finished.

Print report

Prints a report for the scanned directory branch on the default printer.
Choose "First page only" to print only the first page of a report or "All pages" to print all pages.

Send email

Sends an email with the chosen exports to the recipients specified here.
Note: Multiple email addresses have to be separated by a semicolon (;).

Attach generated files to email

Activate this option to attach all generated report files to this email.

Send email only if results were found

(File Search only) With this option, TreeSize will only send an email if at least one result has been found by either of the activated file searches.

Right Pane Export

Top files

This option allows you to save the "Top Files" of the scanned file system branch to an Excel, CSV, or text file.

Statistics on file types

This option allows you to save the "Extensions" statistic of the scanned file system branch to an Excel, CSV, or text file.

Statistics on user names

This option allows you to save the "Users" statistic of the scanned file system branch to an Excel, CSV, or text file.

Charts to include

Saves the Pie-, Bar-, Age of Files-, History-, Extensions-, Users-, or Treemap chart of the scanned directory to a bitmap, GIF, JPEG, or PNG file. The file type depends on the extension of the specified file name.

Charts to include

Saves the Pie-, Bar-, Age of Files-, History-, Extensions-, Users-, or Treemap chart of the scanned directory to a bitmap, GIF, JPEG, or PNG file. The file type depends on the extension of the specified file name.

Please Note: Some of the statistics can additionally be exported in a text format, such as CSV.


File Operation

Navigation: Using Scheduled TreeSize Tasks > Schedule Dialog >

File Operation

Here you can configure move operations to be performed automatically after the TreeSize File Search has finished.

Configure move operations to be performed with the results of a TreeSize File Search. Any file that is returned as a search result of this automated task will be affected by the file operation.

The options offered here are the same as what is described in the chapter "File operations". You can find the additional information about the creation of scheduled file operations in this chapter.

Please note: This option will perform changes on your file system. These changes cannot be reverted automatically. Please use with caution!


Advanced

Navigation: Using Scheduled TreeSize Tasks > Schedule Dialog >

Advanced

Here you can specify advanced options for the scan and the exported results.

Advanced Settings

Start without user interface

No window will be shown and the application will not appear in the task bar. Useful for background scans.

Title for this report

Can be used to change the title of the printed or exported report. The use of environment variables is allowed.

Compare with a saved report

Compares the scanned path with a saved XML report. The exports you configured on the "Export" tab will show the differences of the current file system compared with the saved XML report.

Empty recycle bin

If this option is active, TreeSize will automatically empty the recycle bin of the current user before any other operation is executed.

Group scans in a Virtual Root Folder

Using this option will group all scanned directories under a "virtual root folder", corresponding to the option "View > Group scans" from the main user interface. See topic Directory Tree for more information.

List separator

Configure the separator to be used for text and CSV exports here.
Select "Default" to use the most suitable separator for the selected export type (tabulator for text files, list separator from the systems regional settings for CSV files).

Custom command line parameters

This input field allows to add custom command line parameters. TreeSize supports a variety of command line parameters, not all of which are available as option in the user interface. With this text field, however, you can add them manually.


Command Line

Navigation: Using Scheduled TreeSize Tasks > Schedule Dialog >

Command Line

In this tab you can view the full command line of the currently configured task.

Use the context menu or the corresponding buttons below the command line to save the TreeSize task to a configurable batch file, to run the TreeSize task now, or to copy the task to the clipboard.


Schedule

Navigation: Using Scheduled TreeSize Tasks > Schedule Dialog >

Schedule

Here you can specify when and in which interval the task should be executed.

Schedule Interval

Once

The task will be executed only once, at the specified "Start at" date and time.

Daily

The task will be executed every day, or all 2,3,4... days, starting at the date and time specified under "Start at".

Weekly

The task will be executed weekly (on a specified week day), starting at the date and time specified under "Start at".

Monthly

The task will be executed monthly. You can set up a task to run either

·on all specified days. For example: "On day 1,15, and 30 of the month.

·on certain weekdays, such as "every second and last Monday" of the month.

Both options will be applied after the starting time and date that was specified under "Start at".


All Tasks

Navigation: Using Scheduled TreeSize Tasks > Schedule Dialog >

All Tasks

Shows a list of all scheduled Windows tasks that trigger an execution of TreeSize.

This list shows detailed information about each task:

Name

The name that was given to the task when it was created. This can help you identify unique tasks, for example a specific search, or a monthly scan.

Status

The current status of the task. Indicates if a task is ready to run, currently running, or disabled.

Last run result

The last status of this task. This column shows if the last execution of a task was successful, if it failed, or if it has never been executed yet.

Schedule options

The time parameters that were defined for this task. This determines when and how often it will be executed.

Command line options

Shows the command line parameters that will be used for this task.

Run as...

The account information that is used for this task. Please note: If no explicit options file is used for this task, TreeSize will use the settings of this user.

By right clicking one of the tasks, you can open the context menu that allows to activate or deactivate an existing task, edit it in Windows directly, or perform other operations. Some of these can also be quickly accessed via the buttons at the bottom of the page:

Edit Task

Allows you to load the currently selected task into the schedule dialog, so that it can be modified.

Delete Task

Deletes the currently selected task.

Activate/Deactivate Task

Activates or deactivates the currently selected task.

Execute Task

Executes the selected task, using the specified user credentials of the task.

Import from file

Allows to import existing tasks from an XML file. This can be useful when migrating existing tasks from an existing system to a new one.

Export to file

Exports an existing task to an XML file, which can be imported again at a later point in time, or on a different system, using the function "Import from file".

Open Windows Task Scheduler

Opens Windows' task scheduler dialog.

Event Log

Provides a direct shortcut to the "Application" section of the Windows Event Log. Any error that occurs during the execution of a scheduled task will be logged here.

Refresh List

Loads the list of tasks from the system again and refreshes the user interface accordingly.


Command Line Options

Navigation: Using Scheduled TreeSize Tasks >

Command Line Options

The Professional Edition of TreeSize accepts command line options enabling you to run scheduled scans or to have the results of a scan on your monitor the next morning. The Schedule dialog will help you compile a command line with the options below. Please note: These option are not available in the Personal Edition.

Treesize.exe [/OPTION] SCANPATH

/? or /HELP

Shows this help page.

/AGEOFFILES

Saves the graph on the "Age of Files" tab of the scanned directory to a bitmap, GIF, PNG, JPEG, Text, or CSV file. The file type depends on the extension of the specified file name. The following example creates a JPEG image file of the"Age of Files" graph for your local drive C:

Treesize /SCAN "C:\" /AGEOFFILES "C:\Documents\c_file_ages.jpg"

/APPENDTOFILES <value>

With this option, you can select whether or not TreeSize should append its output to existing files when doing an export, e.g. when using /TEXT. Select "True" to append and "False", if you want to overwrite existing files.

Please note: This parameter will not work with exported images, XML and PDF files. Those files always will be overwritten. You can use the switch /DATE to ensure that all generated reports will have a unique file name.

When exporting to an Excel file via /EXCEL, this parameter can be used together with /SHEETNAME to append the data to the specified sheet. Example:

Treesize.exe /SCAN "C:\" /APPENDTOFILES True /EXCEL "C:\Export.xlsx" /SHEETNAME "test"

Treesize.exe /SCAN "C:\" /APPENDTOFILES False /TEXT "C:\Export.csv"

/ARCHIVEBITFILESONLY

This option will include only files for which the archive bit set in the scans. This option can be very useful if you want to calculate the size of a backup. In this case, you can create a shortcut on your desktop or in your start menu that will automatically start calculating the size of your backup. Example:

Treesize /ARCHIVEBITFILESONLY /SCAN "\\Server\Backup\This"

/ATTACH

If specified, all exported files will be attached to the email. If not specified, files with an explicitly given path are not attached. This is useful in case you XML or Excel files are getting quite large and fill up you email account.

This example will export to an Excel file but not attach it to the mail:

TreeSize.exe /SCAN "F:\" /EMAIL "treesize@example.com" /EXCEL "C:\Temp\test.xlsx"

These examples will attach the Excel file to the email:

TreeSize.exe /SCAN "F:\" /EMAIL "treesize@example.com" /EXCEL

TreeSize.exe /SCAN "F:\" /EMAIL "treesize@example.com" /ATTACH /EXCEL "C:\Temp\test.xlsx"

/BARCHART <filename>

Saves the bar chart of the scanned directory to a bitmap, GIF, PNG, or JPEG file. The file type depends on the extension of the specified file name. This example creates a PNG image file of the bar chart for your local drive C:

Treesize /SCAN "C:\" /BARCHART "C:\Documents\c.png"

/COMPARE <filename|path>

Compares the scanned path with a saved index file. The following example scans drive C: and compares the result with a saved XML report for this drive:

Treesize /COMPARE "C:\Reports\TreeSize\c.xml.zip" /SCAN "C:\"

Instead of an index file, you can also use a path with this command line parameter. The given path will be compared with the current scan result. The following example scans drive C:\ and additionally uses the path D:\Backup_of_C to perform a comparison between the two:

Treesize /SCAN "C:\" /COMPARE "D:\Backup_of_C"

Alternatively, you can compare two already existing index files e.g. "c1.xml.zip" and "c2.xml.zip" by using this command :

Treesize /OPEN "C:\Reports\TreeSize\c1.xml.zip" /COMPARE "C:\Reports\TreeSize\c2.xml.zip"

The /OPEN command prepares the comparison of the two files by expanding the first file ("c1.xml.zip") into a scan file. The second file ("c2.xml.zip") will be compared to this expanded scan file, just like it would happen, if "c2.xml.zip" was compared to a "real" scan.

/COPY <path>

This option can only be used in combination with the command line option /SEARCH.
Copies the results of a TreeSize file search to the target location.
The following command will search on your local drive C: using the latest search options and copies the search results to the folder "C:\temp\ObsoleteFiles":

Treesize /SEARCH:Start /SCAN "C:\" /COPY "C:\temp\ObsoleteFiles"

See also: File operations

/CREATEDPASTDAYSONLY <n>

This option will include only files in the scans, which were created during the number of days entered in the argument. In the following example, this option will only include only files created during the last eight days in the scan:

Treesize /CREATEDPASTDAYSONLY 8

/CREATESNAPSHOT <drive>

Creates a snapshot for the drives that are given after this command line paramter. Example:

Treesize /CREATESNAPSHOT "C:\" "D:\"

Creating snapshots may require administrative privileges.

/CSV <filename>

Saves the results to a CSV file after the scan or search is finished. The application will terminate itself after saving. This example will save the results of a File Search on your local drive C: with the last search configurations to a CSV file:

Treesize /SEARCH:Start /SCAN "C:\" /CSV "C:\Results\C_search.csv"

/DATE

This switch will add the current date and time to all export file names in the command line. This is useful if you want to do scans regularly, e.g. every night or every weekend. The following example will scan the network path "\\Host\Share" and save the result to a file like "C:\Scans\name_2013-08-14_17-18-24.xls":

Treesize /SCAN "\\Host\Share" /DATE /EXCEL "C:\Scans\name.xls"

/DEDUPLICATE

This option can only be used in combination with the command line option /SEARCH.
It will replace the duplicate files that were found by the TreeSize duplicate file search with NTFS hardlinks:

Treesize /SEARCH:Start /SCAN "C:\" /DEDUPLICATE

/DELETE

This option can only be used in combination with the command line option /SEARCH.
Permanently deletes all files that have been found as result of a TreeSize file search. Example:

Treesize /SEARCH:Start /SCAN "C:\temp" /FILTER "*.tmp" /DELETE

See also: File operations

/EMAIL <recipient>

Sends the collected data to the given email address. This parameter can be used only once on the command line, and only one email with all results will be sent. Multiple recipients can be separated with semicolons (;) or commas. To send emails via the command line, you need to specify valid SMTP settings on the corresponding page in the TreeSize options dialog. Example:

Treesize /SCAN "\\Server\Share" /EMAIL "treesize@example.com"

If no other parameters have been specified, the email will be sent in the format that is set in the options (HTML or plain text). If you would like to define the format independent from the current options, you can use the parameters /TEXT or /HTML right behind the definition of the recipient address(es). Example:

Treesize /SCAN "\\Server\Share" /EMAIL "treesize@example.com" /TEXT

By combining parameters you can also add attachments to the email. The following example will add an Excel report of the scan as an attachment to the email:

Treesize /SCAN "\\Server\Share" /EMAIL "treesize@example.com" /EXCEL

/EMAILIFRESULTSFOUND

This option can only be used in combination with the command line options /SEARCH and /EMAIL. If this parameter is specified, TreeSize will only send an email with the current search results, if at least one file or folder has been found during the search, by any of the specified search types.

/EMPTYRECYCLEBIN

If you use this option, TreeSize will empty the recycle bin before running the current scan. Example:

Treesize /EMPTYRECYCLEBIN /SCAN "C:\"

/EXECUTE <filename>

This option can only be used in combination with the command line option /SEARCH.
This parameter allows passing files that have been found by the TreeSize file search to another application or script. A possible target for this parameter can be a batch, or a powershell script. The following example will search drive C:\ with the most recent search settings and call the script "Archive.bat" for each file that has been found. The file will be passed to the script as command line parameter:

Treesize /SEARCH:Start /SCAN "C:\" /EXECUTE "C:\Scripts\Archive.bat"

See also: File operations

/EXCEL <filepath>

Exports the collected data in Microsoft Excel format and saves it under the entered file path. If only a file name is specified, the current installation directory is used to store the export. Supported formats are the conventional .XLS file format (Excel 97-2003) as well as the .XLSX format (introduced with Excel 2007). The used format depends on the extension of the specified file name. The application will terminate itself after saving. Example:

Treesize /SCAN "C:\" /EXCEL "C:\Documents\c.xls"

If the file name already exists, the file will be opened and a new worksheet will be added.

Please note: In the TreeSize File Search (/SEARCH) the results of each search type are collected in their own specific worksheet. If the file under the given path already exists, these sheets will be overwritten. To prevent this, you need to use the command line option /APPENDTOFILES.

/EXCLUDE <pattern1;pattern2>

This option enables you to specify patterns for files and folders that should be excluded from a scan. Multiple exclude patterns can be separated using a semicolon (;). If one or more of the patterns contain spaces, the complete pattern string must be set into quotes ("). The following example will ignore files and folders that end with ".tmp" or where the exact name is "system":

Treesize /SCAN "\\Server\Users" /EXCLUDE "*.tmp;system"

/EXPAND <level|size>

This option lets you specify how many levels in the directory tree will be expanded after scanning. If you don't specify a number after this option, all folders will be expanded. Instead of a directory level you can also indicate an amount in Mega Byte (MB). In this case all folders larger than the given amount will be expanded. The unit "MB" must follow the number without a blank. The following example will scan the folder "H:\User", expand all folders larger than 10 MB and save the result to the Excel file "C:\Results\Allusers.xlsx":

Treesize /SCAN "H:\User" /EXCEL "C:\Results\Allusers.xlsx" /EXPAND 10MB

/EXPANDABLEREPORT <value>

If this option is used, Excel exports will use expandable/collapsible groups that can be navigated similar to the directory tree.

Treesize /SCAN "H:\User" /EXPANDABLEREPORT True /EXCEL "C:\Results\Allusers.xlsx"

Treesize /SCAN "H:\User" /EXPANDABLEREPORT False /EXCEL "C:\Results\Allusers.xlsx"

/EXPORTDRIVESLIST <filename>

This option enables you to export the contents of the "Drive List" to an Excel, Text, or CSV file. The file type depends on the extension of the specified file name. Example:

Treesize /SCAN "C:\Results\AllDrives.csv" /EXPORTDRIVESLIST

/EXPORTFILES

If specified, files will be included in all exports. So this option is equivalent to activating the option "Tools > Options > Export > * > Exported elements > Folders and single files"

/EXPORTGROUPSEXPANDED

if specified, the export of the extensions list will contain all information about the extensions contained within groups.

/EXPORTPATHSLIST <filename>

This option can only be used in combination with the command line option /SEARCH.

Exports a simple list that contains all search results. The list will contain only the full paths of the search results and no other information. Supported formats for the destination file are .txt and .csv.

This example will search for, and create a list of all exe files on drive C:

Treesize /SEARCH:Start /SCAN "C:\" /FILTER "*.exe" /EXPORTPATHSLIST "C:\Results\SearchResults.csv"

It can be used to import results of a previous search back into the user interface, by using "File > List of paths > Import path list", or the parameter /IMPORT.

If the option "Tools > Options > Export > Include duplicate groups" is activated, you can also use this function to export and import results of the duplicate search including their group structure.

/EXPORTTITLE <title>

Can be used to change the title within a printed report or exported file. This allows you to supply additional information to the user when using TreeSize in an automated environment. The use of environment variables is allowed as well. Example:

Treesize /SCAN "\\Server3\C$" /EXPORTTITLE "This is drive C on Server3" /PRINT

/EXTENSIONSLIST <filename>

This option enables you to save the statistics on file extensions / file types of the scanned file system branch to an Excel, HTML, Text, or CSV file. The file type depends on the extension of the specified file name. The exported columns will be those that were enabled in the user interface on the tab "Extensions" when it was last used, or at the time when the configuration file supplied via /OPTIONS was written.

The following example scans drive C: and creates an Excel file named "D:\TreeSize Reports\C_filetypes.xls" with the statistics of the file types on this drive:

Treesize /SCAN "C:\" /EXTENSIONSLIST "D:\TreeSize Reports\C_filetypes.xls"

/EXTENSIONSCHART <filename>

Saves the small graph shown on the bottom of the "Extensions" page to an image file (bitmap, GIF, PNG, or JPEG).

/EXTENSIONSPIECHART <filename>

Saves a piechart that shows the distribution of "file extensions" to an image file (bitmap, GIF, PNG, or JPEG).

/FILTER <pattern1;pattern2>

Sets a file filter counting only files with certain extensions, e.g. ".mp3" or ".doc". Multiple patterns may be passed, separated by semicolon (;). The following example will search for MP3 and AVI files in the "Users" directory on the server:

Treesize /SCAN "\\Server\Users" /EXCEL "C:\Results\UsersMediaFiles.xlsx" /FILTER "*.mp3;*.avi"

When performing a TreeSize File Search (/SEARCH), you can also use the /FILTER command line switch to specify the patterns of the advanced file search. To perform a more complex custom file search you should save the search options to a file and pass the resulting XML file to the command line after /SEARCH.

/FOLLOWREPARSEPOINTS

If this switch is added to the command line, TreeSize will follow mount points and external symbolic links when scanning a file system tree.

/GROUPSCANS

Using this command line switch will group all scanned directories under a virtual root folder. Use /GROUPSCANS FALSE if you want to ensure that no virtual root folder is used.

/HIDESMALLFOLDERS <value>

Allows to hide objects that are smaller than a minimum size, which is useful for getting clear exports. <value> can be a size value with unit, or a plain byte value without unit. Cannot be used in combination wih /EXPAND. In this example only folders having a minimum size of 50MB will be exported:

TreeSize /HIDESMALLFOLDERS 50MB /EXCEL "C:\Results\DriveC.xlsx" /SCAN C:\

/HISTORYCHART <filename>

Saves the graph on the "History" tab of the scanned directory to a bitmap, GIF, PNG, or JPEG file. The file type depends on the extension of the specified file name. This example creates a JPEG image of the history graph for drive C:

Treesize /SCAN "C:\" /HISTORYCHART "C:\Documents\c_history.jpg"

/HTML <filename>

Saves the collected data to a HTML file which can be viewed with any HTML browser. You can specify which information of the scan will be included in the export via "Home > Options > Export > HTML > Charts and lists to include. You can select which of the additional lists, or charts should be added to the export. They will automatically be embedded into the HTML file that is generated after the scan.

The following example will generate an HTML report for the drive C: and save it to "D:\HTML":

Treesize /SCAN "C:\" /HTML "D:\HTML\treesize.html"

If you want more than one scan to be part of the HTML file, you should add the command line switch /GROUPSCANS. When exporting to HTML without an included image, you could alternatively us the switch /APPENDTOFILES.Without one of these flags, the HTML file will get overwritten.

/IMPORT <filename>

This option can only be used in combination with the command line option /SEARCH.

Loads a list of paths into the user interface of the TreeSize file search. The file can be in .txt, or .csv format. This parameter can be used to import results of a previous search. The imported files and folders can be moved/copied/deleted/archived, like any "live" search result, using the file operation dialog.

Example:

Treesize /SEARCH /IMPORT "C:\Results\filelist.txt"

You can also combine this parameter with the parameters /RECYCLE, /DELETE, or /MOVE to automatically delete or move the files that are contained in the text file. Example:

Treesize /SEARCH /IMPORT "C:\Results\filesToDelete.csv" /RECYCLE

/IMPORTPATTERNS <filename>

Imports a list of patterns from a file. The file can be a simple text file with a ist of filter patterns, separated by semicolon, or you can use the user interface to create a more complex set of patterns and use the export function to generate the pattern file in the XML format. Supported formats are CSV, TXT, and XML.

The imported patterns will be used as filters for the scan to either include, or exclude specific files and folders.

If used in combination with the command line option /SEARCH, this parameter will create a new advanced search that uses the patterns from the imported file as criteria for the search.

This example will import filter patterns that are defined under "C:\TreeSizeFiles\patterns.txt", start a scan for drive C:\ and export the results to an HTML file:

Treesize /IMPORTPATTERNS "C:\TreeSizeFiles\patterns.txt" /SCAN "C:\" /HTML "C:\Results\scanC.html"

/INDEXFILE <filename>

Saves the scan results to a SQLite file that can be loaded for comparisons at a later date. Example:

Treesize /SCAN "H:\users\" /INDEXFILE "C:\Results\Allusers.sqlite"

/LISTSEPARATOR <separator char>

Enables you to define the separator used when exporting text or CSV files. Text files use the tabulator by default, CSV-files the list separator from the regional settings of the Windows control panel. Please specify a single character or the string "TAB" for tabulator after this switch. Examples:

Treesize /SCAN "C:\" /LISTSEPARATOR ; /TEXT "C:\Results\c.txt"

Treesize /SCAN "C:\" /LISTSEPARATOR TAB /TEXT "C:\Results\c.csv"

/MOVE <path>

This option can only be used in combination with the command line option /SEARCH.
It moves the results of a TreeSize file search to another location.

The following command will search on your local drive C: using the latest search options and moves the search results to the folder "C:\Temp\ObsoleteFiles":

Treesize /SCAN "C:\" /SEARCH:Start /MOVE "C:\Temp\ObsoleteFiles"

See also: File operations

/NOGUI

No window will be shown and the application will not appear in the task bar. Useful to execute scans or searches in background, without visual feedback.

Caution: Use this switch only if you have tested the rest of the command line options because error messages cannot be displayed in this mode.
However, errors will be logged in the Windows event log.

/NOHEADERS

Omits the header lines usually written on top of scan or search export files. This makes it easier to receive plain data for postprocessing.

/NOUNITS

Omits the units usually written after size values. This option in combination with /SIZEUNIT 0 will export plain byte values. This makes it easier to receive plain data for postprocessing.

Please note: This command line will only effect exports of the directory tree, generated by using the /TEXT, /EXCEL, /HTML, /EMAIL, or /PRINT options. /EXTENSIONSLIST, /USERSLIST, /EXPORTDRIVESLIST, or /TOPFILESLIST will not be effected.

/OPEN <filename>

Opens a saved XML report on application start. Example:

Treesize /OPEN "C:\Reports\Drive_C.xml.zip"

/OPTIONS <filename>

Use this parameter to apply exported user settings to TreeSize. User settings can be exported at "File > Options > Export". Example:

Treesize /OPTIONS "C:\Temp\User Settings.xml"

Hint: Change as many settings a possible in the user interface before saving the options to reduce the amount of command line parameters you need.

/PDF

Saves the results to a PDF file after the scan or search is finished. The application will terminate itself after saving. The following example will execute a scan of your local drive C: and save the results to a PDF file:

Treesize /SCAN "C:\" /PDF "C:\Results\C_scan.pdf"

/PIECHART <filename>

Saves the pie chart of the scanned directory to a bitmap, GIF, PNG, or JPEG file. The file type depends on the extension of the specified file name. The following example will scan drive C: and export a pie chart in PNG format:

Treesize /SCAN "C:\" /PIECHART "C:\Reports\C_pie.png"

/PRINT

Prints a report for the scanned directory tree using default printer configured in your system settings. The application will be terminated after printing. Example:

Treesize /SCAN "\\SERVER\USERS" /PRINT

/READONLYMODE <value>

If the value is set to true, this option activates a read-only mode in which file operations (e.g. move, or delete) are disabled, so it will be usable as reporting tool only.

Start with a value of false to deactivate the read-only mode again.

/RECYCLE

This option can only be used in combination with the command line option /SEARCH.
Moves all files to the recycle bin that have been found as result of a TreeSize file search. Example:

Treesize /SEARCH:Start /SCAN "C:\temp" /FILTER "*.tmp" /RECYCLE

See also: File operations

/RESTRICTEDMODE <value>

If the value is set to true, this option activates a restricted mode in which many features are disabled that are not of interest for "normal" (non-admin) users. Among the disabled features are: Check for Update, Open Software applet of Windows Control Panel, Schedule TreeSize scans, connect network drive, configure Windows System Restore, Run as administrator, exports, and apply NTFS compression. You can supply a path that should be scanned, e.g. the user's home directory, at the command line or using the Startup Paths in a saved configuration file.

Start with a value of false to deactivate the restricted mode again.

If you additionally activate the option /READONLYMODE, the user won't be able to delete or move files in TreeSize, so it will be usable as reporting tool only.

/SCAN <path|filename>

Defines which drive, or path should be scanned. The scan path should be used as value for this parameter.

If, for instance, drive D:\ should be scanned, you can use:

Treesize /SCAN "D:\"

If you don't want to scan the whole drive, you can also specify a path, which is used as starting point for the scan. For example:

TreeSize /SCAN "\\Server\Share\MyDocuments"

Multiple scan paths are also possible, they are separated by a blank. Paths containing a blank have to be quoted ("). Example:

Treesize /SCAN "C:\Program Files\" "C:\Windows"

The wildcards "*" and "?" are allowed. Example:

Treesize /SCAN "H:\users\A*"

You can also specify a text file, which contains a list of paths that should be scanned. TreeSize will scans all paths that are found in the text file, which is specified after this switch. The text file must contain one path per line. The following example scans all paths that are found in the file "D:\PathsToScan.txt" and writes each scan result to a separate sheet in an Excel File with today's date:

Treesize /SCAN "D:\PathsToScan.txt" /EXCEL "D:\Results\%DATE%.xlsx"

You may also call TreeSize in a "for" loop with one of the paths only, please find an example below.

/SEARCH

Opens the File Search window of TreeSize. If ":Start" is added to this command line option, the search is started automatically. A previously saved XML file containing search settings may be passed, these settings will then be used to perform the search. Please note that files which are found in this search are automatically checked. The following example performs the search with settings that have previously been saved to the file "SearchSettings.xml" and saves the results to at text file:

Treesize /SEARCH:Start /OPTIONS "SearchSettings.xml" /TEXT "T:\SearchResult.txt"

Hint: In general, the last search settings or a former saved set of search settings will be used. However, you can also specify the search patterns for the advanced search using the /FILTER command line option.

/SHEETNAME <title>

Enables you to specify the name of the sheet that will be added to an Excel file when using the /EXCEL command line switch. Please note that an Excel sheet name must be unique in an Excel file and certain special characters like slashes, backslashes and colons are forbidden. TreeSize will always create a unique sheet name by replacing invalid character with underscores and by adding date and time if necessary. If a sheet with the specified name already exists in the target file, a new sheet with a unique name is created. Use the command line option /APPENDTOFILES to append the data to the existing sheet.

/SHORTDATEFORMAT <format>

Alters the short date format for this process, which can be configured in the regional options of the Windows Control Panel. Exports of TreeSize will use this format for date values. Example:

Treesize /SCAN "E:\" /SHORTDATEFORMAT YYYY-MM-DD /TEXT "D:\export.txt"

/SIZEUNIT <n>

This option can be used to specify the unit to be used for displaying size values: N can have the values 0 to 5 which mean: 0 = Bytes, 1 = KB, 2 = MB, 3 = GB, 4 = TB, 5 = Automatic Units. Without this option the last used configuration in TreeSize will be used.

/SORTBY <ColumnName>

Enables you to specify by which value the generated exports will be sorted. Possible values are column names like "Size" or "Name". The last used sort type in the TreeSize user interface will be used by default. Example:

Treesize /SCAN "E:\" /SORTBY Size /TEXT "D:\export.txt"

Treesize /SCAN "E:\" /SORTBY Name /EXCEL "D:\export.xlsx"

/SQLITE <filename>

Saves the scan results to a SQLite file that can be loaded for comparisons at a later date. Example:

Treesize /SCAN "H:\users\" /SQLITE "C:\Results\Allusers.sqlite"

/SUBJECT <subject>

This option allows you to customize the subject that will be used for emails that are sent at the end of the scan. Example:

Treesize /SCAN "\\Server\Share" /EMAIL treesize@example.com /SUBJECT "TreeSize Professional Scan Report"

/TEXT <filename>

Saves the results to a text or CSV file after the scan or search is finished. The application will terminate itself after saving. The following example will execute a scan of your local drive C: and save the results to a text file:

Treesize /SCAN "C:\" /TEXT "C:\Results\C_scan.txt"

The text format uses a tabular format targeting human readers. If the filename references a CSV file, the CSV format will be used instead automatically. If you want to use the CSV format explicitly, we recommend to use the /CSV parameter.

/TITLE <title>

Can be used to replace the root path of a scan with a custom text. This allows to provide more meaningful names for UNC paths for example and thereby increase the readability of a report. The chosen title will be applied as the title of the report when exporting a file. Example:

Treesize /SCAN "\\Server3\C$" /TITLE "C: on Data server 3" /EXCEL "C:\result.xlsx"

In the context of a TreeSize file search, this parameter can be used to name an advanced search. Example:

Treesize /SEARCH:Start /SCAN "C:\" /TITLE "Image files" /FILTER "*.jpg;*.png;*.bmp" /PDF "C:\Results\C_search.pdf"

/TOPFILESLIST <filename>

This option enables you to save the contents of the Top files list to an Excel, HTML, Text, or CSV file. The file type depends on the extension of the specified file name. Example:

Treesize /SCAN "C:\" /TOPFILESLIST "C:\Temp\C_top_files.txt"

/TREEMAP <filename>

Saves the treemap chart of the scanned directory tree as bitmap, GIF, PNG or JPEG file. The file type depends on the extension of the specified file name. Example:

Treesize /SCAN "C:\" /TREEMAP "C:\Dokumente\treemap.jpg"

/UILevel <Simple/Normal/Expert>

Sets the level of the user interface. Possible values are Simple, Normal, or Expert. Example:

Treesize /UILevel "Simple"

/USERSLIST <filename>

This option enables you to save the statistics showing the results grouped by username to an Excel, HTML, Text, or CSV file. The file type depends on the extension of the specified file name. The exported columns will be those that were enabled in the user interface on the tab "Users" when it was last used, or at the time when the configuration file supplied via /OPTIONS was written.

The following example scans drive C: and creates an Excel file in "C:\Temp" with the statistics of the users on this drive:

Treesize /SCAN "C:\" /USERSLIST "C:\temp\C_users.xls"

/USERNAME <username>

Specifies the username that should be used to authenticate for the scans. Use /PASSWORD to specify a password for this username. It is recommended to instead use the Microsoft tool RUNAS.

/USERFILTER <username>

With this option only files owned by a certain user will be taken into account when scanning. Provide the name of this user after this switch. Please note that you cannot use multiple user names here, but the wildcards "*" and "?" are supported. Example:

Treesize /SCAN "\\Server\GroupDrive" /USERFILTER miller

/USERSCHART <filename>

Saves the small graph shown on the bottom of the "Users" page to an image file (bitmap, GIF, PNG, or JPEG).

/USERSPIECHART <filename>

Saves a pie chart that shows the "user statistics" of the current scan to an image file (bitmap, GIF, PNG, or JPEG).

/VIEWTYPE n

Defines on which values the "Percent of Parent", the "Growth" columns and the "Age of Files" chart are based. Possible value are:

2: Size
3: Allocated Space (Size on disk)
7: Number of Files

/XML <filename>

Saves the scan results to a XML file that can be loaded for comparisons at a later date. Example:

Treesize /SCAN "H:\users\" /XML "C:\Results\Allusers.xml.zip"

This option can be combined with the /EXPAND switch to limit the exported directories.
Please note: When loading a limited XML export to TreeSize, you cannot navigate though the complete directory branch, but only the exported directories.

/ZIP <filename>

This option can only be used in combination with the command line option /SEARCH.
All files that have been found as result of a TreeSize file search will be moved into a zip archive. Example:

Treesize /SEARCH:Start /SCAN "C:\" /ZIP "C:\OldFiles\Archive.zip"

See also: File operations

<SCANPATH>

In addition to the parameter /SCAN, you may also pass one or more paths at the end of the command line.
This example scans the "Program Files", and the "Windows" folder, and creates a text report under "C:\Reports\ScanResults.txt":

Treesize /TEXT "C:\Reports\ScanResults.txt" "C:\Program Files" "C:\Windows"

In case an error occurs, it will be returned as Windows error code in the exit code of the process. Environment variables (e.g. %APPDATA%) can be used In file names for the export as well as in the scanned paths.

Scanning Multiple Directories

If you need to scan multiple directories, it might be a good idea to merge several calls in a Batch file, for example:

START /WAIT "TreeSize" "C:\Program Files\JAM Software\TreeSize\Treesize.exe" /SCAN "\\Server\Share1" /EXCEL "D:\Share1.xls"

START /WAIT "TreeSize" "C:\Program Files\JAM Software\TreeSize\Treesize.exe" /SCAN "\\Server\Share2" /EXCEL "D:\Share2.xls"

START /WAIT "TreeSize" "C:\Program Files\JAM Software\TreeSize\Treesize.exe" /SCAN "\\Server\Share3" /EXCEL "D:\Share3.xls"

The command "START /WAIT" ensures that the jobs start sequentially. Not starting the jobs parallel is usually better because a single job takes more advantage from caches and system resources. It is also possible to store the shares that should be scanned in a text file and use the Windows "for" command like this:

FOR /F %%p IN (Paths.txt) DO START /WAIT Treesize.exe /SCAN "%%p" /EXCEL "c:\temp\TreeSize-Reports-%DATE%.xls"

FOR /F "tokens=1" %%i IN (Shares.txt) DO START /WAIT Treesize.exe /SCAN "\\Server\%%i" /EXCEL "c:\temp\%%i.xls"

Please note: The double percent characters are required in batch files, on the command line use a single percent only.

Scheduled Start

You can use the Windows Scheduled Tasks to run TreeSize with certain command line options daily, weekly, or monthly at a certain time. The "Schedule Dialog" of TreeSize will help you setting up a scheduled task.

You can also use the "SCHTASKS" command to perform scheduled scans. If you, for example, want to scan the drives C: and E: next night at 03:00 a.m. and save the results to an Excel file, you could use the following command line:

SCHTASKS /Create /SC DAILY /ST 03:00 /TN TreeSizeScan /TR "'C:\Program Files\JAM Software\TreeSize\Treesize.exe' /SCAN C:\ E:\ /EXCEL C:\Temp\tsp.xls /EXPAND 2"

Get help about the "SCHTASKS" command on Microsoft's pages or by typing:

SCHTAKS /Create /?

Please note: Error messages occurring during scheduled scans are listed in the systems Windows event log.

PowerShell

Windows PowerShell can be useful in combination with TreeSize. This example shows how to search a couple of remote computers that are queried using an LDAP query in the Active Directory (AD):

$computer = Get-ADComputer -SearchBase "ou=client computers,ou=intranet,dc=intranet,dc=jam-software,dc=com" -Filter *
foreach ($comp in $computer.name)
{
$path = "\\$comp\C$\Windows"
Add-Content Scan.txt "$path"
}
#debug
Get-Content -Path Scan.txt
# start TreeSize with the collected paths
&"C:\Program Files\JAM Software\TreeSize\Treesize.exe" /SEARCH:Start /SCAN Scan.txt /FILTER *.exe /Export FoundFiles.txt

Redirecting Output

If no other export target is given, TreeSize will write a short export of the scan to the standard output, and errors that occurred during the scan to the standard error.

You can redirect these output streams on the command line (cmd.exe) using the pipe symbol, e.g.

"C:\Program Files\JAM Software\TreeSize\Treesize.exe" /NOGUI /SCAN C:\ 1>StdOut.txt 2>StdError.txt

To redirect the output using the PowerShell, please use the Start-Process command instead, e.g.

Start-Process -FilePath "C:\Program Files\JAM Software\TreeSize\Treesize.exe" -ArgumentList "/NOGUI /SCAN C:\" -RedirectStandardOutput ".\StdOut.txt" -RedirectStandardError ".\StdError.txt"

Windows Scripting Host

If you intend to use the Windows Scripting Host (WSH), your command to start TreeSize will look like:

Set Shell = CreateObject("WScript.Shell")
Shell.Run """C:\Program Files\TreeSize\Treesize.exe"" /XML ""C:\Reports\drive_c.xml.zip"" /SCAN ""C:\"""

Exit Codes

If the operation was completed successfully, the exit code is 0. If an error occurred TreeSize will return a Windows error code as exit code if available, or 1 to indicate a general error. In any case the Windows Event Log will contain further information in the "Application" log, Event Source "TreeSize".


How to schedule a file search

Navigation: Using Scheduled TreeSize Tasks >

How to schedule a file search

Like the main module, the TreeSize File Search can also be scheduled as a task, that runs at certain times. The general approach to create such a task is to set up a search in the user interface and then selecting "Tools > Schedule current search" from the ribbon menu.

The following description shows an example configuration and demonstrates the different steps that are necessary to create your own, customized search task.

Step 1: Set up a search via user interface

The file search offers a vast variety of different options that can be customized to your specific use case. The first step in creating a task is to set up either one of the predefined search types, or to create a new custom search. Any combination of options, including the selection of multiple different searches, is possible.

Step 2: Execute the search and check the results

Once you have set up the search, it is best to execute it and validate that it returns the desired results. The more specific a search is, the more likely it is that you need to do a bit of tweaking to ensure that only the results are returned that match your given use case.

Step 3: Create a task with the current search settings

The final step is to open the schedule dialog, using the option "Tools > Schedule current search" from the ribbon menu. At this point, TreeSize will automatically take your current search parameters and create an option file that represents the search that was just set up. Under "Options", you can see that the file was automatically included to the task.

Please note: Any previous selection that was made in the "File operation" dialog, such as the creation of a log file, or the different "Move options" will be added to the options file as well. If you add any type of file operation to the task, it will use these settings as well.

After setting up the task with the desired schedule options and defining export or move operations, you can review the command line parameters under "Command Line". Here, you can also test the current task, copy its parameters to the clipboard, or create a batch file.

Once everything is set up, click "Save Task" and enter your credentials, to create a new task and add it to Windows' task library.


How to schedule a move or delete operation

Navigation: Using Scheduled TreeSize Tasks >

How to schedule a move or delete operation

This chapter explains how you can set up a search that automatically moves all files and folders that were found to another location. This also applies if you want to delete, archive, or copy the search results with the help of an automated task, or batch file.

The basic steps that are required for the creation of an automated search can be found in the previous chapter. The same steps are needed, if you want to create a task that automatically moves the search results. Make sure that the search configuration that you want to schedule will only return files that you actually want to move, delete, copy, or zip.

The scheduler dialog allows the same configuration for file operations that can be made via the normal user interface. All the options that are referred to in chapter "File operations" apply here as well.

Simply select the desired file operation and its related options. It is highly recommended to use the option "Log performed operations to", in order to create a log file that documents what files were affected.


Tips & Annotations

Navigation: »No topics above this level«

Tips & Annotations

·Especially scans of larger network drives may take a long time. With the Professional Edition you may perform such scans overnight using Scheduled Scans and save the results to a XML file which can be loaded again later.

·Use the TreeSize File Search to find obsolete files on your hard drives.

·TreeSize supports drag&drop file system operations in many places.

·For continuous analyzing of disk usage on large servers we recommend our product SpaceObServer. It collects the data using a background system service and stores it in a SQL database. It uses less RAM than TreeSize, and the reporting capabilities are more flexible because it is built on a database. More information is available at https://www.jam-software.com/spaceobserver/


Notes on NTFS

Navigation: Tips & Annotations >

Notes on NTFS

The file system NTFS can be used with the operating system Windows NT or later. It offers some special features which also have effects for TreeSize. We will describe some of these features and their impacts on this software in the following paragraphs.

Access Control Lists

The way users can access files and folders can be restricted. One can grant or deny other users or groups certain rights like reading, writing, executing or deleting. That way one can even deny administrators to access files and folders. If an administrator tries to access a folder in the Windows Explorer to which the owner denied any other users reading access, an "Access Denied" error message will be displayed. However, TreeSize is able to scan such folders, if you are logged in as administrator or as a user that has the right to perform backups (This option can be changed at "Control Panel > Administrative Tools > Local Security Policy" and with the user editor of Windows).

File Based Compression

NTFS supports compression on an individual file basis. Files that are compressed on an NTFS volume can be read and written without first being decompressed by another program. Decompression happens automatically and transparently during the reading of the file. The file is compressed again when it is saved.

The space occupied by a compressed file is usually much smaller than its normal size. As a consequence, for folders that are partially or completely compressed, the allocated space reported by TreeSize may be smaller than the size reported for this folder. TreeSize is able to show the compression ratio in an extra column on the "Details" tab. Additionally it can show compressed files and folders in a different color. These features can be turned on or off in the Options dialog.

TreeSize is able to compress and decompress entire file system branches using the context menu.

In Windows 10 Microsoft introduced new transparent compression-features in NTFS, designed to compact the files of the operating system, mainly DLL and EXE files. In contrast to old file based compression, these files are not flagged as compressed in their file attributes.

Sparse Files

Files which are large but only partially used are called sparse files. Because the operating system does not allocate disk space for the unused parts of a sparse file, it occupies less disk space than its actual size is. TreeSize treats sparse files like compressed files and also calculates the compression ratio for them.

Reparse Points: Volume Mount Points and Symbolic Links

A volume mount point is an existing path where you "mount" another volume. Given this, users and applications can refer to the mounted volume by that path. There is no need to assign a drive letter to this volume. It allows you to unify multiple file systems into one logical file system. Symbolic links, also known as junction points, work similar: If you for example have an empty folder "C:\Documents\Images", you can create a symbolic link to "E:\Pics" for it. Applications will then see the content of "E:\Pics" in "C:\Documents\Images". Unlike an NTFS junction point a symbolic link can also point to a file or remote SMB network path.

If the Option "Follow Mount Points and Symbolic Links" is turned on, TreeSize will include the contents of these folders when scanning. Since they are not physically stored on the drive you are scanning, this may produce results for the allocated space that are larger than the total size of the drive.

Alternate Data Streams (ADS)

In NTFS, a file consists of different data streams. One stream holds the security information (access rights and such things), another one holds the "real data" you expect to be in a file. There may be alternate data streams, holding data the same way the standard data stream does. These alternate data streams are hidden. That means that you can have a file with 1 byte in the official main data stream and some hundred MB in one or more alternate data streams. The dir command, file managers or windows explorer will show 1 byte as the size of this file, but it actually allocates much more space on your hard drive.

TreeSize can detect alternate data streams and add their sizes to the allocated file size.
Please note: ADS may store information in the same cluster as the main data stream, so if a file has one or more ADS, this file does not necessarily allocate more disk space.

You can choose to detect alternate data streams, to get a more accurate allocated space of directory branches, in the TreeSize Options dialog. This option is deactivated by default, because querying the ADS takes some time and increases the overall time needed for a scan. You can search for files containing alternate data streams using the Custom File Search of TreeSize.

Hardlinks

In a Windows environment a hardlink is a reference, or pointer, to physical data on a NTFS storage volume. All named files are hardlinks. The name associated with the file is simply a label that refers the operating system to the actual data. On NTFS volumes, more than one name can be associated with the same data. Though called by different names, any changes made will affect the actual data, regardless of how the file is called at a later time. Hardlinks can only refer to data that exists on the same file system. The data is accessible as long as at least one link that points to it exists. When the last link is removed, the space is considered free. Please note that all hardlink pointing to the same file share also the same Security Descriptior (access permissions).

To create a hardlink, the user must have write permissions for file attributes on the respective folder branch and on the share, if the drive is not a local drive.

If more than one hardlink points to a file's data, the space is allocated only once by these files, no matter how many hardlinks exists. In the Options dialog you can tell TreeSize to detect hardlinks, to get a more accurate allocated space of directory branches. This option is deactivated by default, because querying the hardlinks takes some time and increases the overall time needed for a scan.

Automatic Data Deduplication

Windows Server 2012 and later offer a data deduplication feature: The data deduplication segments files with fractionally equal content into so-called "chunks" which are moved into the subfolder "System Volume Informaton\Dedup\ChunkStore\" located on the corresponding NTFS partition. After the deduplication has been applied by Windows, the original data is replaced by a pointer to the corresponding chunk in the ChunkStore directory. After they have been deduplicated by the NTFS deduplication two identical files will only require half of the disk space they occupied before. Since the original files now only contain a small pointer instead of the data, the allocated disk space will be indicated by Windows with a much smaller value than before (for two identical files the occupied disk space would be indicated as "0 Byte"). To make TreeSize show the original file and folder sizes, simply switch the view mode from "Allocated Space" to "Size". The "Allocated Space" shown in TreeSize is the disk space you would obtain by deleting the corresponding file.

Offline Files

Windows Server and some 3rd party tools and appliances offer a feature called "offline files": Files that have not been used for a long time will be automatically moved to cheaper and slower storage, and a small stub file remains at its original location. Usually TreeSize reports the allocated space of such a stub file correctly, which is often only the size of one file system cluster.

There is however one situation in which the allocated space for stub files may not be reported correctly. In case TreeSize runs into Access Denied errors, it uses Windows API functions intended for backup software in order to be able to scan also those parts of the file system and provide values for their size and allocated space. We have seen some appliances which reported the full file size as allocated space in this case for the stub files, most likely because this would be the size occupied in a backup. To avoid this, ensure that the user which runs the scans has full read access to the scanned file system.


Wasted Space

Navigation: Tips & Annotations >

Wasted Space

The wasted space is the amount of space in clusters on your hard disk that are not entirely filled. This is the last (or only) block of a file.The FAT32 file system may have very large cluster sizes, depending on the partition size.

FAT32
Partition Size | Default Cluster Size
01 - 08 GB | 4 KB
08 - 16 GB | 8 KB
16 - 32 GB | 16 KB
>32 GB | 32 KB

If you have a FAT32 with a size of 32GB or more, a cluster size of 32KB will be used on it. If you store 10 files of 1 KB on this partition, this would use 10 * 32KB = 320KB of disk space, and 320KB - 10KB = 310KB would be wasted. Especially a huge number of small files significantly increases the amount of wasted space on FAT32 partitions.

To reduce the wasted space, you can format your hard disk with the NTFS file system. It usually operates with a cluster size of 4KB and so stores small files more effective.


Regular Expressions

Navigation: Tips & Annotations >

Regular Expressions

Regular expressions describe patterns in strings and can be used i.a. to determine whether a given pattern occurs in a text or not. In TreeSize regular expressions can be used to find specific files and / or folders that match the criteria specified by regular expressions

The following table shows some examples:

Expression | Syntax | Description | Example
Any character | . | Matches any single character except a line break. | a.o matches "aro" in "around" and "abo" in "about" but not "acro" in "across".
Zero or more | * | Matches zero or more occurrences of the preceding expression, and makes all possible matches. | a*b matches "b" in "bat" and "ab" in "about". e.*e matches the word "enterprise".
One or more | + | Matches at least one occurrence of the preceding expression. | ac+ matches words that contain the letter "a" and at least one instance of "c", such as "race", and "ace". a.+s matches the word "access".
Start of string | ^ | Matches the start of a string | ^[0-9] matches strings that start with a digit.
End of string | $ | Matches the end of a string | exe$ matches strings that end with "exe".
Beginning of word | [[:<:]] | Matches only when a word starts at this point in the text. | [[:<:]]in matches words such as "inside" and "into" that begin with the letters "in".
End of word | [[:>:]] | Matches only when a word ends at this point in the text. | ss[[:>:]] matches words such as "across" and "loss" that end with the letters "ss".
Any one character in the set | [] | Matches any one of the characters in the []. To specify a range of characters, list the starting and ending characters separated by a dash (-), as in [a-z]. | be[n-t] matches "bet" in "between", "ben" in "beneath", and "bes" in "beside" but not "bel" in "below".
Any one character not in the set | [^...] | Matches any character that is not in the set of characters that follows the ^. | be[^n-t] matches "bef" in "before", "beh" in "behind", and "bel" in "below", but not "ben" in "beneath".
Or | | | Matches either the expression before or the one after the OR symbol (|). Mostly used in a group. | (sponge|mud) matches "sponge bath" and "mud bath.
Escape character | \ | Matches the character that follows the backslash (\) as a literal. This lets you find the characters that are used in regular expression notation, such as { and ^. | \^ searches for the ^ character.
Repeat n times | {n} | Matches n occurrences of the preceding expression. | [0-9]{4} matches any 4-digit sequence.
Grouping | () | Lets you group a set of expressions together. If you want to search for two different expressions in a single search, you can use the Grouping expression to combine them. | If you want to search for [a-z][1-3] or [0-9][a-z], you would combine them: ([a-z][1-3])|([0-9][a-z]).

Further examples:

[0-9] or \d | Find all files/folders with at least one digit in its name.
a|b | Find all files/folders containing "a" or "b" in their name.
[^(A-Za-z)] | Find all files/folders containing at least one character in their name that is not in the range A-Z or a-z.
^E[0-9]{7}$ | Find all files/folders which start with an "E" followed by exactly 7 digits.
[A-Za-z]:\\([^\\]+\\){2,4}[^\\]+$ | Find all files/folders with a folder depth of at least 2 and at most 4.
[^\x00-\x7F] | Find all files/folders with invalid ASCII characters.
[^\P{C}] | Find all files/folders with Unicode characters which cannot be printed.
[\xA0] | Find all file/Folder names that contain the non-breakable space character (Unicode NOBR, U+00A0) instead of a normal space character.
[~\"#%&\*\:<>\?\/\\{|}] | Find all file and folder names, that contain characters which are invalid on SharePoint servers.

Further information and additional examples can be found here.

A description of all special characters that can be used with regular expression can be found here.

For further help in forming regular expressions following tools can be used:

https://regex101.com/ (online)

http://regexpal.com/ (online)

http://sourceforge.net/projects/regexpeditor/ (download)

http://sourceforge.net/projects/regextester/ (download)

http://sourceforge.net/projects/regaxe/ (download)


Translations

Navigation: Tips & Annotations >

Translations

We are proud of the popularity of our award-winning disk space management software TreeSize and would love to offer it to everyone in her/his native language. In this way, all our worldwide users can enjoy localized TreeSize software with ease. TreeSize is already available in German and English. Thanks to the help of our great volunteer translators we are able to provide these translations:

Bulgarian: Thanks to 2 anonymous translators

Chinese (Simplified): Thanks to streambun, Adrian Zhang, 偶爱偶家, CJKCHINA, Neptune, Zhihao Wang, and 5 anonymous translators

Czech: Thanks to Trasak Jiri, Lukáš Francálek, Azuráč, Fishbone, and 3 anonymous translators

Danish: Thanks to Erik Marcussen, Svend Heinesen, Thomas Vedel, and 3 anonymous translators

Dutch: Thanks to Jaap Kramer, Kees Bakker, Linda Bijlsma, Leroux, and 4 anonymous translators

French: Thanks to Alexandre Mongin, Simon Martin, Ignace Le Roux, Gaillard S-G, David Dissard, and 6 anonymous translators

Greek: Thanks to GeoVasi69, Prodromos Makridis, and 2 anonymous translators

Hungarian: Thanks to Péter Bálint, Peter Bartfai, and 4 anonymous translators

Italian: Thanks to Spigolo, Luciano Paravella, Fabrizio Picconi, Lionello Ferrazzini, Daniele Caputo, David Coen, Gioele Mattioli, bovirus, Andrea "Echo" Zoppi , Mario Corrado, Alberto Donzelli, Ivan Vaselli, Filippo Rubulotta, and 6 anonymous translators

Japanese: Thanks to Kyotaro Iijima, Tetsuro Shimazaki, and Sriram Iyer

Korean: Thanks to Seungsoo Choi, and 8 anonymous translators

Norwegian: Thanks to Simen Andreas Skogheim, Isaac Daasnes, and 2 anonymous translators

Polish: Thanks to Franciszek, Your Majesty Bartłomiej Rakowiecki, Bartosz Małolepszy (Grodków), Arkadiusz Kurzawa, Łukasz K., and 8 anonymous translators

Portuguese: Thanks to Ricardo Freitas, Maria Pombo, Ian Lima Souza, Carlos Figueiredo, yuzu-project, and 6 anonymous translators

Russian: Thanks to kopejkin, Polina Morgan, Vladimir Skovoroda, Alexander Vorfolomeev, Temtaime, Gennady Morozov, and 4 anonymous translators

Slovak: Thanks to 5 anonymous translators

Slovenian: Thanks to Jadran Rudec, Boštjan Pečovnik, and one anonymous translator

Spanish: Thanks to J. M. Fustero, MS-PC, Fabián C. Rodríguez, and 5 anonymous translators

Turkish: Thanks to Oğuzhan Güvercin, Mustafa Tosun, Özgür Dedeoğlu, Metin Yıldıran, Emrecan Ürküt, Pumavun, A.M. Sabuncu, Mert Öz, Mustafa Furkan YILMAZ, and 10 anonymous translators

Ukrainian: Thanks to kopejkin, Сергей Дилонг, and 2 anonymous translators

Vietnamese: Thanks to Nguyễn Lam, Vu Le, Minh Tuyen Nguyen, Đăng Huy, and one anonymous translator

Would you like to help us translate TreeSize to your language? Please find more information online.


Copyright & Contact

Navigation: »No topics above this level«

Copyright & Contact

Copyright ©1995-2024 by Joachim Marder e.K.

JAM Software GmbH
Am Wissenschaftspark 26
54296 Trier

Germany

WWW: | https://www.jam-software.com
Support: | https://knowledgebase.jam-software.com/
Commercial register number: | HRB: 4920 (AG Wittlich)
VAT ID No.: | DE234825349
Managing Director: | Joachim Marder